R-Drive Image

R-Drive Image is unique and powerful drive image software. It creates drive image files on-the-fly, that is, without stopping Windows. Such images may be stored anywhere including various removable media. It compresses image data with variable compression level to save free space. It also restores such images on the disks on-the-fly, except system partitions. R-Drive Image creates special startup disk (a startup CD/DVD disc, or USB removable storage device) to restore system partitions. It mounts images as virtual disks to copy only certain files from the images. It also directly copies an entire disk to another - no time spent for file structure scanning.

System integrators and computer assemblers can use R-Drive Image OEM kit to create system recovery disks to include them with their fully assembled computer systems.

Note: The current version has a limited support for dynamic disks or other non-MBR/GPT partition layouts. See Support for Various Disk Partition Schemes and File Systems for details.

The R-Drive Image Features topic tells more about R-Drive Image.

The System Requirements topic tells more about R-Drive Image system requirements.

The R-Drive Image Registration topic explains how to register your copy of R-Drive Image.

The Disk Actions chapter explains disk actions such as:

·Create an Image of a partition, logical disk, or entire hard drive

·Create an Image from Files

·Restore Data from an Image

·Copy Disk to Disk to make an exact copy of one disk on another

·Manage partition and logical disks

·Mount an Image as a Virtual Logical Disk (read-only)

·Unmount Virtual Logical Disks

·Check an Image File to check an existing image file

The RAIDs, and Various Disk and Volume Managers chapter explains how to perform disk actions with various compound volumes such as:

·Windows Software RAIDs, Spanned, and Other Volumes

·Windows Storage Spaces

·Mac RAIDs

·Linux Logical Volume Manager Volumes

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version such as:

·Create Startup Disk

·Restoring Data to a System or Other Locked Disk

·Create an Image Using the Startup Disks

·Disk to Disk Copy Using the Startup Disks

The Scheduled Actions, Command Line Operations, and Scripting chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line.

·Scheduler and Unattended Actions

·Scripting and Command Line Operations

·Rotation schemes (backup sets)

The Technical Information chapter gives technical information on

·Logging

·Creating consistent point-in-time backups

·Support for Various Disk Partition Schemes and File Systems

·Supported CD and DVD Recorders

·List of Hardware Devices Supported in the Startup Mode

The R-Drive Image OEM kit chapter explains how computer system integrators can create system recovery disks for their systems

·Create a Master Image

·Create Startup Media

Follow this link to obtain R-Drive Image Contact Information and Technical Support

R-Drive Image is a registered trademark of R-Tools Technology, Inc.

Windows 9x/​ME/​NT4.0/Windows 2000, XP, Vista, 7,8/8.1, 10, Windows Server 2003, 2008, 2012, 2016 are registered trademarks of Microsoft Corporation.

Mac OS X, OS X, and macOS are registered trademarks of Apple Inc.


R-Drive Image Features

R-Drive Image is unique and powerful drive image software. It creates disk images: files that contain exact, byte-by-byte, copies of hard drives, partitions, or logical disks. Such images may be stored in any location: other hard disks or various removable media, such as CD-R(W) and DVD discs, USB external disks, and network drives. At any time, data from such images may be restored on their original disks or on any other partitions or even on drive's free space. Images may contain data from the partitions, logical disks, and entire hard drives, or only individual files.

Note: The current version has a limited support for dynamic disks or other non-MBR/GPT partition layouts. See Support for Various Disk Partition Schemes and File Systems for details.

Using R-Drive Image, you can completely restore your system immediately after heavy data loss caused by an operating system crash, virus attack, or hardware failure. You can also use R-Drive Image for mass system deployment: if you need to setup many identical computers, you can setup manually only one system, than, using R-Drive Image, you can make an image of the system, and deploy it on all other computers, saving your time and cost.

You can copy a hard drive, partition, or logical disk directly to another one. Such copying is much faster than traditional file by file copying, as no time spent for file structure scanning.

If you need to restore only certain files from an image, you can mount that image as a read-only virtual disk and copy those files directly from the image using Windows Explorer or any other file utility.

R-Drive Image includes a partition manager that can delete, wipe, create, and re-sized partitions and logical disks.

If you are a system integrator, consultant, or computer assembler, you can use R-Drive Image OEM kit to create system recovery disks to include them with your fully assembled computer systems.

R-Drive Image features:

·A simple wizard interface – no in-depth computer management skills are required.

·Commands in the shortcut menu to perform some disk actions, like restoring data from an image file and mounting an image as a virtual disk directly from Windows explorer.

·Image files are created on-the-fly, no need to stop and restart Windows. All other disk writes are stored in a cache until the image is created.

·Images can be created for storage devices with removable media.

·Images can contain data from the entire disk or useful information only, that is, only those disk parts that contain data from existing files.

·Images can be created from individual files, not only partitions and logical disks.

·Images can be burned on CD/DVD recorders directly from the program

·Image data can be compressed to save free space.

·Image files can be stored on removable media. Support for USB 2.0 and 3.0 devices in the startup mode.

·Images can be split into several files to fit the type of the storage medium.

·Image can be created incrementally and differentially.

·Image files can be password-protected and contain comments.

·Partition manager that allows you to delete, wipe, create, and resize partitions and logical disks. It can be used to clean entire hard drives before disposal.

·Support for two image format types: .rdr (R-Drive Image's proprietary internal format) or VMDK, a popular virtual machine disk format (only in Corporate, Technician, and Commercial versions).

·Support for various non-MBR/GPT partition layouts and file systems. See Support for Various Disk Partition Schemes and File Systems for details.

·Support for RAIDs, and various disk and volume managers, such as Windows Storage Spaces, Apple RAIDs, Apple CoreStorage/File Vault/Fusion Drives, and Linux LVM.

·Data from an image are restored on-the-fly, except on a system partition. Data to the system partition can be restored either by restarting R-Drive Image in its startup mode directly from Windows, or by using specially created startup disks.

·Special startup disks (a startup CD/DVD disc or USB removable storage device) can be created to restore data to a system partition. Such disks can be used to perform basic disk imaging operations on Mac computers with some restrictions.

·Data from an image can be restored on a free (unpartitioned) space on any place on a hard drive. The size of the restored partition can be changed

·Data from an image can be restored on other existing partitions. R-Drive Image deletes such partitions and restores data on that free space.

·An entire disk can be directly copied to another one.

·An image can be mounted as a read-only virtual drive and its content can be viewed and copied.

·An image can be checked for its integrity.

·Support for S.M.A.R.T. warnings.

·A built-in scheduler automatically starts disk actions at scheduled times/events.

·Scripts can be created for frequent or unattended actions. Scripts are executed from a command line and can be included in any command file.

·Advanced and versatile logs accessible directly from the user interface.

·Support for rotation schemes (backup sets). A rotation scheme is a set of files (usually a file for a full image of an object and a number of its incremental/differential backups) which R-Drive Image treats as one unit. Rotation schemes (backup sets) are used to flexibly control the parameters of complex backup tasks such as a total size allocated for the image files, number of image files to keep, and time for which the data will be kept. Available are simple and custom rotation schemes. Custom rotation schemes are available in the Corporate, Technician, and Commercial versions.

·R-Drive Image OEM System Recovery Media creation: special startup disk(s) that may be used to restore a computer system after a complete failure when it requires a complete fresh setup (system recovery disks).

Note: You need to purchase an OEM registration key to activate this feature.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


System Requirements

·An Intel-compatible platform.

·The administrative privileges are required to install and run R-Drive Image.

Operating systems on which various versions can run:

·All versions: Windows 11/10/8.1/8/7/Vista/XP/2000 Windows (including 64 bits editions).

·Corporate, Technician, Commercial versions: Server 2022/2019/2016/2012/2008/2003 (including 64 bits editions).


Contact Information and Technical Support

To obtain the latest version of R-Drive Image, go to:

Product Site: http://www.drive-image.com/

Sales Department: sales@r-tt.com

The R-Drive Image Technical Support Team is available 24 hours a day, seven days a week, and has an average e-mail response time less than 4 hours.

Tech. Support: support@r-tt.com

You may send a support request form from http://www.r-tt.com/Support_request.html.

Drive Imaging & Backup FAQ: http://www.r-tt.com/Drive_Imaging_Backup_FAQ.shtml

R-tt Forum: http://forum.r-tt.com

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.


R-Drive Image Registration

The trial period of R-Drive Image will start after its fresh install. The Action Selection panel will show its remaining time.

You need to obtain a registration key to activate the R-Drive Image trial version. You may obtain this key online at the R-TT web site or on the R-Drive Image Please register R-Drive Image message.

The registration keys are sent to customer e-mail boxes immediately after purchase.

With the purchase of a new R-TT software product, you receive one year of support services that includes technical support, customer support and all upgrades and new releases for your product during that term. When your 1-year support service expires, you will need to renew that support at a discounted price to continue receiving support services. The renewal support purchase will extend your support by 1-year from the date of its expiration.

More details are on the Buy On Line page at the R-TT web site.

To obtain a registration key directly from R-Drive Image,

1 Click the About button and select Register on the shortcut menu.
2 Click the Buy license online button on the Please register R-Drive Image message and follow the instructions.

To register with a registration key,

1 Click the About button and select Register on the shortcut menu.
2 Enter the registration key on the Please register R-Drive Image message and click the OK button.

The registration information will appear.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Disk Actions

This chapter explains how to perform disk actions. Each action starts from the Action Selection panel. Click the controls to go to the respective help pages.

Click to expand/collapse Keyboard Navigation

You may use the keyboard to navigate through and select items and objects on the panels. If there are several objects that can be selected, a dashed frame will appear around the object that is in the current focus.
Space | Select/Deselect.
Keyboard arrows | Right / Left / Up / Down
Alt+S / Alt+D | Switch between the Source / Destination panels.
Tab/Shift-Tab | Forward / Backward

Changing the program language

You may select the language of R-Drive Image panels . To do so, click the Help button and select the required language on the Language menu.

To start a required action, select

·Create an Image of a partition, logical disk, or entire hard drive

·Create an Image from Files

·Restore Data from an Image

·Copy Disk to Disk to make an exact copy of one disk on another

·Manage partition and logical disks

·Mount an Image as a Virtual Logical Disk (read-only)

·Unmount Virtual Logical Disks

·Check an Image File to check an existing image file

The RAIDs, and Various Disk and Volume Managers chapter explains how to perform disk actions with various compound volumes such as:

·Windows Software RAIDs, Spanned, and Other Volumes

·Windows Storage Spaces

·Mac RAIDs

·Linux Logical Volume Manager Volumes

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version such as:

·Create Startup Disk

·Restoring Data to a System or Other Locked Disk

·Support for Various Disk Partition Schemes and File Systems

·Disk to Disk Copy Using the Startup Disks

The Scheduled Actions, Command Line Operations, and Scripting chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line.

·Scheduler and Unattended Actions

·Scripting and Command Line Operations

·Rotation schemes (backup sets)

The Technical Information chapter gives technical information on

·Creating consistent point-in-time backups

·Support for Various non-MBR/GPT Partition Layouts

·Supported CD and DVD Recorders

·List of Hardware Devices Supported in the Startup Mode

The R-Drive Image OEM kit chapter explains how computer system integrators can create system recovery disks for their systems

·Create a Master Image

·Create Startup Media

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Create an Image

Note: You may read about Support for Various Disk Partition Schemes and File Systems to learn more about possible options for your specific case.

You may create images of entire objects or backup only selected files during this action. Images from files can also be created by selecting Create an Image from Files on the Action Selection panel.

Creating images of entire objects

To create an image:

1 Click Create image on the Action Selection panel

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then the Select disk(s) to create image panel will show the configuration.

Click to expand/collapse More information...

Disk Configuration

Click to expand/collapse S.M.A.R.T. warning for a hard drive

If a hard drive has S.M.A.R.T. warnings, a color mark will appear on its left-top corner. Drugging the cursor over the drive will show a tooltip explaining that warning.

Warnings will also appear in confirming e-mails for scheduled actions.

* ===================[S.M.A.R.T.]===================

! SAMSUNG HM320HJ 2AK10001(298GB #2): Health Status: BAD

[01] Read Error Rate

! ===================[S.M.A.R.T.]===================

S.M.A.R.T. (Self-Monitoring, Analysis and Reporting Technology) is a technology widely-used in hard drives and solid-state devices that monitors their reliability conditions to predict possible hardware failures.
2 Select the objects you want to backup on the Select disk(s) to create image panel and click the Next button

Click the controls to learn their functions or go to the respective help pages

Click to expand/collapse Keyboard Navigation

You may use the keyboard to navigate through and select items and objects on the panels. If there are several objects that can be selected, a dashed frame will appear around the object that is in the current focus.
Space | Select/Deselect.
Keyboard arrows | Right / Left / Up / Down
Alt+S / Alt+D | Switch between the Source / Destination panels.
Tab/Shift-Tab | Forward / Backward

Click to expand/collapse More information...

Selected Objects

You may select all objects on a hard drive by clicking the hard drive icon.. It will show the marked hard drive.

Use the Refresh button if your computer disk configuration has been changed (when you connect a USB disk, for example).

You may select the backup type for each partition. You may store in the image either the exact Sector by backup copy of the object, Backup useful information only, or Backup selected files...Right-click the object and select the required backup type on the shortcut menu.

3 Select the place on the Choose destination of new image panel to which the image files will be written, specify the file name, and click the Next button

You may select any place including connected network drives, supported CD and DVD Recorders, or any other devices with removable storage.

You may also choose what image format will be created. (Only in the Corporate, Technician, and Commercial versions).

Click to expand/collapse Image file format

rdr | Default. A proprietary image format. Data in the image can be compressed and password protected, although It provides a relatively moderate protection against conventional unauthorized access. The image can be split into several files and include a short description.
vmdk | A common virtual disk format for virtual machine. Only the Corporate, Technician, and Commercial versions support this format.
Click to expand/collapse Imaging Options

Differentially

Appended changes will be those between the saved full image and the current state. If there is no full image, it will be created instead. When restoring data, you will need the full image and ONLY the differential file created at the instant to which you want to restore data.

Incrementally

Appended changes will be those between the last saved changes and the current state. If there is no full image, it will be created instead. When restoring data, you will need the full image and ALL files (both incremental and differential ones) created to the instant to which you want to restore data.

Minimum file sizes: If you need to keep only the latest backup instant, you may use the Append changes differentially to the existing image option and delete all previous differential files. If you need to keep all instances, you may use the Append changes incrementally to the existing image option to keep overall file sizes smaller.

Data safety: If any of the differential file is damaged, data will be lost only for that backup instant. If any of the incremental file is damaged, data will be lost for all subsequent backup instances starting from the damaged file until the next full of differential backup.

Full

All data in the image file will be replaced with the current one.
Click the Options button to specify additional options and parameters, if necessary.

·Image Options panel

Click to expand/collapse Image options

Image compression ratio

You may compress the data in the image to save space. Please note that the smaller size you select the more time will be spent to create the image file and vise versa.

Volume size for multi-volume image

You may set this option to Automatic and let Windows decide how to split the image file. This mostly depends on the file system on the destination disk. You may also either explicitly specify the split size, or choose a preset for various devices with removable storage. Select Fixed size for that.

For the RDR format, a new partial file of the image will be started when the previous file reaches the specified file size.
For the VMDK format, a new partial file of the image will be started when the specified data volume of the source object has been processed.

Estimated size

Shows the estimated size of the image file. An actual image size depends on how much empty space is on the selected partition and what file types are there.

Password protection

You may protect your image file with a password. Note: This feature provides a relatively moderate protection against conventional unauthorized access.

Image description

You may attach a text description to the image for annotation. Maximum length of the description is 255 characters.

Validate image when completed

Select this option if your want R-Drive Image to check the newly created file image for its consistency. This may be useful for storing image files with critical data. Please note that this operation requires additional time.

Shutdown computer when completed

If this checkbox is selected, R-Drive Image will shut your computer down when completed the task.

· Notifications Options panel

Click to expand/collapse Notifications options

Execute on

You may specify the applications of the *.com, *.exe, and *.pif types, and their parameters delimited by a space.

Mail Notification

If a personal firewall is installed on your computer, you should allow the r-driveimagecl.exe application to get access to the e-mail server.

Test mail account

Click this button to test whether you entered the correct mail settings.

· Backup Options panel

Click to expand/collapse Backup Options

Snapshot provider

A snapshot provider is a service R-Drive Image uses to read the disk content while creating its image. R-Drive Image uses the snapshot providers in the order specified on the tab. If it fails to use the first one selected, it tries to use the second one, and so on.

Windows Volume Snapshot Service

If this check box is selected, R-Drive Image will try to use the Windows native snapshot provider. This snapshot provider is able to notify system applications that a snapshot is being taken.

If this option is selected, pagefile.sys and hibernate.sys files are excluded from the image of the system disk.

R-TT Volume Snapshot Service

If this check box is selected, R-Drive Image will try to use R-TT snapshot provider. This snapshot provider is not able to notify system applications that a snapshot is being taken.

Notify system applications

If this check box is selected, the snapshot provider, if it supports this feature, notifies system applications that a snapshot is being taken.

Limit I/O rate

Specifies the rate limits for reading/writing data from/to disks

Limit read

The rate limit for reading from the source disk

Limit write

The rate limit for writing to the destination disk

Process priority

These options specify how much computer resources R-Drive Image will consume during a backup process.

Backup Process Priority

Specifies the priority of the backup process. Similar to that specified in Windows Task Manager.

Use CPU cores

Specifies how many processor cores R-Drive Image will use for the backup process.

Ignore disk read errors (bad sectors)

If this check box is selected, R-Drive Image will ignore possible read errors when it tries to read data from bad sectors.

R-Drive Image works with disks with bad sectors in the following way:

It reads a certain part of disk (predefined by Windows) and

·If read errors are ignored, the entire part with bad sectors will be filled with zeros.

·If read errors are not ignored, R-Drive Image reads that part sector by sector and shows a warning message for every bad sector with two options: skip the sector or try to read it again. In this case only the bad sectors will be filled with zeros, but all that requires manual actions and extremely slows the imaging process.

Please note that R-Drive Image is developed for the work with normally functioning disks. If you need to image a malfunctioning disk, use R-Studio, a data recovery utility. It has more controls for imaging, and can create R-Drive Image-compatible images even in its demo mode, that is, without registering.

Backup AUX applications

R-Drive Image is able to make applications run before and after all backup operations. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.

Before

An application R-Drive Image starts before the backup operations starts. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

After

An application R-Drive Image starts after the backup operations completes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

Snapshot AUX applications

R-Drive Image is able to make applications run before and after taking the snapshot of one or several volumes. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.

Before

An application R-Drive Image starts before it takes the snapshot of one or several volumes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

After

An application R-Drive Image starts after it takes the snapshot of one or several volumes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

See Creating consistent point-in-time backups for more details.

.

4 Verify that the information on the Processing panel is correct and click the Start button

You may also create a script for this action. Click the Script to Clipboard button and paste the script to any text-processing utility.

> R-Drive Image will start creating the image file(s)

The Progress bar will show the progress of the current operation and overall process. When the image is created, the Image created successfully. message will appear. You may cancel the current operation by clicking the Cancel button. The Operation canceled by user message will appear.

If there is not enough space on the destination place, the Not enough space message will appear. You may select another place for the rest of the image file or cancel the operation

When the operation is over, you may see the results of the operation by clicking the Open logs button .

Click to expand/collapse Writing images on CD-R/RW discs and other devices with removable storage

CD-R/RW and DVD discs

If you select a CD/DVD drive to write the image file, you will see the Media Options panel

You may create a system recovery disc(s) for your system if you select the Include R-Drive Image bootable version option on this panel. You may start your system up using such CD/DVD disc and recover the data using the R-Drive Image startup version.

Then select appropriate CD/DVD Media Options. Leave Use ISO caching selected unless you have problems with data recording on a disc.

When you click the Start button, R-Drive Image will open the CD-R/RW drive tray and the Insert a blank CD-R/RW disc... message will appear. Insert a blank CD-R/RW disc and click the OK button. Each time R-Drive Image fills the disc, the Insert the next blank CD-R/RW disc... message will appear. Insert the next blank CD-R/RW disc and click the OK button.

If you mistakenly insert a non-empty CD-R/RW disc, the CD-R/RW disc is not empty... message will appear. Change the disc to another empty CD-R/RW disc and click the OK button.

Supported CD and DVD Recorders.

Disk/file structure for CD-R/RW discs and other devices with removable storage

If you specify the filename.rdr file name for the image file, R-Drive Image will create the following disk/file structure:

Disc

File name

The first disk

filename1.rdr

The second disk

filename2.rdr

The third disk

filename3.rdr

...

...

It is recommended that you mark the disk accordingly. You will start restoring the data from the last disk. Go to the Restore Data from an Image topic for more details.

Click to expand/collapse Bad Sectors

When R-Drive Image encounters a bad sector, the IO Error message will appear. You may either cancel the current action or fill the bad sectors with zeros.

IO Error Options

Abort | Click this button to cancel the action
Retry | Click this button to try to read the bad sectors once again
Ignore | Click this button to skip this error and fill the bad sectors with zeros
Ignore All | Click this button to skip all errors and fill the bad sectors with zeros

Backup only selected files from the Select disk(s) to create image panell

1 Click Create image on the Action Selection panel.

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then the Select disk(s) to create image panel will show the configuration.

2 Right-click the objects files on which you want to backup on the Select disk(s) to create image panel and select Backup selected files only on the shortcut menu.
3 Select files on the Files Selected panel and select the files you want to backup and click the OK button

Click the controls to go to the respective help pages.

You may search for individual files, use filters, or the Batch mode if you want to include all files of several patterns. Such patterns may include multiple file names, masks, and paths.

And click the Next button on the Select disk(s) to create image panel
4 Select the place on the Choose destination of new image panel to which the image files will be written, specify the file name, and click the Next button

You may select any place including connected network drives, supported CD and DVD Recorders, or any other devices with removable storage.

Click the Options button to specify additional options and parameters, if necessary.

·Image Options

· Notifications Options

· Backup Options

See Creating consistent point-in-time backups for more details.

5 Verify that the information on the Processing panel is correct and click the Start button

You may also create a script for this action. Click the Script to Clipboard button and paste the script to any text-processing utility.

> R-Drive Image will start creating the image file(s)

The Progress bar will show the progress of the current operation and overall process. When the image is created, the Image created successfully. message will appear.

When the operation is over, you may see the results of the operation by clicking the Open logs button .

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Create an Image from Files

You may backup only selected files rather than the entire object. You can do that in the Create Image and Create an Image from Files (below) actions.

Create Image from selected files from the Action Selection panel

1 Click Create image from files on the Action Selection panel

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress.

2 Select files you want to include in the image on the Choose files for new image panel and click the Next button

Click the controls to learn their functions or go to the respective help pages

You may search for individual files, use filters, or the Batch mode if you want to include all files of several patterns. Such patterns may include multiple file names, masks, and paths.

3 Select the place on the Choose destination of new image panel to which the image files will be written, specify the file name, and click the Next button

You may select any place including connected network drives, supported CD and DVD Recorders, or any other devices with removable storage.

Click the Options button to specify additional options and parameters, if necessary.

·Image Options panel

Click to expand/collapse Image options

Image compression ratio

You may compress the data in the image to save space. Please note that the smaller size you select the more time will be spent to create the image file and vise versa.

Volume size for multi-volume image

You may set this option to Automatic and let Windows decide how to split the image file. This mostly depends on the file system on the destination disk. You may also either explicitly specify the split size, or choose a preset for various devices with removable storage. Select Fixed size for that.

For the RDR format, a new partial file of the image will be started when the previous file reaches the specified file size.
For the VMDK format, a new partial file of the image will be started when the specified data volume of the source object has been processed.

Estimated size

Shows the estimated size of the image file. An actual image size depends on how much empty space is on the selected partition and what file types are there.

Password protection

You may protect your image file with a password. Note: This feature provides a relatively moderate protection against conventional unauthorized access.

Image description

You may attach a text description to the image for annotation. Maximum length of the description is 255 characters.

Validate image when completed

Select this option if your want R-Drive Image to check the newly created file image for its consistency. This may be useful for storing image files with critical data. Please note that this operation requires additional time.

Shutdown computer when completed

If this checkbox is selected, R-Drive Image will shut your computer down when completed the task.

· Notifications Options panel

Click to expand/collapse Notifications options

Execute on

You may specify the applications of the *.com, *.exe, and *.pif types, and their parameters delimited by a space.

Mail Notification

If a personal firewall is installed on your computer, you should allow the r-driveimagecl.exe application to get access to the e-mail server.

Test mail account

Click this button to test whether you entered the correct mail settings.

· Backup Options panel

Click to expand/collapse Backup Options

Snapshot provider

A snapshot provider is a service R-Drive Image uses to read the disk content while creating its image. R-Drive Image uses the snapshot providers in the order specified on the tab. If it fails to use the first one selected, it tries to use the second one, and so on.

Windows Volume Snapshot Service

If this check box is selected, R-Drive Image will try to use the Windows native snapshot provider. This snapshot provider is able to notify system applications that a snapshot is being taken.

If this option is selected, pagefile.sys and hibernate.sys files are excluded from the image of the system disk.

R-TT Volume Snapshot Service

If this check box is selected, R-Drive Image will try to use R-TT snapshot provider. This snapshot provider is not able to notify system applications that a snapshot is being taken.

Notify system applications

If this check box is selected, the snapshot provider, if it supports this feature, notifies system applications that a snapshot is being taken.

Limit I/O rate

Specifies the rate limits for reading/writing data from/to disks

Limit read

The rate limit for reading from the source disk

Limit write

The rate limit for writing to the destination disk

Process priority

These options specify how much computer resources R-Drive Image will consume during a backup process.

Backup Process Priority

Specifies the priority of the backup process. Similar to that specified in Windows Task Manager.

Use CPU cores

Specifies how many processor cores R-Drive Image will use for the backup process.

Ignore disk read errors (bad sectors)

If this check box is selected, R-Drive Image will ignore possible read errors when it tries to read data from bad sectors.

R-Drive Image works with disks with bad sectors in the following way:

It reads a certain part of disk (predefined by Windows) and

·If read errors are ignored, the entire part with bad sectors will be filled with zeros.

·If read errors are not ignored, R-Drive Image reads that part sector by sector and shows a warning message for every bad sector with two options: skip the sector or try to read it again. In this case only the bad sectors will be filled with zeros, but all that requires manual actions and extremely slows the imaging process.

Please note that R-Drive Image is developed for the work with normally functioning disks. If you need to image a malfunctioning disk, use R-Studio, a data recovery utility. It has more controls for imaging, and can create R-Drive Image-compatible images even in its demo mode, that is, without registering.

Backup AUX applications

R-Drive Image is able to make applications run before and after all backup operations. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.

Before

An application R-Drive Image starts before the backup operations starts. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

After

An application R-Drive Image starts after the backup operations completes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

Snapshot AUX applications

R-Drive Image is able to make applications run before and after taking the snapshot of one or several volumes. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.

Before

An application R-Drive Image starts before it takes the snapshot of one or several volumes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

After

An application R-Drive Image starts after it takes the snapshot of one or several volumes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

See Creating consistent point-in-time backups for more details.

4 Verify that the information on the Processing panel is correct and click the Start button

You may also create a script for this action. Click the Script to Clipboard button and paste the script to any text-processing utility.

> R-Drive Image will start creating the image file(s)

The Progress bar will show the progress of the current operation and overall process. When the image is created, the Image created successfully. message will appear.

When the operation is over, you may see the results of the operation by clicking the Open logs button .


Restore Data from an Image

Note: You may read about Support for Various Disk Partition Schemes and File Systems to learn more about possible options for your specific case.

We recommend you stop all other programs before you start restoring data on a partition.

Note: Go to the Restoring Data to a System or Other Locked Disk topic if you want to learn how to restore data to system disks.

You may restore data from images for entire disk objects or restore only selected files.

Restoring partitions and entire disks

To restore data from an image to a disk/partition:

1 Click Restore from an Image on the Action Selection panel.

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then R-Drive Image will show you the Image File Selection panel with the disks/folder structure.

2 Select the file with the image on the Choose image file panel and click the Next button

Click the controls to learn their functions or go to the respective help pages

When you click the file, you may view its content in the right panel.

Click to expand/collapse More information...

Objects in Image Files

Image with one logical disk

Image with two logical disks on one hard drive

Image with two logical disks on two hard drives

You may also restore data directly from Windows explorer by right-clicking the required image file with the .rdr extension and selecting Restore Image from the shortcut menu.

If you select an image with incremental or differential data backup, select the date and time of image creation and click the Next button.

If the image file is password-protected, the Password prompt... message will appear. Enter the password and click the OK button.

3 Select the object in the image file on the Image Object Selection panel, select a destination, and click the Next button

Use the Refresh button if your computer disk configuration has been changed (when you connect a USB disk, for example).

R-Drive Image may show only those disks that you wand to see.

To hide/show disks:

1 Click the Show/hide disks button

2 Clear/select disks you want to hide/show

> R-Drive Image will show only those disks that have been selected

You may select all objects on a hard drive by clicking the hard drive icon.. It will show the marked hard drive.

You may select only one object at a time, and you need to specify the destination to proceed further.

Click to expand/collapse S.M.A.R.T. warning for a hard drive

If a hard drive has S.M.A.R.T. warnings, a color mark will appear on its left-top corner. Drugging the cursor over the drive will show a tooltip explaining that warning.

Warnings will also appear in confirming e-mails for scheduled actions.

* ===================[S.M.A.R.T.]===================

! SAMSUNG HM320HJ 2AK10001(298GB #2): Health Status: BAD

[01] Read Error Rate

! ===================[S.M.A.R.T.]===================

S.M.A.R.T. (Self-Monitoring, Analysis and Reporting Technology) is a technology widely-used in hard drives and solid-state devices that monitors their reliability conditions to predict possible hardware failures.

Click to expand/collapse More information...

If the chosen destination is smaller than the selected image, R-Drive Image will show the Destination disk is too small message and you will need to select another destination.

If you select several partitions as the destination, R-Drive Image will show the You have selected several partitions... message. If you click the OK button, all those partitions will be deleted and data will be restored on that free space.

Note: Although R-Drive Image shows unallocated space instead of the deleted partitions, the partitions and their data will be actually deleted only when R-Drive Image starts restoring the data from the image.

Selected Object and Destination
5 Specify restore parameters on this panel and click the Next button

You may change create/copy/modify parameters on the Create partition, Copy partition, or Modify partition panel. Click the Create / Copy Options / Modify button, respectively.

Click to expand/collapse Create/Copy Partition Parameters

Partition layout | The type of partition layout. See Support for Various Disk Partition Schemes and File Systems for the list of supported partition types.
Partition type | Primary (Active)/ Primary/Logical You may specify the type of the partition to be restored. Do not change this setting unless you have serious reasons to do so.
File system | You may select the file system for the partition to be restored.
Allocation unit size | It is the size of a disk block, that is, the minimum allocatable disk space. (only on the Create partition panel.)
Volume label | Label of this volume. You can change it.
Drive letter | Select the letter that will be assigned to the partition. You may select "Do not connect" if you do not want to connect this partition to your system.
Partition size | Minimum/maximum size of the partition to be restored
Free space before | You may specify the size of free space that will be left on the hard drive before the beginning of the partition.
Partition size | You may specify the size of the partition to be restored. Should be between the minimum and maximum partition size.
Free space after | You may specify the size of free space that will be left on the hard drive after the end of the partition.
 | You may visually adjust the location and size of the object to be restored. All other restore options will be adjusted accordingly. Also, when you adjust one or several restore options directly, these changes will be shown visually. Green marks available space. See Support for Various Disk Partition Schemes and File Systems for the list of supported file systems.

You may format a disk if necessary. Click the Format button and select the format parameters on the Format partition panel.

Click to expand/collapse Format partition options

File system | You may select the file system for the partition to be formatted.
Allocation unit size | It is the size of a disk block, that is, the minimum allocatable disk space.
Volume label | Label for this volume.

You may also delete or wiped selected disk object by clicking the Delete button. Click the Clear HDD or Wipe button if you want to delete all object on the hard drive or wipe its data. Go to the Partition Manager help page for more details..

To restore data from an image of an entire hard drive to a hard drive:

The Restore/Copy Parameters panel will be different with different sets of options:

HDD Copy Method
Raw disk copy | R-Drive Image writes sector-by-sector the data from the original drive or its image to the target one making an exact copy of the original disk regardless of its partitioning method. Can be used if other methods create a non-bootable disk due to incorrect detection of drive's geometry or non-standard loader. Drawback: partition sizes cannot be changed.
Copy all partitions onto original places | R-Drive Image copies all partitions to their original places. If R-Drive Image detects the drive's geometry correctly, and there is no non-standard loader, it makes the same result as during Raw disk copy.
Realign partitions | R-Drive Image will copy the partitions on the disk with a 512KB alignment. This is very useful for SSD and advanced-formatted disks. If there are empty (non-used) spaces between partitions, those spaces will be removed taking into account the alignment.
Expand/Shrink partition to whole disk | If there are empty (not-used) places between the partitions or they occupy less or more space than the target drive, R-Drive Image proportionally expands/shrinks them to occupy the entire target drive. Otherwise it is similar to Copy all partitions onto original places.
Fixed active partition | R-Drive Image preserves the original offset/size of the active partition (in case the loader has links to it).

See Support for Various Disk Partition Schemes and File Systems for details.

When you restore data from an image of a system disk, a disk signature collision may occur. In this case, the Disk Signature Collision panel will appear. You may specify the way to resolve this collision on this panel.

Disk Signature Collision Resolving
Same signature for both disk | R-Drive Image will create an identical copy of the source disk with the same signature. To avoid disk signature collision, you'll have to disconnect one of the disks and restart the computer, if necessary. Use this mode if you clone a system disk for another computer or only the target disk will be used in yours.
Different signature on the target disk. | R-Drive Image will write another disk signature to the target disk. Don’t use this mode if you clone a system disk, Windows won’t start from it. To get access to the target disk after cloning, you’ll have to restart the computer or re-connect it if it’s an external USB disk.
Change the disk signature on the source disk. | R-Drive Image will change the disk signature on the source disk. Use this mode if you want to start Windows from the target disk, but be warned: the computer won’t start from the source disk anymore.

If you try to restore data to a system or other disk locked by the system or other application, the Disk not locked message will appear.

Click to expand/collapse To continue restoring you may:

·If you restore data to your system disk, select Restart computer (recommended) to continue restoring the data in the R-Drive Image startup mode. Read carefully the Restoring Data to a System Disk topic before you proceed.

·If you restore data to a disk locked by other low-level disk software (including Windows internal services), stop this software and select Retry to lock the disk once again.

·You may also try to unlock the disk by selecting Force Windows to unlock the disk (not recommended). If Windows fails to unlock the disk, the Disk not locked message will appear again. You will need to stop the software locking the disk manually or select Restart computer (recommended) to continue restoring the data in the R-Drive Image startup mode.

Note: Use this option cautiously, because it may cause unpredictable results including system crash and data loss.
6 Verify that the information on the Processing panel is correct and click the Start button

You may also create a script for this action. Click the Script to Clipboard button and paste the script to any text-processing utility.

> R-Drive Image will start restoring the data from the image file to the selected destination.

When the image is restored, the Image restored successfully message will appear.

If some other program (like a file manager) is accessing the partition on which the data is to be restored, the Cannot lock the disk message will appear. Close this program or make it stop accessing the partition.

If you restore data from an image of an entire hard drive to an entire hard drive, the system may not see the restored partitions until restarted. In this case R-Drive Image will show the Disk image restored successfully. message. Click the Yes button to restart your system.

Click to expand/collapse Restoring data from CD-R/RW drives or other devices with removable storage

For the image with the file name filename.rdr, R-Drive Image creates the following disk/file structure:
Disk | File name
The first disk | filename1.rdr
The second disk | filename2.rdr
The third disk | filename3.rdr
... | ...
You should start restoring the data from the last disk. Each time R-Drive Image requires a new disk, the Insert disk #... message will appear. Insert the necessary disk and click the OK button. Follow the device instructions on how to change its disks. Note: At the beginning, R-Drive Image may require you to change the first/last disks several times.

Click to expand/collapse Bad Sectors

When R-Drive Image encounters a bad sector, the IO Error message will appear. You may either cancel the current action or fill the bad sectors with zeros.

IO Error Options

Abort | Click this button to cancel the action
Retry | Click this button to try to read the bad sectors once again
Ignore | Click this button to skip this error and fill the bad sectors with zeros
Ignore All | Click this button to skip all errors and fill the bad sectors with zeros

Restoring selected files and folders

(See Support for Various Disk Partition Schemes and File Systems for the list of supported file systems)

1 Click Restore from an Image on the Action Selection panel

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then R-Drive Image will show you the Choose image file panel with the disks/folder structure.

2 Select the file with the image on the Choose image file panel and click the Next button

When you click the file, you may view its content in the right panel.

If you select an image with incremental or differential data backup, select the date and time of image creation and click the Next button

If the image file is password-protected, the Password prompt... message will appear. Enter the password and click the OK button.

3 Select the object in the image file on the Image Object Selection pane where the files and folders reside, and click the Next button
4 Mark folders and files to restore on the Select Files to Restore panel, specify the output folder, and click the OK button

You may also specify Options that control processing of already existing files.

You may search for individual files, use filters, or the Batch mode if you want to include all files of several patterns. Such patterns may include multiple file names, masks, and paths.

5 Click the Next button to continue file restore on the Image Object Selection panel.

6 Verify that the information on the Processing panel is correct and click the Start button

You may also create a script for this action. Click the Script to Clipboard button and paste the script to any text-processing utility.

> R-Drive Image will start restoring the files from the image file to the selected destination.

If the files already exist in the specified folder, The file exists message will appear. Click the necessary button to resume the restore operation.

When the image is restored, the Files restored successfully message will appear.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Copy a Disk to a Disk

Attention: All previous data on the destination disk will be completely deleted

To copy an entire disk or its part to another one:

1 Click Copy Disk on the Action Selection panel.

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then the Object Selection panel will show the configuration.

Click to expand/collapse More information...

Disk Configuration

You may select all objects on a hard drive by clicking the hard drive icon.. It will show the marked hard drive.

2 Select the disk object on the Source: on the Object Selection panel, select a destination, and click the Next button

Click the controls to learn their functions or go to the respective help pages

You may select only one object at a time, and you need to specify the destination to proceed further.

Use the Refresh button if your computer disk configuration has been changed (when you connect a USB disk, for example).

Click to expand/collapse More information...

If the destination is smaller than the selected object, R-Drive Image won't allow you to select this object and you will need to select another destination.

If you select several partitions as the destination, R-Drive Image will show the You have selected several partitions... message. If you click the OK button, all those partitions will be deleted and data will be restored on that free space.

Note: Although R-Drive Image shows unallocated space instead of the deleted partitions, the partitions and their data will be actually deleted only when R-Drive Image starts copying the data.

Selected Object and Destination

Click to expand/collapse S.M.A.R.T. warning for a hard drive

If a hard drive has S.M.A.R.T. warnings, a color mark will appear on its left-top corner. Drugging the cursor over the drive will show a tooltip explaining that warning.

Warnings will also appear in confirming e-mails for scheduled actions.

* ===================[S.M.A.R.T.]===================

! SAMSUNG HM320HJ 2AK10001(298GB #2): Health Status: BAD

[01] Read Error Rate

! ===================[S.M.A.R.T.]===================

S.M.A.R.T. (Self-Monitoring, Analysis and Reporting Technology) is a technology widely-used in hard drives and solid-state devices that monitors their reliability conditions to predict possible hardware failures.

If you try to copy data to or from a system, or other disk locked by the system or other application, the Disk not locked message will appear.

Click to expand/collapse To continue copying you may:

·If you copy data to or from your system disk, select Restart computer (recommended) to continue restoring the data in the R-Drive Image startup mode. Read carefully the Disk to Disk Copy Using the Startup Disks topic before you proceed.

·If you copy data to a disk locked by other low-level disk software (including Windows internal services), stop this software and select Retry to lock the disk once again.

·You may also try to unlock the disk by selecting Force Windows to unlock the disk (not recommended). If Windows fails to unlock the disk, the Disk not locked message will appear again. You will need to stop the software locking the disk manually or select Restart computer (recommended) to continue copying the data in the R-Drive Image startup mode.

Note: Use this option cautiously, because it may cause unpredictable results including system crash and data loss.

You may select all objects on a hard drive by clicking the hard drive icon.. It will show the marked hard drive.

3 Specify copy parameters on the Restore/Copy Parameters panel and click the Next button

Click to expand/collapse Restore parameters

You may change create/copy/modify parameters on the Create partition, Copy partition, or Modify partition panel. Click the Create / Copy Options / Modify button, respectively.

Click to expand/collapse Create/Copy Partition Parameters

Partition layout | The type of partition layout. See Support for Various Disk Partition Schemes and File Systems for the list of supported partition types.
Partition type | Primary (Active)/ Primary/Logical You may specify the type of the partition to be restored. Do not change this setting unless you have serious reasons to do so.
File system | You may select the file system for the partition to be restored.
Allocation unit size | It is the size of a disk block, that is, the minimum allocatable disk space. (only on the Create partition panel.)
Volume label | Label of this volume. You can change it.
Drive letter | Select the letter that will be assigned to the partition. You may select "Do not connect" if you do not want to connect this partition to your system.
Partition size | Minimum/maximum size of the partition to be restored
Free space before | You may specify the size of free space that will be left on the hard drive before the beginning of the partition.
Partition size | You may specify the size of the partition to be restored. Should be between the minimum and maximum partition size.
Free space after | You may specify the size of free space that will be left on the hard drive after the end of the partition.
 | You may visually adjust the location and size of the object to be restored. All other restore options will be adjusted accordingly. Also, when you adjust one or several restore options directly, these changes will be shown visually. Green marks available space. See Support for Various Disk Partition Schemes and File Systems for the list of supported file systems.
To copy data from an entire hard drive to another hard drive:

The Restore/Copy Parameters panel will be different with different sets of options:

HDD Copy Method
Raw disk copy | R-Drive Image writes sector-by-sector the data from the original drive or its image to the target one making an exact copy of the original disk regardless of its partitioning method. Can be used if other methods create a non-bootable disk due to incorrect detection of drive's geometry or non-standard loader. Drawback: partition sizes cannot be changed.
Copy all partitions onto original places | R-Drive Image copies all partitions to their original places. If R-Drive Image detects the drive's geometry correctly, and there is no non-standard loader, it makes the same result as during Raw disk copy.
Realign partitions | R-Drive Image will copy the partitions on the disk with a 512KB alignment. This is very useful for SSD and advanced-formatted disks. If there are empty (non-used) spaces between partitions, those spaces will be removed taking into account the alignment.
Expand/Shrink partition to whole disk | If there are empty (not-used) places between the partitions or they occupy less or more space than the target drive, R-Drive Image proportionally expands/shrinks them to occupy the entire target drive. Otherwise it is similar to Copy all partitions onto original places.
Fixed active partition | R-Drive Image preserves the original offset/size of the active partition (in case the loader has links to it).

See Support for Various Disk Partition Schemes and File Systems for details.

When you copy a system disk, a disk signature collision may occur. In this case, the Copy options panel will inform you about this. You may specify the way to resolve this collision on the Disk Signature Collision panel.

Disk Signature Collision Resolving
Same signature for both disk | R-Drive Image will create an identical copy of the source disk with the same signature. To avoid disk signature collision, you'll have to disconnect one of the disks and restart the computer, if necessary. Use this mode if you clone a system disk for another computer or only the target disk will be used in yours.
Different signature on the target disk. | R-Drive Image will write another disk signature to the target disk. Don’t use this mode if you clone a system disk, Windows won’t start from it. To get access to the target disk after cloning, you’ll have to restart the computer or re-connect it if it’s an external USB disk.
Change the disk signature on the source disk. | R-Drive Image will change the disk signature on the source disk. Use this mode if you want to start Windows from the target disk, but be warned: the computer won’t start from the source disk anymore.
4 Verify that the information on the Processing panel is correct and click the Start button

You may also create a script for this action. Click the Script to Clipboard button and paste the script to any text-processing utility

> R-Drive Image will start copying the data from the source to the selected destination place.

When the data is copied, the Object copied successfully message will appear.

If some other program (like a file manager) is accessing the partition on which the data is to be restored, the Cannot lock the disk message will appear. Close this program or make it stop accessing the partition.

If you copy an entire hard drive to another hard drive, two absolutely identical hard drive will appear in your system. That will confuse it and may cause unpredictable results. To prevent that, a Disk copied successfully message will appear. You may turn your system off to disconnect one of the disks, or restart it to disable one of the disk in the BIOS of your system. Under Windows 95/98/Millennium, the target disk will not appear until system restart even if you decide to click the Cancel button.

Click to expand/collapse Bad Sectors

When R-Drive Image encounters a bad sector, the IO Error message will appear. You may either cancel the current action or fill the bad sectors with zeros.

IO Error Options

Abort | Click this button to cancel the action
Retry | Click this button to try to read the bad sectors once again
Ignore | Click this button to skip this error and fill the bad sectors with zeros
Ignore All | Click this button to skip all errors and fill the bad sectors with zeros

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Partition Manager

R-Drive Image has a built-in partition manager. It can perform the following disk operations:

Entire hard drives: | An entire hard drive can be cleared or wiped
Existing partitions: | An existing partition can be modified, formatted, deleted, or wiped
Unallocated space: | A new partition can be created, or free space can be wiped

All commands can be invoked either by clicking the respective button on the panel, or by right-clicking the object and selecting the respective menu item.

Entire hard drive

To clear an entire hard drive:

1 Click Partition Manager on the Action Selection panel.

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress.

2 Select the hard drive and click the Clear HDD button on the Object Selection panel.

Click the controls to learn their functions or go to the respective help pages

3 Select another disk action on the Object Selection panel, if necessary.. If not, click the Next button
4 Verify that the information on the Processing panel is correct and click the Start button
> R-Drive Image will remove all objects on the disk.

To wipe an entire hard drive:

Data wiping is necessary only for files stored on conventional hard drives. Data stored on SSD storage devices cannot be effectively wiped out due to the principles of operation of these devices.

1 Click Partition Manager on the Action Selection panel

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress.

2 Select the hard drive and click the Wipe button on the Object Selection panel
3 Select the necessary wiping algorithm on the Wipe an object panel and click the OK button..

You may read more about wiping algorithms on the Disk Wiping Algorithms help page.

4 Select another disk action on the Object Selection panel, if necessary.

If not, click the Next button

5 Verify that the information on the Processing panel is correct and click the Start button
> R-Drive Image will remove all objects on the disk and wipe it.

Existing partition

To modify/format/delete/wipe an existing partition:

1 Click Partition Manager on the Action Selection panel

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress.

2 Select the partition and click the Modify/Format//Delete/Wipe button on the Object Selection panel and specify the required parameters
Modify panel | Modify parameters
Format panel | Format options
Delete button | Deletes partition
Wipe panel | Wipe algorithms

then click the OK button

3 Verify that the information on the Processing panel is correct and click the Start button
> R-Drive Image will perform the specified action.

Unallocated space

To create a new partition on an allocated space:

1 Click Partition Manager on the Action Selection panel

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress.

2 Select the unallocated space, click the Create button on the Object Selection panel, and specify the required parameters on the Create partition panel,

then click the OK button

3 Verify that the information on the Processing panel is correct and click the Start button
> R-Drive Image will create a new partition.

To wipe an unallocated space:

1 Click Partition Manager on the Action Selection panel

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress.

2 Select the unallocated space, click the Wipe button on the Object Selection panel, and specify the wiping algorithms on the Wipe partition panel,

then click the OK button

3 Verify that the information on the Processing panel is correct and click the Start button
> R-Drive Image will wipe the unallocated space.


Mount an Image as a Virtual Logical Disk

Note: You can mount images only as read-only disks. See Support for Various Disk Partition Schemes and File Systems for the list of supported file systems.

To mount an image as a Virtual Logical Disk:

1 Click Mount an Image as a Virtual Logical Disk on the Action Selection panel.

R-Drive Image will show you the Choose image to mount drive(s) from panel with the disks/folders structure.

2 Select the file with the image on the Choose image to mount drive(s) from panel and click the Next button

When you click the file, you may view its content on the right pane.

Click to expand/collapse More information...

Objects in Image Files

Image with one logical disk

Image with two logical disks on one hard drive

Image with two logical disks on two hard drives

You may select all objects on a hard drive by clicking the hard drive icon.. It will show the marked hard drive.

You may also mount the disk from Windows explorer by right-clicking the required image file with the .rdr extension and selecting Mount as Virtual Disk from the shortcut menu.

If you select an image with incremental or differential data backup, select the date and time of image creation and click the Next button.

If the image file is password-protected, the Password prompt... message will appear. Enter the password and click the OK button.

3 Select the object in the image file on the Choose image to mount panel, select a drive letter, and click the Next button

Click the controls to learn their functions or go to the respective help pages

You may select only one object at a time, and you need to specify its drive letter to proceed further.

Click to expand/collapse More information...

Selected Object
4 Verify that the information on the Processing panel is correct and click the Start button

You may also create a script for this action. Click the Script to Clipboard button and paste the script to any text-processing utility

> R-Drive Image will start mounting the selected object as a virtual logical disk.

When the disk is mounted, the Virtual disk(s) mounted successfully message will appear.

Click to expand/collapse Mounting images on devices with removable storage

You cannot mount a split image if its files are stored on separate removable disks. However you can mount such image if you copy all the files into one folder on a hard disk.

Note: While R-Drive Image is mounting an image, Windows itself may install additional software required to run the virtual logical disks correctly. In this case follow Windows on-screen instructions.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Unmount Virtual Logical Disks

To unmount Virtual Logical Disks:

1 Click Unmount Virtual Logical Disks on the Action Selection panel.

R-Drive Image will show you the list of virtual disks on the Choose drive(s) to umount them panel.

Click the controls to learn their functions or go to the respective help pages

Click to expand/collapse More information...

Mounted Virtual Logical Disks
2 Mark the disks on the Choose drive(s) to umount them panel and click the Next button

Click to expand/collapse More information...

Marked Mounted Virtual Logical Disks
3 Verify that the information on the Processing panel is correct and click the Start button

You may also create a script for this action. Click the Script to Clipboard button and paste the script to any text-processing utility

> R-Drive Image will start unmounting the selected virtual logical disks

When the disks are unmounted, the Virtual disk(s) unmounted successfully. message will appear.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Check an Image File

To check an image file:

1 Click Check an Image File on the Action Selection panel.

R-Drive Image will show you the Choose image to check integrity panel with the disks/folder structure.

Click the controls to learn their functions or go to the respective help pages

2 Select the file with the image on the Choose image to check integrity panel and click the Next button

When you click the file, you may view its content in the right pane.

Click to expand/collapse More information...

Objects in Image Files

Image with one logical disk

Image with two logical disks on one hard drive

Image with two logical disks on two hard drives

If the image file is password-protected, the Password prompt... message will appear. Enter the password and click the OK button.

3 Verify that the information on the Processing panel is correct and click the Start button

You may also create a script for this action. Click the Script to Clipboard button and paste the script to any text-processing utility

> R-Drive Image will start checking the data in the image file.

When the image is checked, the Object checked successfully message will appear if the image file is good. If it is corrupted, R-Drive Image will show the Image corrupted message.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Filters

Filters can be used if it's necessary to show only files of certain types. For example, the required types are *.jpg and *.docx. Then such files can be searched for and marked accordingly. Complex filters can be created using the Batch mode.

Note that filters do not mark files, they filter out all other file types making R-Drive Image show only files matching the filter(s). File marking affects only those files that are matching the applied filters.

A filter can be specified on the Search window. The example below shows how this filter affects files that R-Drive Image shows on the Select files... panel.

Click to enlarge

Filter specified

After this filed has been applied, R-Drive Image will show only *.jpg and *.docx files.

Click to enlarge

Filter applied

Note that folders that contain no *.jpg or *.docx files are show as empty.

Applied filters can be edited and saved to load them later.

Click to enlarge

Filter being edited

Folders and their files may be marked/unmarked manually changing folder's marks accordingly. There are four mark types for folders:

No files or folder matching the selection recursively have been marked in the folder.

No files or folders matching the selection have been found, but they may appear in the future.

Some files match the selection and marked in this folder.

The folder and all its files and folders recursively match the selection and are marked in this folder.


Batch Mode

Batch mode is a way to apply very complex sets of file filters for automated search for folders and files and marking them for backup or restore. Such sets can be saved for future use and loaded when necessary.

The simple way to specify such a set is to mark all necessary files and folders manually on the Select Files to Restore panel and click the Batch mode button. Depending whether files or folders are on a disk or in a image, their paths may look slightly different.

Click to enlarge

Select Files to Restore panel (image)

Click to enlarge

Select Files to Restore panel (image)

Click to enlarge

Select Files to Restore panel (image)

Click to enlarge

Select Files to Restore panel (image)

Sets are stored in the plain text format, and can be composed or edited in the Batch window or in any text editor capable of exporting text in this format. Below are the rules that should be followed while writing filter sets.

Every filter set consists of strings each representing a single filter. They are executed in the top to bottom order. If, for example, files are to be marked according to the first string, but unmarked according to the seventh string, they will eventually be unmarked.

Filters can include file names, file paths, and wildcards, like * and ?. They can also have some keys that modify their impact on the search results. If a path in the filter has a space in it, it should be enclosed in quotation marks.

Switches that modify file filters:

-no | This filter unmarks the folders or files it's applied to. I.g., C:\Photos\*.jpg -no unmarks all jpg files in the C:\Photos folder.
-file | This filter is applied to files. May be shorten to -fi. -no-file negates the filter, making it applied not to files.
-dir | This filter is applied to folders. May be shorten to -d. -no-dir negates the filter, making it applied not to folders..
-case | This filter is case-sensitive. May be shorten to -c. -no-case makes the filter case-insensitive.
-local | This filter is applied to the current folder, not to its subfolders. May be shorten to -l. -no-local negates the filter making it applied to the folder and its subfolders.
-recursive | This filter is applied to the current folder and its subfolders. May be shorten to -r. -no-recursive negates the filter making it applied only to the folder.
-from: | The initial date from which files will be marked. It may be either in the form of exact date: -from:20210101, or relative to the current date: -from:now-3week. Has no effect on folders. May be shorten to -fr.
-to: | The final date to which files will be marked. It may be either in the form of exact date: -to:20211201, or relative to the current date: -to:now-1week. Has no effect on folders.

An exact date may be specified as a local time YearMonthDayHour24MinSec, or as a UTC time YearMonthDayHour24MinSecU.

Provided that there's no switches in the filter (i.g., -recursive), a file path in the file filter ending with a path separator is applied to the files in the folder and its subfolders. If not, only to the files in the folder.

The file filter D:\Files\ will be applied to the files in the D:\Files\.

The file filter D:\Files will be applied to the files in the D:\Files and in its subfolders.

Below is an example of filters recursively applied to files in the D:\Files\Pictures folder and its subfolders.

D:\Files\Pictures

D:\Files\Pictures\My_Photo -no

D:\Files\Pictures\My_Photo\Home??????.jpg

Line 1: All files will be marked in the D:\Files\Pictures folder and its subfolders will be marked.

Line 2. All files in the D:\Files\Pictures\My_Photo folder will be unmarked.

Line 3: Files named like Home210312.jpg in the folder D:\Files\Pictures\My_Photo\ will be marked.

An importance notice about marking a folder.

If you mark all files in the folder but not the folder itself, its mark will be the following:

Click to enlarge

The folder was not marked

The batch will look like:

Click to enlarge

The folder was not marked

And the folder will be restored only if there are marked files/folders in it.

If you mark the folder, its mark will be the following:

Click to enlarge

The folder was marked

The batch will look like:

Click to enlarge

The folder was marked

And the folder will always be restored regardless whether there are marked files/folders in it.


RAIDs, and Various Disk and Volume Managers

R-Drive Image supports various RAIDs, and Disk/Volume Managers.

·Hardware RAIDs

·Windows Software RAIDs, Spanned, and Other Volumes

·Windows Storage Spaces

·Apple RAIDs

·Apple CoreStorage/File Vault/Fusion Drive Volumes

·Linux mdadm RAIDs

·Linux Logical Volume Manager Volumes

The Disk Actions chapter explains disk actions such as:

·Create an Image of a partition, logical disk, or entire hard drive

·Create an Image from Files

·Restore Data from an Image

·Copy Disk to Disk to make an exact copy of one disk on another

·Manage partition and logical disks

·Mount an Image as a Virtual Logical Disk (read-only)

·Unmount Virtual Logical Disks

·Check an Image File to check an existing image file

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version such as:

·Create Startup Disk

·Restoring Data to a System or Other Locked Disk

·Create an Image Using the Startup Disks

·Disk to Disk Copy Using the Startup Disks

The Scheduled Actions, Command Line Operations, and Scripting chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line.

·Scheduler and Unattended Actions

·Scripting and Command Line Operations

·Rotation schemes (backup sets)

The Technical Information chapter gives technical information on

·Logging

·Creating consistent point-in-time backups

·Support for Various Disk Partition Schemes and File Systems

·Supported CD and DVD Recorders

·List of Hardware Devices Supported in the Startup Mode

The R-Drive Image OEM kit chapter explains how computer system integrators can create system recovery disks for their systems

·Create a Master Image

·Create Startup Media

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Hardware RAIDs

R-Drive Image supports hardware RAIDs created by RAID controllers.

Click to enlarge

Hardware RAID

Actually, R-Drive Image treats them as single hard disks.

Click to enlarge

Hardware RAID

Data Restore from an Image of a Hardware RAID

You may restore data from an image of a hardware RAID with the limitations described in the Support for Various Disk Partition Schemes and File Systems section.

Click to enlarge

Hardware RAID


Windows Software RAIDs, Mirrors, and Spanned Volumes

R-Drive Image supports Windows software RAIDs, mirrors, and spanned volumes. Such objects can be managed using the Disk Management item in Computer management.

Click to enlarge

Windows software RAID0

Click to enlarge

Windows software mirror

Click to enlarge

Windows software spanned volume

Windows Software RAIDs, Mirrors, and Spanned Volumes Imaging

R-Drive Image displays those objects similar to their representation in the Windows Disk Manager.

Click to enlarge

Windows software RAID0

Click to enlarge

Windows software mirror

Click to enlarge

Windows software spanned volume

When you select one parent of a Windows software RAID, mirror, or spanned volume, R-Drive Image selects the entire object.

Data Restore from an Image of a Software RAID, Mirror, and Spanned Volume

You may restore data from an image of a Windows software RAID, mirror, and spanned volume with the limitations described in the Support for Various Disk Partition Schemes and File Systems section.

Click to enlarge

Windows software RAID0

Click to enlarge

Windows software mirror

Click to enlarge

Windows software spanned volume


Windows Storage Spaces

R-Drive Image supports Windows Storage Spaces created by Windows 8/8.1 and Windows 10/Threshold 2/Anniversary/Fall Creators updates. Storage pools and spaces is a new storage technology, first introduced in Windows 8 and Windows Server 2012, that allows the user to combine various (not always similar) hard drives into a kind of a RAID or compound volume. First, the hard drives are combined into a storage pool, then several storage spaces with striping (similar to RAID0), mirroring (similar to RAID1), and parity (similar to RAID5) can be created in that storage pool. You may read more about storage pools and spaces in the Microsoft's Storage Spaces: FAQ.

When drives from a storage pool are connected to a Windows computer, it automatically detects them and assembles storage spaces accordingly.

Click to enlarge

Windows storage spaces

Storage pools and spaces can be managed using the Storage Spaces item in the Control Panel.

Click to enlarge

Windows storage spaces

R-Drive Image can image Windows Storage Spaces and then restore data to them with some restrictions.

Windows Storage Space Imaging

R-Drive Image displays both Windows Storage Spaces and their parents on the Partition Selection panel.

Click to enlarge

Windows storage spaces

When you select a certain Windows Storage Space, R-Drive Image also shows its respective parents.

Data Restore from an Image of a Windows Storage Space

You may restore data from an image of a Windows Storage Space with the limitations described in the Support for Various Disk Partition Schemes and File Systems section.

Click to enlarge

Windows storage spaces

Please, note that R-Drive Image can restore data only to fixed-provisional Windows Storage Spaces if the Windows version doesn't support Windows Storage Spaces. The startup version of R-Drive Image can restore data only to fixed-provisional Windows Storage Spaces, too. You may read more about thin-provisioned or fixed Windows Storage Spaces in Microsoft's Storage Spaces Overview.


Apple RAIDs

R-Drive Image supports various software RAIDs that OS X can create from disks connected to a Mac computer: RAID1 (Mirror set), RAID0 (Stripe set), and Concatenated disk set.

Click to enlarge

Apple RAID0 example

Apple RAIDs Imaging

R-Drive Image displays both Apple RAIDs and their members on the Partition Selection panel.

Click to enlarge

Apple RAID0

You may select either the Apple RAID, or its members separately.

Data Restore from an Image of an Apple RAID

You may restore data from an image of an Apple RAID with the limitations described in the Support for Various Disk Partition Schemes and File Systems section.

Click to enlarge

Apple RAID0


Apple CoreStorage/File Vault/Fusion Drive Volumes

The macOS operating system has the following disk management systems:

File Vault, is a disk encrypted utility;

Fusion Drive is an Apple's hybrid drive technology;

CoreStorage is a logical volume management system.

R-Drive Image supports all these technologies and can unlock their encrypted volumes (hard drives and images).

Apple CoreStorage/File Vault Volume Imaging

R-Drive Image displays both those volumes and their members on the Partition Selection panel.

Click to enlarge

Locked Apple CoreStorage

In the above case, the entire hard drive will be imaged.

You may unlock encrypted volumes and image only them. Click the locked volume and enter the password in the Unlock encrypted drive dialog box.

Click to enlarge

Unlocked Apple CoreStorage

In this case the volume will be image without encryption

Data Restore from an Image of CoreStorage/File Vault Volumes

You may restore data from an image of an Apple CoreStorage/File Vault volume with the limitations described in the Support for Various Disk Partition Schemes and File Systems section.

Data restore from an image of an entire storage device to another storage device.

Click to enlarge

Apple CoreStorage

In this case the result will be the exact copy of the imaged storage device.

Data restore from an image of an unencrypted an Apple CoreStorage/File Vault volume device to the place of a locked encrypted volume.

Click to enlarge

Apple CoreStorage

In this case the result will be an unencrypted volume on the place of the previous encrypted volume.

Data restore from an image of an unencrypted Apple CoreStorage/File Vault volume device to the place of an unlocked encrypted volume.

Click to enlarge

Apple CoreStorage

In this case the result will be an encrypted volume on the place of the previous encrypted volume.

Apple Fusion Drive Imaging

R-Drive Image displays both this volume and its members on the Partition Selection panel.

Click to enlarge

Apple Fusion Drive

When you select a certain Fusion drive, R-Drive Image also shows its respective components.

Data Restore from an Image of Apple Fusion Drive Volumes

You may restore data from an image of an Apple Fusion Drive volume with the limitations described in the Support for Various Disk Partition Schemes and File Systems section.

Click to enlarge

Apple Fusion Drive


Linux mdadm RAIDs

mdadm is a Linux utility used to manage and monitor software RAID devices.

R-Drive Image supports such devices and when drives from a mdadm RAID are connected to a Windows computer, it automatically detects them and assembles mdadm RAIDs accordingly.

Click to enlarge

Linux mdadm RAIDs

mdadm RAIDs Volume Imaging

R-Drive Image displays both mdadm RAIDs and their components on the Partition Selection panel.

Click to enlarge

Linux mdadm RAID5

Data Restore from an Image of a mdadm RAIDs Volume

You may restore data from an image of a mdadm RAIDs with the limitations described in the Support for Various Disk Partition Schemes and File Systems section.

Click to enlarge

Linux mdadm RAID5


Linux Logical Volume Manager Volumes

Linux LVM is a logical volume manager for the Linux OS that manages disk drives and other data storage devices. Using it, It is possible to create single logical volumes on several physical disks, add and replace them in a running system, resize logical volumes, create various RAID configuration, and so on. You may read more about Linux LVM on this Wikipedia article: Logical Volume Manager (Linux).

Click to enlarge

LVM volume example

LVM volume Imaging

R-Drive Image displays both LVM volumes and their components on the Partition Selection panel.

Click to enlarge

LVM Volume

When you select a certain LVM volume, R-Drive Image also shows its respective members.

Data Restore from an Image of a LVM volume

You may restore data from an image of a LVM volumes with the limitations described in the Support for Various Disk Partition Schemes and File Systems section.

Click to enlarge

LVM Volume


Startup Version

There are two types of the R-Drive Image startup mode: with the Graphic User Interface (GUI) and with the Text User Interface (TUI). The interface of the later is actually pseudo-graphic. The GUI type has the same interface as that of the Windows version and its operation is similar. You may refer to the respective help pages for detailed instructions. This chapter describes the operation of the TUI startup version.

This chapter explains how to perform disk actions using the R-Drive Image Startup Version such as:

·Create Startup Disk

·Load Computer into Startup Mode

·Restore Data From an Image

·Create an Image

·Disk to Disk Copy

·Create an Image from Files

·Partition Manager

·Check an Image File

·Network Drives

The Disk Actions chapter explains disk actions such as:

·Create an Image of a partition, logical disk, or entire hard drive

·Create an Image from Files

·Restore Data from an Image

·Copy Disk to Disk to make an exact copy of one disk on another

·Manage partition and logical disks

·Mount an Image as a Virtual Logical Disk (read-only)

·Unmount Virtual Logical Disks

·Check an Image File to check an existing image file

The RAIDs, and Various Disk and Volume Managers chapter explains how to perform disk actions with various compound volumes such as:

·Windows Software RAIDs, Spanned, and Other Volumes

·Windows Storage Spaces

·Mac RAIDs

·Linux Logical Volume Manager Volumes

The Scheduled Actions, Command Line Operations, and Scripting chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line.

·Scheduler and Unattended Actions

·Scripting and Command Line Operations

·Rotation schemes (backup sets)

The Technical Information chapter gives technical information on

·Creating consistent point-in-time backups

·Support for Various non-MBR/GPT Partition Layouts

·Supported CD and DVD Recorders

·List of Hardware Devices Supported in the Startup Mode

The R-Drive Image OEM kit chapter explains how computer system integrators can create system recovery disks for their systems

·Create a Master Image

·Create Startup Media

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Create Startup Disks

You need to create a startup CD/DVD disc, USB removable storage device, or 6 floppy disks to restore data to a system or other locked disk. You may also create an ISO image of a startup CD disc and burn it using your favorite CD writing software.

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the list of supported hardware.

If you have problems with starting you computer up from the R-Drive Image startup disks, select configure startup media troubleshooting options. Then the Startup Media Troubleshooting Options panel will appear. You may configure these options to eliminate those problems.

Those options will help you if you have problems with starting you computer up from the R-Drive Image startup disks.

Click to Expand/Collapse Startup Media Troubleshooting Options
Display kernel startup messages | if this checkbox is enabled, R-Drive Image displays all startup messages. That may be useful to locate the source of the problem when your system hangs during R-Drive Image startup.
Trace drivers loading | Select this checkbox when you want to see loading drivers to find which one may lock the system.
Disables ACPI Disables APIC | Select these checkboxes when your system detects some hardware incorrectly during R-Drive Image startup and displays messages like: hda: lost interrupt
Disables USB devices support | Select these checkbox if your system experiences problems with USB devices during R-Drive Image startup.
Disables SCSI devices support | Select these checkbox if your system experiences problems with SCSI devices during R-Drive Image startup.
Disables PATA devices support | Select these checkbox if your system experiences problems with Parallel ATA devices during R-Drive Image startup.
Disables PCMCIA devices support | Select these checkbox if your system experiences problems with PCMCIA devices during R-Drive Image startup.
Disables DMA for all IDE disk drives | Select these checkbox if your system experiences problems with IDE disks during R-Drive Image startup.
IRQ polling mode | Select this checkbox if R-Drive Image does not recognize a device although it is in the supported device list.
Default clocksource | Select this checkbox to select computer default clocksource.
PCI BIOS | Select an appropriate option if your system experiences problems with computer hardware.
ACPI OSI | An option informing the computer BIOS which OS type is going to start. Default is Linux, but it may cause the computer BIOS to drop support for some computer hardware. Change this option if the startup version cannot recognize some computer hardware, or it malfunctions.
Disable specified drivers | Enter the drivers that may cause system lock. Driver names should be separated by a space or comma.

To create a startup CD disc:

Supported CD and DVD Recorders

1 Select Create Startup Disks on the Action Selection panel and click the Next button
2 Select the CD-recorder in the list of supported startup devices with removable storage on the Create Sturtup Disk panel and click the Next button
3 Click the Start button on the Processing panel
> R-Drive Image will start creating the startup CD disc

When you click the Start button, R-Drive Image will open the CD-R/RW drive tray and the Insert a blank CD-R/RW disc... message will appear. Insert a blank CD-R/RW disc and click the OK button. When R-Drive Image finishes creating the startup CD disc, the Startup disks created successfully message will appear.

If you mistakenly insert a non-empty CD-R/RW disc, the CD-R/RW disc is not empty... message will appear. Change the disc to another empty CD-R/RW disc and click the OK button.

To create an ISO image:

1 Select Create Startup Disks on the Action Selection panel and click the Next button
2 Select ISO on the Create Sturtup Disk panel, specify a file name for the ISO image, and click the Next button
3 Click the Start button on the Processing panel
> When R-Drive Image finishes writing the file with the ISO image, the Startup disks created successfully message will appear
4 Create the startup CD using your favorite CD creation software

Load the created ISO image into the CD creation software. Consult documentation for the software for details.

To create a startup USB removable device:

It may be a USB flash disk, ZIP drive, etc. It should be FAT/FAT32 formatted and connected to the computer before selecting Create Startup Disks on the Action Selection panel. If there is some data on that device, it will not be overwritten.

1 Select Create Startup Disks on the Action Selection panel and click the Next button
2 Select the required removable device in the list of supported startup devices with removable storage on the Create Sturtup Disk panel and click the Next button
3 Click the Start button on the Processing panel
> R-Drive Image will start creating the startup USB disc

When R-Drive Image finishes creating the startup USB disk, the Startup disks created successfully message will appear.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Load Computer into Startup Mode

Sometimes you may need to start your computer into R-Drive Image startup mode, for example, to restore data to a system disk.

You may do that through the following methods:

Click to expand/collapse If you have a Mac computer...

The startup version of R-Drive Image can perform basic disk imaging operations for Mac computers. See the Support for Various Disk Partition Schemes and File Systems section for details.

To start a Mac computer with the R-Drive Image startup disk,

1. Insert a CD/DVD disc or connect a USB disk

2. Switch the Mac on.

3. While loading, press the Option key on the Mac keyboard (the Alt key if you use a non-Apple keyboard).

Click to enlarge/collapse

The Options key

4. Select the EFI boot disk and press Enter.

Click to enlarge/collapse

The R-Drive Image startup disk

From the R-Drive Image Graphical User Interface

Note: You cannot use this method if your computer uses UEFI to start up. Use external startup media, like a USB or CD disk instead.

If you try to restart an UEFI computer from the Windows, you'll get a Cannot prepare to reboot... message.

1. Select the file with the image, the object in the image file, select the system disk as the destination as it is described in the Restore Data from an Image topic. Do not pay much attention to the image file, as it will be eventually discarded. The only important option at this stage is the image destination. Select the system disk.
2. When you click the Next button on the Image Object Selection panel, the Disk not locked message will appear.
3. Select Restart computer (recommended) and click the OK button. The You are about to restart... message will appear. Click the Yes button. (If you click the Cancel button on the Disk not locked message, the Cannot lock the disk message will appear, and R-Drive Image will stay on the Image Object Selection panel.)

You computer will restart. The following text will appear on the screen:

Please select the operating system to start:

R-DriveImage Autopart v.2.0

Microsoft Windows XP Professional
4. Select R-DriveImage Autopart v.2.0 and press the Enter button. You may select Microsoft Windows XP Professional to start Windows normally.

using the R-Drive Image startup CD disc or USB disk

1. Make sure that the first startup device in the system BIOS is the required drive. Disable "Secure boot" in the system BIOS if your computer is certified to run Windows 8 and later. Refer to your system documentation for details.
2. Insert the CD disc or connect the USB disk and start your computer.

R-Drive Image will start in the startup mode.and a startup screen will appear:

Click to enlarge/collapse

Startup Options

Select the R-Drive Image GUI (Graphic Mode) to run R-Drive Image in the graphic mode in which its user interface is similar to the Windows version. if R-Drive Image cannot run in this mode, restart the system in the Safe VGA mode (only VESA-compliant) which is compatible with most video cards and monitors. If it fails too, select the Text mode in which the R-Drive Image user interface is shown in the pseudo-graphic mode compatible with all video cards. The help below describes this pseudo-graphic mode.

Use the Tab key to switch between the control areas and the arrow keys to select options within the control areas. Press the Enter key to activate the selected button.

You may also activate a key by pressing the highlighted letter key. You may exit the program by pressing the x key.

When the Action Selection panel will appear.

GUI mode

Text mode
Click to enlarge/collapse

Action Selection panel
Click to enlarge/collapse

Action Selection panel

Specifying video settings for the GUI startup version.

You may specify video screen resolution when necessary.

1 Select Display settings in the shortcut menu
Click to enlarge/collapse

Video settings

2 Select the required screen resolution and click the OK button
Click to enlarge/collapse

Video settings


Restore Data from an Image

Restoring data to a system or other locked disk:

Note: This help page describes the operation of the TUI startup version. Go to the Restore Data from an Image help page for the GUI version and to the network drives help If necessary.

You cannot restore data to the system (the disk from which Windows starts) or other locked disk the same way you do that to any other disk. You need either to restart R-Drive Image in its startup mode, or start your computer from another computer local disk or from specially created startup disk(s).

We recommended that you print out this topic and have the hardcopy on hand while you are performing this action.

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the List of Hardware Devices Supported in the Startup Mode.

If you plan to use any external device, turn it on before starting the system.

If the motherboard in your computer supports the Serial ATA (SATA) devices, but IDE disks are also present, only the SATA devices should be set to the Enhanced Mode in BIOS.

Please, note that the startup version of R-Drive Image can restore data only to fixed-provisional Windows Storage Spaces You may read more about thin-provisioned or fixed Windows Storage Spaces in Microsoft's Storage Spaces Overview.

We recommend you stop all other programs before you start restoring data on a partition.

1 Restart your computer in the startup mode
2 Select Restore from an Image on the Action Selection panel and press the N key
Click to enlarge/collapse

Action Selection Panel

Use the arrow keys to switch between the options.

3 Select the file with the image on the Open an Image File panel and press the Enter key

Click to enlarge/collapse

Open an Image File Panel

Click to enlarge/collapse

Open an Image File Panel

R/O

Read-only disk. You cannot create images on such disks.

Use the Tab key to switch between the control areas and the arrow and Enter keys to navigate within the File area.

You may also connect network drives.

4 Select the object in the image file on the Select an object panel you want to restore data from and press the N key
Click to enlarge/collapse

Select Source Object Panel

Use the arrow keys to select the object.

5 Select time and data of the data to restore on the Select Image Date/Time panel and press the N key

Use the arrow keys to select the object

6 Select the destination for the data on the Select a target for copy/restore operation panel and press the N key
Click to enlarge/collapse

Select Target Object Panel

Use the arrow keys to switch between the target objects.

H | Hard drive
P | Primary partition
L | Logical disk
U | Unallocated space
7 Specify restore parameters on the Copy/restore options panel and press the N key
Click to enlarge/collapse

Copy/Restore Options Panel

For restoring/copying one or several partition(s):

Restore Options
Free space before | You may specify the size of free space that will be left on the hard drive before the beginning of the partition.
Partition size | You may specify the size of the partition to be restored. Should be between the minimum and maximum partition size.
Partition type Primary(Active) Primary Logical | You may specify the type of the partition to be restored. Do not change this setting unless you have serious reasons to do so.

For restoring/copying an entire hard drive to another hard drive:

Click to enlarge/collapse

HDD Copy/Restore Options Panel

HDD Copy Method
Raw disk copy | R-Drive Image writes sector-by-sector the data from the original drive or its image to the target one making an exact copy of the original disk regardless of its partitioning method. Can be used if other methods create a non-bootable disk due to incorrect detection of drive's geometry or non-standard loader. Drawback: partition sizes cannot be changed.
Copy all partitions onto original places | R-Drive Image copies all partitions to their original places. If R-Drive Image detects the drive's geometry correctly, and there is no non-standard loader, it makes the same result as during Raw disk copy.
Realign partitions | R-Drive Image will copy the partitions on the disk with a 512KB alignment. This is very useful for SSD and advanced-formatted disks. If there are empty (non-used) spaces between partitions, those spaces will be removed taking into account the alignment.
Expand/Shrink partition to whole disk | If there are empty (not-used) places between the partitions or they occupy less or more space than the target drive, R-Drive Image proportionally expands/shrinks them to occupy the entire target drive. Otherwise it is similar to Copy all partitions onto original places.
Fixed active partition | R-Drive Image preserves the original offset/size of the active partition (in case the loader has links to it).

See Support for Various Disk Partition Schemes and File Systems for details.

When you restore data from an image of a system disk, a disk signature collision may occur. In this case, the Disk Signature Collision panel will appear. You may specify the way to resolve this collision on this panel.

Disk Signature Collision Resolving
Same signature for both disk | R-Drive Image will create an identical copy of the source disk with the same signature. To avoid disk signature collision, you'll have to disconnect one of the disks and restart the computer, if necessary. Use this mode if you clone a system disk for another computer or only the target disk will be used in yours.
Different signature on the target disk. | R-Drive Image will write another disk signature to the target disk. Don’t use this mode if you clone a system disk, Windows won’t start from it. To get access to the target disk after cloning, you’ll have to restart the computer or re-connect it if it’s an external USB disk.
Change the disk signature on the source disk. | R-Drive Image will change the disk signature on the source disk. Use this mode if you want to start Windows from the target disk, but be warned: the computer won’t start from the source disk anymore.
8 Verify that the information on the Confirm operations panel is correct and press the N key
> R-Drive Image will start restoring the data from the image file to the selected destination

The Progress window will show the progress of the current operation and overall process. When the image is restored, the Operation completed successfully message will appear.

9 Verify that the information on the Processing panel is correct and click the Start button
> R-Drive Image will start restoring the files from the image file to the selected destination.

When the image is restored, the Files restored successfully message will appear.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Create an Image

Note: You may read about Support for Various Disk Partition Schemes and File Systems to learn more about possible options for your specific case.

It is recommended that you print out this topic and have the hardcopy on hand while you are performing this action.

Note: This help page describes the operation of the TUI startup version. Go to the Create an Image help page for the GUI version and to the network drives help If necessary.

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the list of supported hardware.

If you plan to use any external device, turn it on before starting the system.

If the motherboard in your computer supports the Serial ATA (SATA) devices, but IDE disks are also present, only the SATA devices should be set to the Enhanced Mode in BIOS.

1 Restart your computer in the startup mode
2 Select Create an Image on the Select an action and press the N key

Use the arrow keys to switch between the options.

Click to enlarge/collapse

Action Selection Panel

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then the R-Drive Image: Select an object you want to archive/backup/copy panel will show the configuration.

H | Hard drive
P | Primary partition
L | Logical disk
U | Unallocated space
3 Select an object which image you want to create on the Select source object panel and press the N key

Use the arrow keys to switch between the objects and the SPACEBAR to select the object.

Click to enlarge/collapse

Select Source Object Panel

4 Select the place on the Create an Image panel to which the image files will be written, specify the file name, and press the O key

Click to enlarge/collapse

Create an Image File Panel

Click to enlarge/collapse

Create an Image File Panel

R/O

Read-only disk. You cannot create images on such disks

Use the Tab key to switch between the control areas.

External USB drives with the NTFS file system: the startup version of R-Drive Image can save image files on such disks if they are properly disconnected in a Windows system using the Safely Remove Hardware icon in the system tray or while shutting Windows down.

You may also connect network drives.

5 Specify image options on the Image Options panel and click the Next button

You may specify image options on this panel.

Click to enlarge/collapse

Image Options Panel

Click to expand/collapse Image options

Options
Image name: | Shows the file name for the image. You cannot change the file name on this panel.
Check the image file immediately upon its creation | Select this option if your want R-Drive Image to check the newly created file image for its consistency. This may be useful for storing image files with critical data. Please note that this operation requires additional time.
Image compression ratio | You may compress the data in the image to save space. Please note that the smaller size you select the more time will be spent to create the image file and vise versa.
Backup type | You may store in the image either the exact Sector by backup copy of the object or Backup useful information only, that is, you do not have to store empty space of the object in image files. See Support for Various Disk Partition Schemes and File Systems for the list of supported file systems.
Estimated size | Shows the estimated size of the image file. An actual image size depends on how much empty space is on the selected partition and what file types are there.
Image split size | You may set this option to Automatic and let Windows decide how to split the image file. This mostly depends on the file system on the destination disk. You may also either explicitly specify the split size, or choose a preset for various devices with removable storage. Select Fixed size for that.
Password | You may protect your image file with a password. Note: This feature provides a relatively moderate protection against conventional unauthorized access.
Image description | You may attach a text description to the image for annotation. Maximum length of the description is 255 characters.
6 Verify that the information on the Confirm operations panel is correct and click the N key
> R-Drive Image will start creating the image file

The Progress window will show the progress of the current operation and overall process. If you selected a read-only disk as the target, you will see the File is read-only. Press OK to retry. message.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Disk to Disk Copy

It is recommended that you print out this topic and have the hardcopy on hand while you are performing this action.

Note: This help page describes the operation of the TUI startup version. Go to the Copy a Disk to a Disk help page for the GUI version and to the network drives help If necessary.

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the list of supported hardware.

If you plan to use any external device, turn it on before starting the system.

If the motherboard in your computer supports the Serial ATA (SATA) devices, but IDE disks are also present, only the SATA devices should be set to the Enhanced Mode in BIOS.

1 Restart your computer in the startup mode
2 Select Disk to disk copy on the Action Selection panel and press the N key

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then the R-Drive Image: Select an object you want to archive/backup/copy panel will show the configuration.

Click to enlarge/collapse

Action Selection Panel

H | Hard drive
P | Primary partition
L | Logical disk
U | Unallocated space

Use the arrow keys to switch between the options.

3 Select an object you want to copy on the Select an object you want to archive/backup/copy panel and press the N key
Click to enlarge/collapse

Select an object you want to archive/backup/copy Panel

Use the arrow keys to switch between the objects.

4 Select the destination for the data on the Select a target for copy/restore operation panel and press the N key
Click to enlarge/collapse

Select a target for copy/restore operation Panel

Use the arrow keys to switch between the target objects.

5 Specify restore parameters on the Copy/restore options panel and press the N key
Click to enlarge/collapse

Copy/restore options Panel

For restoring/copying one or several partition(s):

Restore Options
Free space before | You may specify the size of free space that will be left on the hard drive before the beginning of the partition.
Partition size | You may specify the size of the partition to be restored. Should be between the minimum and maximum partition size.
Partition type Primary(Active) Primary Logical | You may specify the type of the partition to be restored. Do not change this setting unless you have serious reasons to do so.

For restoring/copying an entire hard drive to another hard drive:

Click to enlarge/collapse

HDD Copy/restore options Panel

HDD Copy Method
Raw disk copy | R-Drive Image writes sector-by-sector the data from the original drive or its image to the target one making an exact copy of the original disk regardless of its partitioning method. Can be used if other methods create a non-bootable disk due to incorrect detection of drive's geometry or non-standard loader. Drawback: partition sizes cannot be changed.
Copy all partitions onto original places | R-Drive Image copies all partitions to their original places. If R-Drive Image detects the drive's geometry correctly, and there is no non-standard loader, it makes the same result as during Raw disk copy.
Realign partitions | R-Drive Image will copy the partitions on the disk with a 512KB alignment. This is very useful for SSD and advanced-formatted disks. If there are empty (non-used) spaces between partitions, those spaces will be removed taking into account the alignment.
Expand/Shrink partition to whole disk | If there are empty (not-used) places between the partitions or they occupy less or more space than the target drive, R-Drive Image proportionally expands/shrinks them to occupy the entire target drive. Otherwise it is similar to Copy all partitions onto original places.
Fixed active partition | R-Drive Image preserves the original offset/size of the active partition (in case the loader has links to it).

See Support for Various Disk Partition Schemes and File Systems for details.

When you copy a system disk, a disk signature collision may occur. In this case, the Disk Signature Collision panel will appear. You may specify the way to resolve this collision on this panel.

Disk Signature Collision Resolving
Same signature for both disk | R-Drive Image will create an identical copy of the source disk with the same signature. To avoid disk signature collision, you'll have to disconnect one of the disks and restart the computer, if necessary. Use this mode if you clone a system disk for another computer or only the target disk will be used in yours.
Different signature on the target disk. | R-Drive Image will write another disk signature to the target disk. Don’t use this mode if you clone a system disk, Windows won’t start from it. To get access to the target disk after cloning, you’ll have to restart the computer or re-connect it if it’s an external USB disk.
Change the disk signature on the source disk. | R-Drive Image will change the disk signature on the source disk. Use this mode if you want to start Windows from the target disk, but be warned: the computer won’t start from the source disk anymore.
6 Verify that the information on the Confirm operations panel is correct and click the N key
> R-Drive Image will start copying the data from the source disk to the selected destination

The Progress window will show the progress of the current operation and overall process. When the data is copied, the Operation completed successfully message will appear.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Create an Image from Files

This action is available on the GUI version only. Go to the the Create an Image from Files help page for instruction and to the network drives help If necessary.


Partition Manager

This action is available on the GUI version only. Go to the the Partition Manager help page for instruction and to the network drives help If necessary.


Check an Image File

Note: This help page describes the operation of the TUI startup version. Go to the Check an Image File help page for the GUI version and to the network drives help If necessary.

To check an image file:

1 Click Check an Image File on the Action Selection panel
Click to enlarge/collapse

Action Selection Panel

2 Select the file with the image on the Image File Selection panel and click the Next button

Click to enlarge/collapse

Open an Image File Panel

Click to enlarge/collapse

Open an Image File Panel

You may also connect network drives.

3 Verify that the information on the Processing panel is correct and click the Start button
> R-Drive Image will start checking the data in the image file.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Network Drives

If your computer is on a local network, you may write image files or restore images to / from network drives. To do so, you need to map such a network drive.

To map a network drive,

1 Click the Map Network Drive button and enter required information

Click to enlarge/collapse

Map Network Drive

Click to enlarge/collapse

Map Network Drive

For the network drive' path //SERVER/Backups,

Server IP address: The IP address of the SERVER computer

Server share name: Backups.

Sometimes it may be necessary to manually configure network settings, if, for example, there is no DHCP server on the network. Click the Configure network button, select the required field, click the Edit Address button, and enter the required information.

Click to enlarge/collapse

Network Settings

Click to enlarge/collapse

Network Settings

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Scheduled Actions, Command Line Operations, and Scripting

This chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line or command files.

·Batch Mode

·Scheduler and Unattended Actions

·Rotation Options (Backup Sets)

·Scripting and Command Line Operations

The Disk Actions chapter explains disk actions such as:

·Create an Image of a partition, logical disk, or entire hard drive

·Create an Image from Files

·Restore Data from an Image

·Copy Disk to Disk to make an exact copy of one disk on another

·Manage partition and logical disks

·Mount an Image as a Virtual Logical Disk (read-only)

·Unmount Virtual Logical Disks

·Check an Image File to check an existing image file

The RAIDs, and Various Disk and Volume Managers chapter explains how to perform disk actions with various compound volumes such as:

·Windows Software RAIDs, Spanned, and Other Volumes

·Windows Storage Spaces

·Mac RAIDs

·Linux Logical Volume Manager Volumes

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version such as:

·Create Startup Disk

·Restoring Data to a System or Other Locked Disk

·Create an Image Using the Startup Disks

·Disk to Disk Copy Using the Startup Disks

The Technical Information chapter gives technical information on

·Creating consistent point-in-time backups

·Support for Various Disk Partition Schemes and File Systems

·Supported CD and DVD Recorders

·List of Hardware Devices Supported in the Startup Mode

The R-Drive Image OEM kit chapter explains how computer system integrators can create system recovery disks for their systems

·Create a Master Image

·Create Startup Media

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Scheduler and Unattended Actions

You may schedule some disk actions at a certain time or event, and R-Drive Image will perform them unattended. You may also execute a task manually. Right-click the task and select Execute Now in the context menu.

·Create a task

·Edit a task

·Delete a task

·Run a Task Manually

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Create a Task

Generally, you may set a scheduled task the same way you set a regular action for creating an image of a disk, partition, or an entire hard drive.

To create a new task:

1 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

You may create a task for creating an image, image from files, or verifying an image.

2 Click the Create Task button on the Scheduled Tasks panel
3 Select the objects you want to backup on the Partition Selection panel, image destination on the Image Destination panel, specify necessary parameters on the Image options, Notification options, Backup options panels, and on the Rotation options panel.

Attention: If you a going to use a network drive, please note that if this drive is connected under your account it will be inaccessible to the task run under the local system account unless this drive is also connected to the local system account using the same disk letter. To avoid this problem, you need either to run the task under your own account, or use a UNC path in the form: \\[[domain;]username[:password]@]hostname\share\path.

Go to the Create an Image topic for more details.

Please note that you may use Rotation options (backup sets) for creating complex data backup tasks and maintaining data files.

4 Specify the time or event at which the task should start on the Task execution schedule panel and click the Next button

You may specify time/event options on this panel.

Click to expand/collapse Task execution schedule options

task is active | If this options is not selected, the task will not start at its scheduled time/event
Perform this task: |
Daily | The task will start repeatedly on a daily time interval
Start time: | Time at which the task will start
Repeat task every: | Time interval in which the task will be repeated within one day
Delay task up to: | Time interval in which the task will randomly start. May be useful when several images are being created simultaneously.
Start date: | Date from which the task will start
Run this task every: | Time interval in days in which the task will regularly start
End date: (optional) | Date from which the task will not start anymore
Weekly | The task will start repeatedly on a weekly time interval
Start time: | Time at which the task will start
Repeat task every: | Time interval in which the task will be repeated within one day
Delay task up to: | Time interval in which the task will randomly start. May be useful when several images are being created simultaneously.
Start date: | Date from which the task will start
Run this task every: | Time interval in weeks in which the task will regularly start
On days: | Days of the week on which the task will start
End date: (optional) | Date from which the task will not start anymore
Monthly | The task will start repeatedly on a monthly time interval
Start time: | Time at which the task will start
Repeat task every: | Time interval in which the task will be repeated within one day
Delay task up to: | Time interval in which the task will randomly start. May be useful when several images are being created simultaneously.
Start date: | Date from which the task will start
Month schedule |
On day... of month | Day of the month on which the task will start
Or... | Weekdays in the month on which the task will start
Months | Months when the task will start
Once | The task will start once or repeat it every certain time interval on one day
Start time: | Time on which the task will start
Repeat task every | Time interval in which the task will regularly start
Delay task up to | Time interval in which the task will randomly start. May be useful when several images are being created simultaneously.
Start date: | Date from which the task will start
At system startup | The task will start at every system startup
At user logon | The task will start every time a user will log on
wake the computer to run this task | If this checkbox is selected, your computer will automatically start up to perform this task
Run under user account | A username and password for a user from the Administrators user group.
> A new task will appear on the Scheduled Tasks panel

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Edit a Task

You may edit a scheduled task.

To rename a task

1 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

2 Right-click the task which you want to rename on the Scheduled Tasks panel
3 Select in the context menu Rename and enter a new task name

Note: You may also use a keyboard shortcut F2 to rename a task

To edit the time or event at which a scheduled task should start:

1 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

2 Select a task which event you want to edit on the Scheduled Tasks panel and click the Edit an Event button

The Task execution schedule panel will appear.

Note: You may also right-click the task and select Edit an event in the context menu.

3 Edit the time or event at which the task should start on the Task execution schedule panel and click the Save button

Go to the Create a Task topic for details

> The task will appear on the Scheduled Tasks panel with the new starting Time/Event

To edit an entire scheduled task:

1 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

2 Select a task which you want to edit on the Scheduled Tasks panel and click the Edit button

Note: You may also right-click the task and select Edit a task in the context menu.

3 Edit the objects you want to backup on the Partition Selection panel, image destination on the Choose destination of new image panel, necessary parameters on the Image options, Notification options, Backup options panels, and on the Rotation options panel..

Go to the Create an Image topic for more details.

4 Edit the time or event at which the task should start on the Task execution schedule panel, and click the Save button

Go to the Create a Task topic for more details.

> The task will appear on the Scheduled Tasks panel with the new options

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Delete a Task

You may delete a scheduled task that you do not need any more.

To delete a scheduled task:

1 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

2 Select a task you want to delete on the Scheduled Tasks panel and click the Delete a Task button or

Right-click the task and select Delete a Task in the context menu.

The Delete selected task message will appear.

3 Click the OK button
> The task will disappear on the Scheduled Tasks panel

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Run a Task Manually

You may run a task manually at any time.

To run a scheduled task manually:

1 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

2 Right-click a task you want to run and select Execute now on the context menu.

You may also create a script from a task and run it manually.


Rotation Options (Backup Sets)

Rotation Schemes (Backup Sets)

Rotation backup schemes is a way to create sets of files (usually a file for a full image of an object and a number of its incremental/differential backups) which R-Drive Image treats as one unit. Those schemes may be used to create images of the same objects with the same filenames but with different parameters.Rotation schemes make it possible for you to flexibly control the parameters of complex backup tasks.

You may specify a total size allocated for the image files, a number of image files you want to keep, and the time for which you want to keep the data, etc. All this can be done on the Rotation options panel.

R-Drive Image supports the following types of rotation schemes:

·Simple Rotation Schemes

·Custom Rotation Schemes (available only in the Corporate, Technician, and Commercial versions)

And this page gives an example of the outcome of a rotation scheme:

·An example of a rotation scheme


Simple Rotation Schemes

These scheme types are available in all R-Drive Image versions:

The following simple rotation schemes can be used:

No rotation

Click to enlarge

No rotation

Click to expand/collapse Imaging mode

Specifies how the data will be written to an existing image file.

Different: Select this option to preserve the data in the existing image file and append only changes. Appended changes will be those between the last saved changes and the current state. You may restore data as they were on each time of data imaging.

Increment: Select this option to preserve the data in the existing image file and append only changes. Appended changes will be those between the first saved full image and the current state. You may restore data as they were on each time of data imaging.

Overwrite: Select this option if you want to completely replace the data in the image file.

Minimum file sizes: If you need to keep only the latest backup instant, you may use the Ddifferentially option and delete all previous differential files. If you need to keep all instances, you may use the Incrementally option to keep overall file sizes smaller.

Data safety: If any of the differential file is damaged, data will be lost only for that backup instant. If any of the incremental file is damaged, data will be lost for all subsequent backup instances starting from the damaged file until the next full of differential backup.

Rotation scheme outcome: the first image will be a full one, the rest images will be differential ones.

Simple

Click to enlarge

Simple rotation scheme

Click to expand/collapse Simple rotation schemes options

Imaging mode

Full: All data in the image file will be replaced with the current one.

Differentially: Appended changes will be those between the saved full image and the current state. If there is no full image, it will be created instead. When restoring data, you will need the full image and ONLY the differential file created at the instant to which you want to restore data.

Incrementally: Appended changes will be those between the last saved changes and the current state. If there is no full image, it will be created instead. When restoring data, you will need the full image and ALL files (both incremental and differential ones) created to the instant to which you want to restore data.

Minimum file sizes: If you need to keep only the latest backup instant, you may use the Ddifferentially option and delete all previous differential files. If you need to keep all instances, you may use the Incrementally option to keep overall file sizes smaller.

Data safety: If any of the differential file is damaged, data will be lost only for that backup instant. If any of the incremental file is damaged, data will be lost for all subsequent backup instances starting from the damaged file until the next full of differential backup.

Full image every

Specifies the number of differential/incremental images after which a full image will be created.

Maximum number of full images

Specifies the number of full images. If it is exceeded, the older full backup files will be removed.

Maximum image files age

Specifies the number of days for which R-Drive Image will keep the files. Then the files will be removed.

Maximum number of image files

Specifies the number of image files. If it is exceeded, the older files will be removed.

Maximum size of all image files

Specifies the total size of all files. If it is exceeded, the older files will be removed.

Apply quota

Before & After imaging: the settings will be applied before creating the image, but as if it's already been created. For example, if the number of files is set to 3, and there are already 3 files,the oldest file will be deleted before creation of the new image file.

After imaging: R-Drive Image will create the image file first, then deletes the oldest file.

Always leave first full image

If this option is selected, the very first image will always be kept.

Rotation scheme outcome: the first image will be a full one, then next 6 images will be differential ones, then another full image, followed by 6 differential images. One full image and all respective differential imaged will be deleted when 3 full images have been created, You may see the outcome of this scheme on the An example of a rotation scheme help page.

You may read more about next rotation schemes in Wikipedia: Backup rotation scheme.

Grandfather-Father-Son

Click to enlarge

Grandfather-Father-Son scheme

Click to expand/collapse Grandfather-Father-Son schemes options
Keep Daily images | Specifies the number of days for which R-Drive Image will keep Daily image files. Then the files will be removed.
Keep Weekly images | Specifies the number of weeks for which R-Drive Image will keep Weekly image files. Then the files will be removed.
Keep Monthly images | Specifies the number of months for which R-Drive Image will keep Monthly image files. Then the files will be removed.
Maximum size of all image files | Specifies the total size of all files. If it is exceeded, the older files will be removed.
Apply quota | Before & After imaging: the settings will be applied before creating the image, but as if it's already been created. For example, if the number of files is set to 3, and there are already 3 files,the oldest file will be deleted before creation of the new image file. After imaging: R-Drive Image will create the image file first, then deletes the oldest file.
Always leave first full image | If this option is selected, the very first image will always be kept.

Rotation scheme outcome: the first image will be a full one, then every day a incremental image, every week a differential image, every month a full image. All incremental images will be deleted when a differential image has been created. All differential images will be deleted when a monthly image has been created. The oldest full image and respective differential / incremental images will be deleted in 3 months.

Tower-of-Hanoi

Click to enlarge

Tower-of-Hanoi scheme

Click to expand/collapse Tower-of-Hanoi schemes options
Number of tiers | Number of successive image creation steps/
Keep Monthly images | Specifies the number of months for which R-Drive Image will keep Monthly image files. Then the files will be removed.
Apply quota | Before & After imaging: the settings will be applied before creating the image, but as if it's already been created. For example, if the number of files is set to 3, and there are already 3 files,the oldest file will be deleted before creation of the new image file. After imaging: R-Drive Image will create the image file first, then deletes the oldest file.
Always leave first full image | If this option is selected, the very first image will always be kept.

Rotation scheme outcome: the first image will be a full one, the next image will be the differential one, then an incremental one. A full image will be created in 4 images. The the rest of the images will be deleted.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Custom Rotation Schemes

These scheme types are available only in the Corporate, Technician, and Commercial versions.

It gives much more flexibility to you tin controlling the outcome of the rotation scheme.

Click to enlarge

Custom rotation scheme

Click to expand/collapse Custom rotation schemes options
Rotation scheme | The name of the rotation scheme.
Maximum number of image files | Specifies the number of image files. If it is exceeded, the older files will be removed.
Maximum size of all image files | Specifies the total size of all files. If it is exceeded, the older files will be removed.
On exceed | Specifies the action that performs when the quota is exceeded. The following actions are available: No actions Delete Move Command
Apply quota | Before & After imaging: the settings will be applied before creating the image, but as if it's already been created. For example, if the number of files is set to 3, and there are already 3 files,the oldest file will be deleted before creation of the new image file. After imaging: R-Drive Image will create the image file first, then deletes the oldest file.
Always leave first full image | If this option is selected, the very first image will always be kept.

Rotation scheme outcome: the first image will be a full one, then next 6 images will be incremental ones, then a differential image, the incremental images will be deleted. then next 6 incremental images and another differential image. A full image will be created once a month.


An example of a rotation scheme

The scheme and settings

This scheme is shown on the Simple Rotation Scheme help page. It should create a full backup every Sunday and differential backups every other day. The task should start at 5:00 PM and 3 full backup images should always be kept.

It has the following parameters:

Rotation scheme | Simple
Imaging mode | Differential
Full image every | 6 images
Maximum number of full images | 3
Maximum image files age | 20 days
Maximum number of image files | 22
Maximum size of all image files | 500000 MB
Apply quota | After imaging
Always leave first full image | No

The setting should be the following:

On the Rotation options panel

The following setting should be specified:

Click to enlarge

Simple rotation scheme

On the Task execution schedule panel:

The following setting should be specified:

Click to enlarge

Task execution schedule

And the task should be activated on Monday, say, August 2, 2021.

File name convention:

Full backup: | <FIleName>_<Date_of_First_Backup>_<Time_of_First_Backup>_1.rdr
Differential backup: | <FIleName>_<Date_of_First_Backup>_<Time_of_First_Backup>_N+1.rdr

N is the number of differential backup

The scheme outcome

The files created

Date Day | Files created on the destination, the last is the newly created on;Comments
8/2/2021 Monday | Test_Image_08022021_05PM0000_1.rdr ;Full backup 1
8/3/2021 Tuesday | Test_Image_08022021_05PM0000_1.rdr ;Full backup 1 Test_Image_08022021_05PM0000_2.rdr ;Differential backup 1:1
8/4/2021 Wednesday | Test_Image_08022021_05PM0000_1.rdr ;Full backup 1 Test_Image_08022021_05PM0000_2.rdr ;Differential backup 1:1 Test_Image_08022021_05PM0000_3.rdr ;Differential backup 1:2
8/5/2021 Thursday | Test_Image_08022021_05PM0000_1.rdr ;Full backup 1 Test_Image_08022021_05PM0000_2.rdr ;Differential backup 1:1 Test_Image_08022021_05PM0000_3.rdr ;Differential backup 1:2 Test_Image_08022021_05PM0000_4.rdr ;Differential backup 1:3
8/6/2021 Friday | Test_Image_08022021_05PM0000_1.rdr ;Full backup 1 Test_Image_08022021_05PM0000_2.rdr ;Differential backup 1:1 Test_Image_08022021_05PM0000_3.rdr ;Differential backup 1:2 Test_Image_08022021_05PM0000_4.rdr ;Differential backup 1:3 Test_Image_0802021_05PM0000_5.rdr ;Differential backup 1:4
8/7/2021 Saturday | Test_Image_08022021_05PM0000_1.rdr ;Full backup 1 Test_Image_08022021_05PM0000_2.rdr ;Differential backup 1:1 Test_Image_08022021_05PM0000_3.rdr ;Differential backup 1:2 Test_Image_08022021_05PM0000_4.rdr ;Differential backup 1:3 Test_Image_08022021_05PM0000_5.rdr ;Differential backup 1:4 Test_Image_08022021_05PM0000_6.rdr ;Differential backup 1:5
8/8/2021 Sunday | Test_Image_08022021_05PM0000_1.rdr ;Full backup 1 Test_Image_08022021_05PM0000_2.rdr ;Differential backup 1:1 Test_Image_08022021_05PM0000_3.rdr ;Differential backup 1:2 Test_Image_08022021_05PM0000_4.rdr ;Differential backup 1:3 Test_Image_08022021_05PM0000_5.rdr ;Differential backup 1:4 Test_Image_08022021_05PM0000_6.rdr ;Differential backup 1:5 Test_Image_08082021_05PM0000_1.rdr ;Full backup 2
8/9/2021 Monday | Test_Image_08022021_05PM0000_1.rdr ;Full backup 1 Test_Image_08082021_05PM0000_1.rdr ;Full backup 2 Test_Image_08082021_05PM0000_2.rdr ;Differential backup 2:1
8/10/2021 Tuesday | Test_Image_08042021_05PM0000_1.rdr ;Full backup 1 Test_Image_08082021_05PM0000_1.rdr ;Full backup 2 Test_Image_08082021_05PM0000_2.rdr ;Differential backup 2:1 Test_Image_08082021_05PM0000_3.rdr ;Differential backup 2:1
8/11/2021 Wednesday | Test_Image_08042021_05PM0000_1.rdr ;Full backup 1 Test_Image_08082021_05PM0000_1.rdr ;Full backup 2 Test_Image_08082021_05PM0000_2.rdr ;Differential backup 2:1 Test_Image_08082021_05PM0000_3.rdr ;Differential backup 2:2 Test_Image_08082021_05PM0000_4.rdr ;Differential backup 2:2
.................. | ..................
8/14/2021 Saturday | Test_Image_08042021_05PM0000_1.rdr ;Full backup 1 Test_Image_08082021_05PM0000_1.rdr ;Full backup 2 Test_Image_08082021_05PM0000_2.rdr ;Differential backup 2:1 Test_Image_08082021_05PM0000_3.rdr ;Differential backup 2:2 Test_Image_08082021_05PM0000_4.rdr ;Differential backup 2:3 Test_Image_08082021_05PM0000_5.rdr ;Differential backup 2:4 Test_Image_08082021_05PM0000_6.rdr ;Differential backup 2:5 Test_Image_08082021_05PM0000_7.rdr ;Differential backup 2:5
8/15/2021 Sunday | Test_Image_08042021_05PM0000_1.rdr ;Full backup 1 Test_Image_08092021_05PM0000_1.rdr ;Full backup 2 Test_Image_08152021_05PM0000_1.rdr ;Full backup 3
8/16/2021 Monday | Test_Image_08042021_05PM0000_1.rdr ;Full backup 1 Test_Image_08092021_05PM0000_1.rdr ;Full backup 2 Test_Image_08152021_05PM0000_1.rdr ;Full backup 3 Test_Image_08152021_05PM0000_2.rdr ;Differential backup 3:1
8/17/2021 Tuesday | Test_Image_08042021_05PM0000_1.rdr ;Full backup 1 Test_Image_08092021_05PM0000_1.rdr ;Full backup 2 Test_Image_08152021_05PM0000_1.rdr ;Full backup 3 Test_Image_08152021_05PM0000_2.rdr ;Differential backup 3:1 Test_Image_08152021_05PM0000_3.rdr ;Differential backup 3:2
.................. | ..................
8/21/2021 Saturday | Test_Image_08042021_05PM0000_1.rdr ;Full backup 1 Test_Image_08092021_05PM0000_1.rdr ;Full backup 2 Test_Image_08152021_05PM0000_1.rdr ;Full backup 3 Test_Image_08152021_05PM0000_2.rdr ;Differential backup 3:1 Test_Image_08152021_05PM0000_3.rdr ;Differential backup 3:2 Test_Image_08152021_05PM0000_4.rdr ;Differential backup 3:3 Test_Image_08152021_05PM0000_5.rdr ;Differential backup 3:4 Test_Image_08152021_05PM0000_6.rdr ;Differential backup 3:5 Test_Image_08152021_05PM0000_7.rdr ;Differential backup 3:6
8/22/2021 Sunday | ;Full backup 1 is deleted Test_Image_08092021_05PM0000_1.rdr ;Full backup 2 Test_Image_08152021_05PM0000_1.rdr ;Full backup 3 Test_Image_08222021_05PM0000_1.rdr ;Full backup 4
8/23/2021 Monday | Test_Image_08092021_05PM0000_1.rdr ;Full backup 2 Test_Image_08152021_05PM0000_1.rdr ;Full backup 3 Test_Image_08222021_05PM0000_1.rdr ;Full backup 4 Test_Image_08222021_05PM0000_2.rdr ;Differential backup 4:1
.................. | ..................


Scripting and Command Line Operations

You may create scripts for frequently repeated or unattended disk actions and execute them from a command line or file. The same script commands may be executed directly from a command line.

Currently, R-Drive Image supports scripts for creating a new image file, appending data to an existing one, restoring data from an image, check an image, and mount/unmount images as virtual logical disk.

To create a script

·Creating a script from R-Drive Image

·Creating a script manually

To execute a script:

1 Type in the command line:

r-driveimagecl [/switches] cmd="<ScriptName>.rdi"

where <ScriptName> is the script name and its path, if necessary,

and press the Enter key

Note: if ScriptName contains no spaces, double quotes (") may be omitted. No characters in ScriptName should be escaped.

Click to expand/collapse Incompatibilities with ver.3.x

Script name should be passed using the cmd key.
Ver. 3.x | r-driveimagecl [/switches] <ScriptName>.rdi
Ver. 4.x | r-driveimagecl [/switches] cmd="<ScriptName>.rdi"

Switch | Description
a | A non-interactive mode. R-Drive Image will not ask the user any questions. If it cannot perform the action, it will generate an error.
d | A debug mode. R-Drive Image will display all the information as it was performing the action, but will not perform the actual action.
f | If an error occurs, R-Drive Image will not exit the script and continue perform it from the following command. Inapplicable to actions started from the command line
i | Not functioning since version 4.7! The s and d parameters will use disk indexes rather than disk numbers. Disk indexes are disk serial numbers and can be seen either on the R-Drive Image Partition Selection panel or Windows Disk Management.
o | If a file with a specified filename exists, R-Drive Image will overwrite it quietly.
off | will shut down the computer when it finishes the command.

Switches set in the command lines also is used as default values for parameters in scripts.

> R-Drive Image will start executing the script showing the operation parameters and progress.

When R-Drive Image completes the operation, the Commit OK message will appear in the command prompt.

You may include this command to a command file and automatically run such command file either manually or using any scheduling software for unattended disk actions.

To perform an action from the command line:

1 Type in the command line:

R-DriveImage [/switches] command <params>

to start R-Drive Image application

or

r-driveimagecl [/switches] command <params>

to start R-Drive Image console application

and press the Enter key.

> R-Drive Image will start executing the command showing the action's progress.

When R-Drive Image completes the action, the Commit OK message will appear in the command prompt.

Note: the /f switch is not applicable to the actions performed from the command prompt.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Create a Script from R-Drive Image

You may create scripts directly from R-Drive Image the same way you set a regular action for creating an image of a disk, partition, or an entire hard drive.

To create a script from a disk action

1 Click Create an Image on the Action Selection panel and specify all the options and parameters as it is described on the Create an Image topic.
2 Click the Script to Clipboard button on the Processing panel and paste the script to any text-processing utility
3 Save the script in a file

The default extension for R-Drive Image scripts is .rdi. Go to the Scripting and Command Line Operation topic to learn how to use scripts

To create a script from an existing task

1 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

2 Right-click the task the Scheduled Tasks panel
3 Select Save as Script in the shortcut menu and specify the name of the script
> R-Drive Image will save the script in the specified file

The default extension for R-Drive Image scripts is .rdi. Go to the Scripting and Command Line Operation topic to learn how to use scripts

To create a new script from the Scheduler

1 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

2 Click the Create a Script button on the Scheduled Tasks panel
3 Select the objects you want to backup on the Select disk(s) to create image panel, image destination on the Choose destination of new image panel, specify necessary parameters on the Image options, Notification options, Backup options panels, and on the Rotation options panel.

Go to the Create an Image topic for more details.

Please note that you may use rotation schemes (backup sets) for creating complex data backup tasks and maintaining data files.

4 Verify that the information on the Processing panel is correct and click the Save button

You may also click the Script to Clipboard button to copy this script into the Clipboard and paste the script to any text-processing utility.

> R-Drive Image will save the script in the specified file

The default extension for R-Drive Image scripts is .rdi. Go to the Scripting and Command Line Operation topic to learn how to use scripts

To create a script from a scheduled task

1 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

2 Right-click the task from which you want to create a script on the Scheduled Tasks panel
3 Select in the context menu either Save as script to save the script in a file or Script to Clipboard (Ctrl+C) to copy and paste the script to any text-processing utility.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Create a Script Manually

R-Drive Image has a very powerful and versatile script language that enables you to create scripts for all your needs.

A script consists of commands and their parameters. All commands, parameter, and their values are case-sensitive.

Click to expand/collapse Incompatibilities with ver.3.x

 | Ver. 3.x | Ver. 4.x
File names with " Escaping of the " character has been changed | "" | &quot;
File names with & Escaping of the & character has been changed | & | &amp;
Partition list Several partitions should be set in one list | -s="part1" -s="part2" -s="part3" | -s="part1 part2 part3"

General:

The default extension for R-Drive Image script files is .rdi.

Parameter values may be inclosed in single (') or double (") quotes. if the value does not contain spaces, the quotes may be omitted.

R-Drive Image ignores spaces in the beginning of a line. R-Drive Image treats multiple spaces as one space, except when they are in a parameter value enclosed in quotes.

Examples:

Below are equal lines:

create -a = "c:\archive.rdr"

create -a = "c:\archive.rdr"

Below are not equal lines:

create -a = "c:\archive 1.rdr"

create -a = "c:\archive 1.rdr"

Comments:

R-Drive Image treats lines which the first non-space character is ; or the first non-space character is [ and the last one is ], as comments.

Examples:

; This is a comment line

[This is a comment line]

Multiple lines:

If the last non-space character in a line is \, R-Drive Image appends the next line to it:

Example:

Lines:

create -a = "c:\archive.rdr" -s = "1:1" \

c = "5"

are equal to the line:

create -a = "c:\archive.rdr" -s="1:1" c= "5"

Disk size units

Values specifying disk sizes may be in units.

b | bytes |
Kb | kilobytes | 2^10 = 1,024 b
Mb | megabytes | 2^20 = 1,024 Kb
Gb | gigabytes | 2^30 = 1,024 Mb

If the units are used, enclose the value in quotes.

Default values are Mb (megabytes).

Characters to substitute

If the following characters are to appear in the parameter values, they should be substituted by the following rules:

Character | String to substitute
" | &quot;
' | &apos;
& | &amp;
carriage return | &cr;
new line | &nl;

Note: This is the incompatibility with scripts created for the earlier versions of R-Drive Image.

URL paths

For remote hosts, R-Drive Image supports URL of two types:

\\[[domain;]username[:password]@]hostname\share\path

smb://[[domain;]username[:password]@]hostname[:<port>].share/path

They can be used instead local paths.

Script commands and parameters:

Command

Its Parameters

Optional/

Mandatory

Description and examples

list

Returns a partition list for local drives or an image file. If the drive contains an APFS container, the command will show both the APFS container and its APFS volumes.

-a=<PathOfNewArchiveFile>

Mandatory

Specifies a path (including its file name) to the image file.

Examples:

-a=C:\Images\Test.rdr or -a="C:\Image Files\Test 1.rdr"

-p=<Password>

Mandatory/Not used

Specifies an image password. Mandatory if the image file has been already encrypted. It there is a space in the password, the password should be in quotes.

Examples: -p=Password or -p='My Password'

-t=<TimeSliceNumber>

Optional

Specifies which incremental data will be used to list the partitions in the image. If the TimeSliceNumber is not specified, the first data in the image will be used. -1 specifies the last incremental data in the image.

first: R-Drive Image will use the first incremental data in the image.

last: R-Drive Image will use the last incremental data in the image.

+<n>: R-Drive Image will use the n-th incremental data from the beginning in the image.

-<n>: R-Drive Image will use the n-th incremental data from the end in the image.

Examples: -t="+2" specifies the second incremental data from the beginning in the image will be used to list partitions.

Example:

list -a=C:\Images\Test.rdr -p="mY pasSsworRrd"

This script command returns a list of partitions stored in the C:\Images\Test.rdr image file protected by the password mY pasSsworRrd.

sysdump

Creates a system dump that may be necessary to obtain technical support. An image file can be included into that system dump. In this case, the keys -a, -p, -t from the list command should be used.

-sysdump="<SysDumpFile>"

Mandatory

Specifies the filename for the system dump.

Example:

sysdump -sysdump="MySysDump" -a=C:\Images\Test.rdr -p="mY pasSsworRrd"

This script command creates a file with the system dump, its name is MySysDump. The system dump includes the image file C:\Images\Test.rdr protected by the password mY pasSsworRrd.

register

Registers R-Drive Image from the command line.

-reg-user="<UserName>"

Mandatory

Specifies the user name for registration.

-reg-key="<RegistrationKey>"

Mandatory

Specifies the register key for registration.

-reg-company="<UserCompany>"

Optional

Specifies the company for registration.

Example:

register -reg-user="Tester 1" -reg-company=R-TT Testing Team" -reg-key="fafaasertghzfvasfje134"

This script command registers R-Drive Image for the user Tester 1 from the company R-TT Testing Team using the key fafaasertghzfvasfje134.

Disk descriptors used in the -s and -d commands

Below is the list of disk descriptors R-Drive Image uses to identify hard drives, logical disks, and partitions. It is written in the order of importance, from the most important descriptor to the least important one. If there are several objects with identical disk descriptors, R-Drive Image identifies them using the most important disk descriptor with different values.

hdd_vtype

HDD type.

real : a basic disk

dynamic : a dynamic disk

pure : disk objects like USB pendrives with only one logical disk on it.

Example: hdd_vtype=real

hdd_size

HDD size

Disk size should be specified in bytes, no KB or MB are allowed.

Example: hdd_size=40060403712

hdd_name

HDD name

Example: hdd_name=SAMSUNG&#32;SP0411NTW100-11 (&#32; denotes a space)

hdd_serial

HDD serial number

Example: hdd_serial=S01JJ30X912841

hdd_bus_type

Type of the HDD bus

Can be: none, ata, atapi, scsi, floppy, usb, firewire, ssa, fibre, raid, smart, abios, sata, sata2.

Example: hdd_bus_type=ata

hdd_port_num

Port number for HDD

Example: hdd_port_num=0

hdd_target_id

Target ID for HDD

Example: hdd_target_id=1

hdd_num

Disk number, coincides with the disk number used in the old notations.

Example: hdd_num=1

part_free_space

Free space mark

1 if this object is a disk free space, 0 if not.

Example: part_free_space=1

part_ofs

Partition offset in bytes.

Partition offset should be specified in bytes, no KB or MB are allowed.

Example: part_ofs=16778264576

part_size

Partition size

Partition size should be specified in bytes, no KB or MB are allowed.

Example: part_size=23279435776

part_fs

Partition file system

Can be: none, ntfs, fat12, fat16, fat32, exfat, ext2fs, ext3fs, ext4fs, ufs1, ufs2, hfs ,hfsplus ,hfsx, iso9660

Example: part_fs=ntfs

part_label

Disk label

Example: part_label=Test_Data

part_mounted

Disk letter of folder

Example: part_mounted=G:\

part_num

Partition number, coincides with the partition number used in the old notations.

Free space is considered as a partition.

Example: part_num=2

part_id

Partition identifier.

Example: part_id=2

vol_id

APFS volume identifier in an APFS container..

Example: vol_id=3

used_id

Partition identifier when free space is omitted.

Example: used_id=2

unused_id

Free space identifier when partitions are omitted.

Example: unused_id=1

A partition may be identified using its descriptors: hdd_size=40060403712+part_num=2+hdd_num=1+hdd_target_id=0+hdd_bus_type=ata+part_label=Part2+part_ofs=16778264576+part_mounted=G:\+hdd_name=SAMSUNG&#32;

SP0411NTW100-11+part_size=23279435776+hdd_port_num=0+hdd_serial=S01JJ30X912831+part_fs=ntfs+hdd_vtype=real

create

append

Differentially appends data to an existing image file. If such file does not exist, it will be created.

-s=<SourceDisk>

Mandatory

Specifies a source object to create the image or append to it. The <SourceDisk> parameter consists of one or several disk descriptors written in the form: descriptor_name1=value[+descriptor_name1=value...]. The disk descriptors are presented in the Disk descriptors section of this table. Old notation is also valid:

Old notation examples:

for hard drive 1: -s=1

for the second partition on hard drive 1 (empty space is treated as a partition): -s=1:2

for the second partition on hard drive 1 skipping empty spaces: -s=1:p2

for the first empty space on hard drive 1 skipping partitions: -s=1:f1

for a logical disk: -s=D:

for several logical disks: -s="D: F:"

-a=<PathOfNewArchiveFile>

Mandatory

Specifies a path (including its file name) to the image file.

Examples:

-a=C:\Images\Test.rdr or -a="C:\Image Files\Test 1.rdr"

-c=<CompressionLevel>

Optional

Specifies compression level (1...11).

Example: -c=3

-u

Optional

Backups useful information only. May be used as a Boolean parameter.

-v=<ArchiveSize>

Optional

Specifies image split size. May be in the float-point format.

Example: -v=650 or -v='4.5 Gb'

-append-inc

Optional

Creates an incremental backup.

-p=<Password>

Mandatory/Not used

Specifies an image password. Mandatory if the append command is used and the image file has been already encrypted. It there is a space in the password, the password should be in quotes.

Examples: -p=Password or -p='My Password'

-r=<Description of archive>

Optional

Specifies an image description. It there is a space in the description, the description should be in quotes.

Examples: -r=Description or -r="Image Description"

-s-xw

Optional

Makes R-Drive Image not to use the Windows snapshot provider.

-s-xr

Optional

Makes R-Drive Image not to use the R-TT snapshot provider.

-s-n

Optional

Notifies system application that a snapshot is being taken.

-s-b0=<AppBeforeBack>

Optional

Specifies an application that will start before the backup operation starts. The application should return a 0 exit code.

Example: -s-b0="C:\commands\start.exe"

-s-b1=<AppAfterBack>

Optional

Specifies an application that will start after the backup operation completes. The application should return a 0 exit code.

Example: -s-b1="C:\commands\end.exe"

-s-s0=<AppBeforeSnapShot>

Optional

Specifies an application that will start before the snapshot is taken. The application should return a 0 exit code.

Example: -s-s0="C:\commands\startsnapshot.exe"

-s-s1=<AppAfterSnapShot>

Optional

Specifies an application that will start after the snapshot is taken. The application should return a 0 exit code.

Example: -s-s1="C:\commands\endsnapshot.exe"

-xe=<AppIfError>

Optional

Specifies a command line that will start an application if R-Drive Image fails to perform the specified action. If there is a space in the command line, the command line should be in quotes.

Examples: -xe=error.exe or -xe="winamp C:\sounds\error.mp3"

-xs=<AppIfSucc>

Optional

Specifies a command line that will start an application if R-Drive Image successfully performs the specified action. If there is a space in the command line, the command line should be in quotes.

Examples: -xs=success.exe or -xs="winamp C:\sounds\success.mp3"

-bs

Optional

Specifies that R-Drive Image will use rotation schemes (backup sets).

-bs-size="<Quota_in_MB>"

Optional

May be used only if the -bs is set. Specifies the total size in MB on the disk allocated for the backup set. If it is exceeded, the backup set (all its files) will be removed.

Example: -bs-size="20000"

-bs-num-b="<Number_of_backs>"

Optional

May be used only if the -bs is set. Specifies the number of rotation schemes (backup sets) If it is exceeded, the older rotation schemes (backup sets) (all their files) will be removed.

Example: -bs-num-b="10"

-bs-num-f="<Number_of_files>"

Optional

May be used only if the -bs is set. Specifies the number of files in all rotation schemes (backup sets). If it is exceeded, the older rotation schemes (backup sets) (all their files) will be removed.

Example: -bs-num-f="30"

-bs-age="<Days>"

Optional

May be used only if the -bs is set. Specifies the number of days for which R-Drive Image will keep the backup set. Then the backup set will be removed.

Example: -bs-age="14"

-cd-cache

Optional

Used when an image file is written to CD discs. R-Drive Image creates an ISO image of the CD disc and then copies it to the CD disc. Without it R-Drive Image writes data directly to the CD disc.

-cd-speed=<Speed>

Optional

Used when an image file is written to CD discs. Specifies burning speed in KB/sec.

Example: -cd-speed="1200"

-dvd-cache

Optional

Used when an image file is written to DVD discs. R-Drive Image creates an ISO image of the DVD disc and then copies it to the DVD disc. Without it R-Drive Image writes data directly to the DVD disc.

-dvd-speed

Optional

Used when an image file is written to DVD discs. Specifies burning speed in KB/sec.

Example: -dvd-speed="3324"

Example:

create -s="hdd_size=40060403712+part_num=1+hdd_num=2+hdd_target_id=0+hdd_bus_type=ata+part_label=Part1+part_ofs=1048576+part_mounted=F:\+hdd_name=SAMSUNG&#32;SP0411NTW100-11+part_size=16777216000+hdd_port_num=0+hdd_serial=S01JJ30X912831+part_fs=ntfs+hdd_vtype=real,hdd_size=40060403712+part_num=2+hdd_num=2+hdd_target_id=0+hdd_bus_type=ata+part_label=Part2+part_ofs=16778264576+part_mounted=H:\+hdd_name=SAMSUNG&#32;

SP0411NTW100-11+part_size=23279435776+hdd_port_num=0+hdd_serial=S01JJ30X912831+part_fs=ntfs+hdd_vtype=real" -a="I:\Test Image.rdr" -c=3 -u = true -p="My Password" -r="This is a test image" -xe="winamp C:\sounds\error.mp3" -xs="winamp C:\sounds\success.mp3"

This script command creates an image of logical disks F: and H: on the Samsung HDD. The path and filename for this image file is I:\Test Image.rdr, with compression level 3, and only useful information on this disk will be written to the image. This image is protected with the password "My Password", and its description is "This is a test image". If the script action has been performed successfully, the winamp application will play the success.mp3 file, and if an error occurs, it will play the error.mp3 file.

restore

Restores data from an image to a specified disk place

copy

Copies a disk to a disk.

-s=<SourceDisk>

Mandatory

Specifies a source object to copy. The <SourceDisk> parameter consists of one or several disk descriptors written in the form: descriptor_name1=value[+descriptor_name1=value...]. The disk descriptors are presented in the Disk descriptors section of this table. Old notation is also valid:

Old notation examples:

for hard drive 1: -s=1

for the second partition on hard drive 1 (empty space is treated as a partition): -s=1:2

for the second partition on hard drive 1 skipping empty spaces: -s=1:p2

for the first empty space on hard drive 1 skipping partitions: -s=1:f1

for a logical disk: -s=D:

for several logical disks: -s="D: F:"

-d=<DestinationDisk>

Mandatory

Specifies a destination disk:partition on which the data is to be restored. The <DestinationDisk> parameter consists of one or several disk descriptors written in the form: descriptor_name1=value[+descriptor_name1=value...]. The disk descriptors are presented in the Disk descriptors section of this table. Old notation is also valid:

Old notation examples:

for hard drive 1: -d=1

for the second partition on hard drive 1 (empty space is treated as a partition): -s=1:2

for the second partition on hard drive 1 skipping empty spaces: -s=1:p2

for the first empty space on hard drive 1 skipping partitions: -s=1:f1

for a logical disk: -d=D:

-a=<PathOfArchiveFile>

Mandatory

Applicable to restore only.

Specifies a path (including its file name) to the image file from which data is to be restored. It there is a space in the path, the path should be in quotes.

Examples: -a=C:\Images\Test.rdr or -a="C:\Image Files\Test.rdr"

-k=<"PartitionStatus">

Optional

Specifies a status (primary/active) for a partition to be restored.

Settings:

+p is a primary partition -p is a secondary partition

+a is an active partition -a is a non-active partition

Please note that the combination "-p +a" is invalid. If this parameter is not specified, the data from the image will be used.

Examples:

-k="+p+a" the partition will be primary and active.

-k="+p" the partition will be primary. Information in the image will be used to make the partition either active or non-active.

-ou

Optional

Copy/restore useful information only. May be used as a Boolean parameter.

-t=<TimeSliceNumber>

Optional

Applicable to restore only.

Specifies which incremental data will be used to restore data from the image. If the TimeSliceNumber is not specified, the first data in the image will be used. -1 specifies the last incremental data in the image.

first: R-Drive Image will use the first incremental data in the image.

last: R-Drive Image will use the last incremental data in the image.

+<n>: R-Drive Image will use the n-th incremental data from the beginning in the image.

-<n>: R-Drive Image will use the n-th incremental data from the end in the image.

Examples: -t="+2" specifies the second incremental data from the beginning in the image will be used to restore data.

-lr=<DiskLetter>

Optional

Specifies a disk letter. This parameter is case-insensitive.

Examples: -lr="K" or -lr=K.

-sz=<PartitionSize>

Optional

Specifies a partition size. May be in the float-point format. The following predefined values may be used: min: shrink the partition to the minimum possible size, max: expand the partition to the maximun size.

Example: -sz=512 or -sz='0.5 Gb'

-of=<PartitionOfset>

Optional

Specifies an offset from the beginning of the destination. May be in the float-point format. Default is 0.

Example: -of=512 or -of='0.5 Gb'

-bs-use="<Parameter>"

Optional

Applicable to restore only.

Specifies the backup set R-Drive Image will use to restore data. Parameter may be:

first: R-Drive Image will use the first backup set.

last: R-Drive Image will use the last backup set.

+<n>: R-Drive Image will use the n-th backup set from the beginning.

-<n>: R-Drive Image will use the n-th backup set from the end.

<date>: R-Drive Image will use the backup set containing the date in its name.

Examples:

-bs-use="+3": R-Drive Image will use the 3-rd backup set from the beginning.

-bs-use="20080521": R-Drive Image will use the backup set containing the " 20080521" string in its name.

-p=<password>

Mandatory / Not used

Applicable to restore only.

Mandatory for password-protected files. Specifies a password for the archive.

Example: -p="my password"

-hdd-mode="<ModeType>"

Optional

Applicable to copy/restore entire hard drives only.

Specifies an HDD copy mode when copying entire hard drives. Parameter may be:

0: The default method

1: Raw disk copy

2: Copy all partitions onto original places

19: One partition after another

20: One partition after another (Fixed active partition)

51: Expand/Shrink partition to whole disk

52: Expand/Shrink partition to whole disk (Fixed active partition)

Example:

restore -a="I:\Test Image.rdr" -s="hdd_size=40060403712+part_num=1+hdd_num=1+hdd_target_id=0+hdd_bus_type=ata+part_label=Part2

+part_ofs=16778264576+part_mounted=G:\+hdd_name=SAMSUNG&#32;SP0411NTW100-11+part_size=23279435776+hdd_port_num=0+hdd_serial=S01JJ30X912831+part_fs=ntfs+hdd_vtype=real"

-d="hdd_size=40060403712+part_num=2+hdd_num=1+hdd_target_id=0+hdd_bus_type=ata+part_label=Part2+part_ofs=16778264576+part_mounted=G:\+hdd_name=SAMSUNG&#32;SP0411NTW100-11+part_size=23279435776+hdd_port_num=0+hdd_serial=S01JJ30X912831+part_fs=ntfs+hdd_vtype=real"

-p="My Password" -xe="winamp C:\sounds\error.mp3" -xs="winamp C:\sounds\success.mp3"

This script command restores data to the logical disk G: on the Samsung HDD, the source image is stored in the "I:\Test Image.rdr", the data is taken from the first partition in the image. This image is protected with the password "My Password". If the script action has been performed successfully, the winamp application will play the success.mp3 file, and if an error occurs, it will play the error.mp3 file.

restorefiles

Restores individual files from images to a specified destination

-s="<SourceDisk>"

Mandatory

Specifies a source object to restore. The <SourceDisk> parameter consists of one or several disk descriptors written in the form: descriptor_name1=value[+descriptor_name1=value...]. The disk descriptors are presented in the Disk descriptors section of this table. Old notation is also valid:

Old notation examples:

for hard drive 1: -s=1

for the second partition on hard drive 1: -s=1:2

for a logical disk: -s=D:

-a="<PathOfArchiveFile>"

Mandatory

Specifies a path (including its file name) to the image file from which data is to be restored. It there is a space in the path, the path should be in quotes.

Examples: -a=C:\Images\Test.rdr or -a="C:\Image Files\Test.rdr"

-filelist="<ListOfFilesToRestore>"

Mandatory

Specifies list of files from the image that should be restored.

Example: -filelist="MyPhoto/*,Photo/Picture 001.jpg,Photo/Picture 003.jpg"

-outdir="<OutputFolder>"

Mandatory

Specifies the folder to which files will be restored.

Example: -outdir="D:\1111"

Example:

restorefiles -s="hdd_size=7509196800+part_num=1+hdd_num=1+hdd_target_id=0+hdd_bus_type=ata+part_label=NTFS-Test+part_ofs=64512+part_mounted=F:\+hdd_name=WDC&#32;WD75DA-00AWA107.21L07

+part_size=3141991936+hdd_port_num=0+hdd_serial=WD-WMA1J1262876+part_fs=ntfs+hdd_vtype=real"

-a="I:\Test_Image.rdr" -t="+1" -filelist="MyPhoto/*,Photo/Picture 001.jpg,

Photo/Picture 003.jpg,Photo/Picture 005.jpg,Photo/Picture 007.jpg,Photo/Picture 009.jpg,Photo/Picture 010.jpg,Photo/Picture 011.jpg,

Photo/Picture 013.jpg,Photo/Picture 015.jpg,Photo/Picture 016.jpg,Photo/Picture 017.jpg,Photo/Picture 018.jpg,Photo/Picture 019.jpg,Photo/Picture 020.jpg,

Photo/Picture 021.jpg,Photo/Picture 022.jpg,Photo/Picture 023.jpg,

Photo/Picture 024.jpg,Photo/Picture 025.jpg,Photo/Picture 026.jpg,Photo/Picture 027.jpg,Photo/Picture 028.jpg" -outdir="D:\1111"

This script command restores the specified files to the destination path D:\1111 from the source image of the first partition of the hard drive stored in the file I:\Test_Image.rdr.

check

Checks consistency of the archive

-a=<PathOfArchiveFile>

Mandatory

Specifies a path (including its file name) to the image which integrity is to be checked. It there is a space in the path, the path should be in quotes.

Examples: -a=C:\Images\Test.rdr or -a="C:\Image Files\Test.rdr"

Example:

check -a="I:\Test Image.rdr"

This script command checks the image file I:\Test Image.rdr for its consistency.

mount

Mounts an image file as a read-only virtual disk.

-a=<PathOfNewArchiveFile>

Mandatory

Specifies a path (including its file name) to the image file.

Examples:

-a=C:\Images\Test.rdr or -a="C:\Image Files\Test 1.rdr"

-s=<SourceDisk>

Mandatory

Specifies an object in the image to mount. The <SourceDisk> parameter consists of one or several disk descriptors written in the form: descriptor_name1=value[+descriptor_name1=value...]. The disk descriptors are presented in the Disk descriptors section of this table. Old notation is also valid:

Old notation examples:

for the second partition on hard drive 1: -s=1:2

for a logical disk: -s=D:

-lr=<DiskLetter>

Mandatory

Specifies a disk letter. This parameter is case-insensitive.

Examples: -lr="K" or -lr=K.

-t=<TimeSliceNumber>

Optional

Specifies which incremental data in the image will be used to mount a disk. If the TimeSliceNumber is not specified, the first data in the image will be used. -1 specifies the last incremental data in the image.

first: R-Drive Image will use the first incremental data in the image.

last: R-Drive Image will use the last incremental data in the image.

+<n>: R-Drive Image will use the n-th incremental data from the beginning in the image.

-<n>: R-Drive Image will use the n-th incremental data from the end in the image.

Examples: -t="+2" specifies the second incremental data from the beginning in the image will be used to mount a disk.

-bs-use="<Parameter>"

Optional

Specifies the backup set R-Drive Image will use to mount as a logical disk. Parameter may be:

first: R-Drive Image will use the first backup set.

last: R-Drive Image will use the last backup set.

+<n>: R-Drive Image will use the n-th backup set from the beginning.

-<n>: R-Drive Image will use the n-th backup set from the end.

<date>: R-Drive Image will use the backup set containing the date in its name.

Examples:

-bs-use="+3": R-Drive Image will use the 3-rd backup set from the beginning.

-bs-use="20080521": R-Drive Image will use the backup set containing the " 20080521" string in its name.

Example:

mount -a="I:\Test Image.rdr" -s=1:2 lr=F: -t=-1

This script command mounts the second partition of the first hard drive contained in the image file I:\Test Image.rdr. The virtual logical disk will have the F: letter.

unmount

Unmounts a mounted virtual disk.

-lr=<DiskLetter>

Mandatory

Specifies a disk letter. This parameter is case-insensitive.

Examples: -lr="K" or -lr=K.

Example:

unmount lr=F:

This script command unmounts the virtual logical disk F:.

activate

Sets a specified partition active.

The required partition should be specified

-s=<SourceDisk>

Mandatory

Specifies the partition on the disk to set active. The <SourceDisk> parameter consists of one or several disk descriptors written in the form: descriptor_name1=value[+descriptor_name1=value...]. The disk descriptors are presented in the Disk descriptors section of this table. Old notation is also valid:

Old notation examples:

for the second partition on hard drive 1: -s=1:2

for a logical disk: -s=D:

Example:

activate -s=1:1

This script command set the first partition of the first hard drive active.

delete

Deletes a partition on a drive

The required partition should be specified

-s=<SourceDisk>

Mandatory

Specifies a partition to delete. The <SourceDisk> parameter consists of one or several disk descriptors written in the form: descriptor_name1=value[+descriptor_name1=value...]. The disk descriptors are presented in the Disk descriptors section of this table. Old notation is also valid:

Old notation examples:

for the second partition on hard drive 1: -s=1:2

for a logical disk: -s=D:

Example:

delete -s=F:

This script command deletes the logical disk F:.

clear

Deletes all partitions on a drive

-s=<SourceDisk>

Mandatory

Specifies the hard drive where all partitions should be deleted. The <SourceDisk> parameter consists of one or several disk descriptors written in the form: descriptor_name1=value[+descriptor_name1=value...]. The disk descriptors are presented in the Disk descriptors section of this table. Old notation is also valid:

Old notation examples:

for hard drive 1: -s=1

-part-type=<PartitionType>

Optional/Mandatory

Specifies a partition layout type to be created on the hard drive.

<PartitionType> may be:

mbr: R-Drive Image will create the MBR layout.

gpt: R-Drive Image will create the GPT layout.

If omitted, the existing partition layout table will be cleared. Mandatory if no partition layout exists on the hard drive.

Example:

clear -s=2

This script command deletes all partitions on the second hard drive.

fixmbr

Optional

Installs a default boot loader on a hard drive

-s=<SourceDisk>

Mandatory

Specifies the hard drive where the boot loader will be installed. Example:

for hard drive 1: -s=1

Example:

fixmbr -s=1

This script command installs the default boot loader to the first hard drive.

mail

Optional

Specifies all mail options globally for the entire script

Example:

mail -ms=mail.example.com -ma=rtt1@example.com -mr=rtt2@example.com -ml=rtt1:password -me -mx -mz=ssl

This script command sends e-mails confirming success or error of the action from rtt1@example.com to rtt2@example.com via the mail.example.com SMTP server using the default (25) port with the rtt1 login and password password. The SSL option is SSL.

Parameters applicable to all commands

These parameters can be used in all commands

-log="<LogOptions>"

Optional

Controls the way R-Drive Image logs its command-line activity. By default, it outputs its activity into WinNT event log if started from Windows scheduler, but can create its own xml-type log files.

LogOptions may be:

#nodefault: disables the default log output into syslog

<filename>: writes the log to the specified file name and path. Example: c:\mylogs\mylog.txt. The "," character in the file name should be doubled.

<filepath>: writes the log files (a separate one to each session) to the specified folder. Each file name will have the following filename: date_time.rdl. Examples: c:\mydir\, file name: 20081003_215302.rdl.

#syslog: output logs into WinNT event log.

#sysdir: outputs logs into C:\Documents and Settings\All Users\Application Data\R-TT\R-Drive Image\Logs\.

Example: -log="#nodefault,c:\mylog.txt,c:\mydir\,#sysdir"

This will make R-Drive Image write its logs to the c:\mylog.txt file, and to the c:\mydir\ and C:\Documents and Settings\All Users\Application Data\R-TT\R-Drive Image\Logs\ folders without writing to WinNT event log.

mail options

Optional

Sends e-mail messages if the action fails or succeeds and specifies e-mail parameters. If a personal firewall is installed on your computer, you should allow the r-driveimagecl.exe application to get access to the e-mail server.

-me

Optional

Sends an e-mail message when R-Drive Image fails to perform the specified action. May be used as a Boolean parameter.

-mx

Optional

Sends an e-mail message when R-Drive Image successfully performs the specified action. May be used as a Boolean parameter.

-ms=<SMTPServer[:port]>

Mandatory/Not used

Mandatory if the -me or/and -mx option is used. Specifies an SMTP server and port (optional).

Examples: -ms=mail.example.com or -ms=mail.example.com:25

-ma=<SenderEmail>

Mandatory/Not used

Mandatory if the -me or/and -mx option is used. Specifies a sender's e-mail address.

Example: -ma=rtt1@example.com

-mr=<RecepientEmail>

Mandatory/Not used

Mandatory if the -me or/and -mx option is used. Specifies a recipient's e-mail address or addresses.

Example: -ma=rtt2@example.com

-ml=<Login:Password>

Optional

Specifies a login and password at the SMTP server.

Example: -ml=rtt1:password

-mz=<SSLOptions>

Optional

Specifies the SSL options. Can be auto,no,ssl,tls.

Default is auto

Example: -mz=ssl

-mn=<SenderName>

Optional

Specifies the sender name.

Example: -mn="Jhon Smith"

-mc=<MailSubject>

Optional

Specifies the mail subject..

Example: -mc="Backup Result"

Boolean parameters

Those are parameters that may have Boolean values:

true, 1, yes, false, 0, no.

They may be used as keys (example: -u) or as parameters with values (example: -u=true).

Entities or Variables.

Entities may be used as variables to create various text strings. They are start with & and end with ;.

Version Entities.

In the examples below, the R-Drive Image version is assumed as 4.1.67

Entity | Description
&rdi.ver; | The R-Drive Image version. Example: "4.1"
&rdi.ver.build; | The R-Drive Image build. Example: "4167"
&rdi.ver.major; | The R-Drive Image major version. Example: "4"
&rdi.ver.minor; | The R-Drive Image minor version. Example: "1"
&rdi.ver.subminor; | The R-Drive Image sub-minor version. Example: "67"

Result Entities

Entity | Description
&rdi.last_result; | Returns the last result of R-Drive Image operation. May be undefined, success, failed.

Time Entities.

In the examples below, the system time is assumed as 11:10:04 AM

Entity | Description
&sys.time; | System time in the locale format. Example: "11:10:04". Please note that it is impossible to use this entity in file names because it contains an invalid character :.
&sys.time.m; | Minutes
&sys.time.h; | Hours in the 24 h format
&sys.time.h12; | Hours in the 12 h format
&sys.time.h24; | Hours in the 24 h format
&sys.time.s; | Seconds
&sys.time._m; | PM or AM

Date Entities.

In the examples below, the system date is assumed as February 1, 2007, Thursday

Entity | Description
&sys.date; | System date in the locale format. Example: "29/01/07". Please note that it is not recommended to use this entity in file names because that will create a chunk of folders.
&sys.date.d; | Month day. Example: "01"
&sys.date.m; | Month. Example: "02"
&sys.date.y; | Short year. Example: "07"
&sys.date.yyyy; | Long year. Example: "2007"
&sys.date.m.name; | Month name. Example: "February"
&sys.date.m.nm; | Short month name. Example: "Feb"
&sys.date.wd; | Week day number, starting from Sunday. Example: "5"
&sys.date.wd.name; | Week day name. Example: "Thursday"
&sys.date.wd.nm; | Short week day name. Example: "Th"

Enumeration Entities

Entity | Description
&rdi.enum; | Defines the number of calls to this entity. Starts from 0.
&rdi.enum.<Num>; | Defines the number of calls to this entity. Starts from 0. Num specifies the format of the number. Example: &rdi.enum.3; will return 001 for the second calls to this entity.

User-defined entities

You may create your own entities using the set command. Example:

set creat_date = "&sys.date.m.name;-&sys.date.d;-&sys.date.y;"

You may use this entity, for instance, set a command creating files with their date of creation as the file name:

create -a="D:\archive\&creat_date;.rdr" -s="c:"

If the date when the script has been run is February 1, 2007, Thursday, this command will create an image of the logical disk C: and write it to the D:\archive\February-01-07.rdr file.

Please note that the set command defines the entities rather than specifies their value. The actual value of an entity will be determined each time the entity is used. Example:

set creat_time = "&sys.time.h24;-&sys.time.m;-&sys.time.s;"

and the creat_time entity is used in two commands in a script:

create -a="D:\archive\&creat_time;.rdr" -s="c:"

create -a="D:\archive\&creat_time;.rdr" -s="c:"

R-Drive Image will create two different files with different file names, each representing the time of file creation.

The unset command deletes entities. Example:

unset creat_date creat_time

After this command the creat_date and creat_time entities cannot be used and cause R-Drive Image to generate an error if they appear further in the script.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Technical Informaiton

Technical Information

This chapter gives technical information on

·Updates

·Logging

·Creating consistent point-in-time backups

·Support for Various Disk Partition Schemes and File Systems

·Disk Wiping Algorithms

·Supported CD and DVD Recorders

·List of Hardware Devices Supported in the Startup Mode

The Disk Actions chapter explains disk actions such as:

·Create an Image of a partition, logical disk, or entire hard drive

·Create an Image from Files

·Restore Data from an Image

·Copy Disk to Disk to make an exact copy of one disk on another

·Manage partition and logical disks

·Mount an Image as a Virtual Logical Disk (read-only)

·Unmount Virtual Logical Disks

·Check an Image File to check an existing image file

The RAIDs, and Various Disk and Volume Managers chapter explains how to perform disk actions with various compound volumes such as:

·Windows Software RAIDs, Spanned, and Other Volumes

·Windows Storage Spaces

·Mac RAIDs

·Linux Logical Volume Manager Volumes

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version such as:

·Create Startup Disk

·Restoring Data to a System or Other Locked Disk

·Create an Image Using the Startup Disks

·Disk to Disk Copy Using the Startup Disks

The Scheduled Actions, Command Line Operations, and Scripting chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line.

·Scheduler and Unattended Actions

·Scripting and Command Line Operations

·Rotation schemes (backup sets)

The R-Drive Image OEM kit chapter explains how computer system integrators can create system recovery disks for their systems

·Create a Master Image

·Create Startup Media

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Updates

Automatic update

R-Drive Image may automatically check for available updates. When it finds an update it shows a widget on its panel. You may start updating by clicking this widget.

Click to enlarge

R-Drive Image Action selection panel

Manual update

You may manually update R-Drive Image either on the About R-Drive Image dialog box, or on the Action selection panel.

Click to enlarge

R-Drive Image Action selection panel


Logging

R-Drive Image stores logs of several last actions. You may see them on the Executed operation(s) log panel.

Click the controls to learn their functions or go to the respective help pages

When R-Drive Image finishes its work it can show you a brief descriptions and result of the performed operations.

Click the Open logs button and the Operation details window will appear.

You may save the log, print the log, or send it somewhere via email.

R-Drive Image keeps a log of all performed operations on the Executed operation(s) log panel.

You may turn on saving the log into a file.

To turn logging on:

1 Click the About button
2 Select Logging and specify a log file name and its path on the About R-Drive Image dialog box.


Creating Consistent Point-in-Time Backups

Some programs may write some data on the disk while R-Drive Image is creating a data backup. To avoid data inconsistency, R-Drive Image uses two mechanisms for creating consistent point-in-time backups.

Windows XP, Windows Server 2003, Windows Vista, and later

R-Drive Image uses Microsoft Volume Shadow Copy Service (VSS) to notify other applications supporting this service that it is going to start a data backup process in order for them to flash all necessary data to the disk. Most applications like Microsoft Exchange Server, Microsoft SQL Server, and Oracle software support this service.

Options Windows Volume Snapshot Service and Notify system application on the Backup Options panel enable/disable the use of this service.

If a software that does not support VSS runs on your computer, you may use Backup AUX applications and Snapshot AUX applications on the Backup Options panel (and their respective commands/parameters in scripts) to send special commands to your application that will make that application flush its data to the disk before the backup process starts.

Windows 2000 and earlier

R-Drive Image uses its own driver to create a file system snapshot but it does not notify other applications that it is going to start a backup process. Therefore, if an application stores some of its data in memory, they will not be saved in the backup file. To avoid data inconsistency, we recommend you to use Backup AUX applications and Snapshot AUX applications on the Backup Options panel (and their respective commands/parameters in scripts) to send special commands to your application that will make that application flush its data to the disk before the backup process starts.

Option R-TT Volume Snapshot Service on the Backup Options panel enables/disables the use of this service.

Click to expand/collapse Backup Options

Snapshot provider

A snapshot provider is a service R-Drive Image uses to read the disk content while creating its image. R-Drive Image uses the snapshot providers in the order specified on the tab. If it fails to use the first one selected, it tries to use the second one, and so on.

Windows Volume Snapshot Service

If this check box is selected, R-Drive Image will try to use the Windows native snapshot provider. This snapshot provider is able to notify system applications that a snapshot is being taken.

If this option is selected, pagefile.sys and hibernate.sys files are excluded from the image of the system disk.

R-TT Volume Snapshot Service

If this check box is selected, R-Drive Image will try to use R-TT snapshot provider. This snapshot provider is not able to notify system applications that a snapshot is being taken.

Notify system applications

If this check box is selected, the snapshot provider, if it supports this feature, notifies system applications that a snapshot is being taken.

Limit I/O rate

Specifies the rate limits for reading/writing data from/to disks

Limit read

The rate limit for reading from the source disk

Limit write

The rate limit for writing to the destination disk

Process priority

These options specify how much computer resources R-Drive Image will consume during a backup process.

Backup Process Priority

Specifies the priority of the backup process. Similar to that specified in Windows Task Manager.

Use CPU cores

Specifies how many processor cores R-Drive Image will use for the backup process.

Ignore disk read errors (bad sectors)

If this check box is selected, R-Drive Image will ignore possible read errors when it tries to read data from bad sectors.

R-Drive Image works with disks with bad sectors in the following way:

It reads a certain part of disk (predefined by Windows) and

·If read errors are ignored, the entire part with bad sectors will be filled with zeros.

·If read errors are not ignored, R-Drive Image reads that part sector by sector and shows a warning message for every bad sector with two options: skip the sector or try to read it again. In this case only the bad sectors will be filled with zeros, but all that requires manual actions and extremely slows the imaging process.

Please note that R-Drive Image is developed for the work with normally functioning disks. If you need to image a malfunctioning disk, use R-Studio, a data recovery utility. It has more controls for imaging, and can create R-Drive Image-compatible images even in its demo mode, that is, without registering.

Backup AUX applications

R-Drive Image is able to make applications run before and after all backup operations. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.

Before

An application R-Drive Image starts before the backup operations starts. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

After

An application R-Drive Image starts after the backup operations completes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

Snapshot AUX applications

R-Drive Image is able to make applications run before and after taking the snapshot of one or several volumes. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.

Before

An application R-Drive Image starts before it takes the snapshot of one or several volumes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

After

An application R-Drive Image starts after it takes the snapshot of one or several volumes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

If any of Backup AUX applications and Snapshot AUX applications are executed, the following environment variables are set:

R_CALLBACK_UID | A unique digital backup id used in all calls for external commands pertaining to that backup process.
R_CALLBACK_STAGE | Takes the following values: BEFORE_BACKUP AFTER_BACKUP BEFORE_SNAPSHOT AFTER_SNAPSHOT
R_VOLUME_NAMES | A comma-separated name list of partitions to be processed.
R_VOLUME_GUIDS | A comma-separated GUID list of partitions to be processed

Therefore, the same command may be used for all the fields provided it will determine using R_CALLBACK_STAGE in which context it is called.

Below is an example of the variables when disks C: and D: are being backed up:

R_CALLBACK_UID=2008

R_CALLBACK_STAGE=BEFORE_BACKUP

R_VOLUME_NAMES=C:,D:

R_VOLUME_GUIDS={d5f570a1-2978-11dc-83bf-005056c00008},{9636e065-f75e-11dc-981a-829328f78201}

R_CALLBACK_UID=2008

R_CALLBACK_STAGE=BEFORE_SNAPSHOT

R_VOLUME_NAMES=C:

R_VOLUME_GUIDS={d5f570a1-2978-11dc-83bf-005056c00008}

R_CALLBACK_UID=2008

R_CALLBACK_STAGE=AFTER_SNAPSHOT

R_VOLUME_NAMES=C:

R_VOLUME_GUIDS={d5f570a1-2978-11dc-83bf-005056c00008}

R_CALLBACK_UID=2008

R_CALLBACK_STAGE=BEFORE_SNAPSHOT

R_VOLUME_NAMES=D:

R_VOLUME_GUIDS={9636e065-f75e-11dc-981a-829328f78201}

R_CALLBACK_UID=2008

R_CALLBACK_STAGE=AFTER_SNAPSHOT

R_VOLUME_NAMES=D:

R_VOLUME_GUIDS={9636e065-f75e-11dc-981a-829328f78201}

R_CALLBACK_UID=2008

R_CALLBACK_STAGE=AFTER_BACKUP

R_VOLUME_NAMES=C:,D:

R_VOLUME_GUIDS={d5f570a1-2978-11dc-83bf-005056c00008},{9636e065-f75e-11dc-981a-829328f78201}

Note: If the system settings permit, several disks may appear in one snapshot. Then the following calls will appear:

R_CALLBACK_UID=2008

R_CALLBACK_STAGE=BEFORE_BACKUP

R_VOLUME_NAMES=?:,D:

R_VOLUME_GUIDS={d5f570a1-2978-11dc-83bf-005056c00008},{9636e065-f75e-11dc-981a-829328f78201}

R_CALLBACK_UID=2008

R_CALLBACK_STAGE=BEFORE_SNAPSHOT

R_VOLUME_NAMES=?:,D:

R_VOLUME_GUIDS={d5f570a1-2978-11dc-83bf-005056c00008},{9636e065-f75e-11dc-981a-829328f78201}

R_CALLBACK_UID=2008

R_CALLBACK_STAGE=AFTER_SNAPSHOT

R_VOLUME_NAMES=?:,D:

R_VOLUME_GUIDS={d5f570a1-2978-11dc-83bf-005056c00008},{9636e065-f75e-11dc-981a-829328f78201}

R_CALLBACK_UID=2008

R_CALLBACK_STAGE=AFTER_BACKUP

R_VOLUME_NAMES=?:,D:

R_VOLUME_GUIDS={d5f570a1-2978-11dc-83bf-005056c00008},{9636e065-f75e-11dc-981a-829328f78201}


Support for Various Disk Partition Schemes and File Systems

R-Drive Image supports various non-MBR/GPT disk partition schemes: Dynamic disk, BSD Slice, Apple Partition Map with the following restrictions:

·Changes in disk partition layout are supported for basic (regular) and dynamic MBR/GPT disks. R-Drive Image can change partition layout (the number of partitions and their sizes) while restore the data.

·The other partition layouts may be backed up and then restored only on their original places or other partitions of the same size. For example, a backup of dynamic disk D: may be restored on disk D:, or on any other dynamic partition provided that its size matches exactly that of disk D:.

·A basic partition may be restored on another partition of another layout with the above limitation, and a partition of another layout may be restored as a basic one without limitations.

Partitions with various file systems are supported by R-Drive Image differently:

File system | Imaging/Copy | Restore | Partition Resizing* | Virtual Disk Mount
FAT (16/32), NTFS | Byte-by-byte and Useful Information Only | Entire partition and Selected folders and files. | Yes. | Yes
exFAT, ReFS | Byte-by-byte and Useful Information Only | Entire partition and Selected folders and files. | No | Yes (if the Windows version supports)
HFS/HFS+ | Byte-by-byte and Useful Information Only | Entire partition and Selected folders and files | Yes | No (Yes, if third-party file system drivers are installed)
APFS | Byte-by-byte and Useful Information Only | Entire partition and Selected folders and files | No | No (Yes, if third-party file system drivers are installed)
Little and Big Endian variants of UFS1/UFS2 and Ext2/Ext3/Ext4 FS (Linux) | Byte-by-byte and Useful Information Only | Entire partition and Selected folders and files. | No | No (Yes, if third-party file system drivers are installed)
Unknown | Byte-by-byte | Entire partition | No | No

* For non-MBR/GPT disk partition schemes, partition resizing can be done within existing disk partition layout.


Disk Wiping Algorithms

Data wiping is necessary only for files stored on conventional hard drives. Data stored on SSD storage devices cannot be effectively wiped out due to the principles of operation of these devices.

Currently R-Drive Image supports 5 wiping algorithms:

Click to enlarge

Wipe an object panel

Click to expand/collapse Wiping algorithms

Zeroes | The disk is filled with zeroes through 1 pass. The fastest but the least secure algorithm. Also it does not conceal the fact that the disk or file has been wiped.
Pseudo-random numbers | The disk is filled with pseudo-random numbers through 1 pass. A slower but little bit more secure algorithm than the Zeroes algorithm and it also conceals to some degree the fact that the disk or file has been wiped.
DoD 5220.22-M(3) | The disk is wiped using Department of Defense standard 5220.22-M(3). Provides high-grade data wiping filling the unused space or file with a special digital pattern through 3 passes This algorithm is very secure, but slow.
DoD 5200.28-STD(7) | The disk is wiped using Department of Defense standard 5200.28-STD(7). Provides high-grade data wiping filling the unused space or file with a special digital pattern through 7 passes. This algorithm is very secure, but very slow.
Bruce Schneier(7) | The disk is wiped using the Bruce Schneier's algorithm. Provides high-grade data wiping filling the unused space or file with a special digital pattern through 7 passes. This algorithm is very secure, but very slow.
Peter Gutmann (35) | The disk is wiped using the Peter Gutmann's algorithm. Provides high-grade data wiping filling the unused space or file with a special digital pattern through 35 passes. This algorithm is military-level secure, but horribly slow.

What algorithm is to choose, depends on your specific needs. All of these wiping algorithms make recovery of wiped data with any software-based data recover utility impossible. So if you want to protect your information from a casual snooper, you may safely choose either the Zeroes or Pseudo-random numbers algorithm. The latter also conceals the fact that you wiped the data.

If you want more security, you need to know the following:

There are some techniques for recovery of wiped data. These techniques are based on the fact that magnetic medium on the hard drive's platters "store" some information about previously written data. Such information cannot be completely removed. Wiped data may be recovered even from mechanically damaged platters. So the only safe way to completely remove data from a hard drive is to mechanically grind the magnetic medium off the drive platters or dissolve them in special chemical solvents.

But in order to recover the wiped data using one of these techniques, a hard drive must be disassembled, its platters placed in a precise magnetic field measurement system, and the results of such measurement statistically processed. All that is very expensive and requires a very qualified and experienced personnel and a specially developed equipment. Only a very advanced organization such as a law enforcement or intelligence agency of a developed nation, or a special high-tech firm can afford this. Moreover, each successive wiping pass makes such data recovery much and much harder. So, the DoD 5220.22-M(3) clearing and sanitizing standard overwriting the data with a special pattern through 3 passes is a rather reliable and safe choice for this case.

If you need the ultimate security, use the DoD 5220.22-M(7) clearing and sanitizing standard, or even the Peter Gutmann (35) wiping algorithm. They render data almost unrecoverable, but they are extremely slow.


Supported CD and DVD Recorders

Supported CD recorders

All IDE/SCSI/USB/FireWire (IEEE1394) CD recorders compatible with the MMC specification.

Supported DVD recorders

Any DVD+R/RW or DVD-R/RW drives for which packet (UDF) record software is installed (DirectCD/InCD/DLA). DVD discs should be formatted.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


List of Hardware Devices Supported in the Startup Mode

In the startup mode, R-Drive Image supports the following hardware devices:

Data Storage Devices

Networking Devices

Serial ATA and Parallel ATA drivers

ACPI firmware driver for PATA

ACard AHCI variant (ATP 8620)

AHCI SATA

ALi PATA

AMD/NVidia PATA

ARTOP 6210/6260 PATA

ARTOP/Acard ATP867X PATA

ATI PATA

CMD / Silicon Image 680 PATA

CMD640 PCI PATA

CMD64x PATA

CS5510/5520 PATA

CS5530 PATA

CS5535 PATA

CS5536 PATA

Compaq Triflex PATA

Cypress CY82C693 PATA

EFAR SLC90E66

Generic ATA

HPT 343/363 PATA

HPT 366/368 PATA

HPT 370/370A/371/372/374/302 PATA

HPT 371N/372N/302N PATA

IT8211/2 PATA

IT8213 PATA

Initio 162x SATA

Intel ESB, ICH, PIIX3, PIIX4 PATA/SATA

Intel PATA MPIIX

Intel PATA old PIIX

Intel SCH PATA

JMicron PATA

Legacy ISA PATA

Marvell PATA support via legacy mode

Marvell SATA

NETCELL Revolution RAID

NVIDIA SATA

Nat Semi NS87410 PATA

Nat Semi NS87415 PATA

Ninja32/Delkin Cardbus ATA

OPTI FireStar PATA

OPTI621/6215 PATA

Older Promise PATA controller

PCMCIA PATA

Pacific Digital ADMA

Pacific Digital SATA QStor

Platform AHCI SATA

Promise PATA 2027x

Promise SATA SX4

Promise SATA TX2/TX4

QDI VLB PATA

RADISYS 82600 PATA

RDC PATA

SC1200 PATA

SERVERWORKS OSB4/CSB5/CSB6/HT1000 PATA

ServerWorks Frodo / Apple K2 SATA

SiS 964/965/966/180 SATA

SiS PATA

Silicon Image 3124/3132 SATA

Silicon Image SATA

Toshiba Piccolo

ULi Electronics SATA

VIA PATA

VIA SATA

VITESSE VSC-7174 / INTEL 31244 SATA

Winbond SL82C105 PATA

Winbond W83759A VLB PATA

SCSI low-level drivers

3ware 5/6/7/8xxx ATA-RAID

3ware 97xx SAS/SATA-RAID

3ware 9xxx SATA-RAID

7000FASST SCSI

ACARD SCSI

ARECA (ARC11xx/12xx/13xx/16xx) SATA/SAS RAID Host Adapter

Adaptec AACRAID

Adaptec AHA152X/2825

Adaptec AHA1542

Adaptec AIC79xx U320

Adaptec AIC7xxx

Adaptec AIC7xxx Fast -> U160

Adaptec AIC94xx SAS/SATA

Adaptec I2O RAID

AdvanSys SCSI

Always IN2000 SCSI

BusLogic SCSI

DMX3191D SCSI

DTC3180/3280 SCSI

EATA ISA/EISA/PCI (DPT and generic EATA/DMA-compliant boards)

Emulex LightPulse Fibre Channel Support

Future Domain 16xx SCSI/AHA-2920A

Generic NCR5380/53c400 SCSI MMIO

Generic NCR5380/53c400 SCSI PIO

HP Smart Array SCSI driver

HighPoint RocketRAID 3xxx/4xxx Controller

IBM Power Linux RAID adapter

IBM ServeRAID

Initio 9100U(W)

Initio INI-A100U2W

Intel(R) C600 Series Chipset SAS Controller

Intel/ICP (former GDT SCSI Disk Array) RAID Controller

LSI Logic Legacy MegaRAID Driver

LSI Logic Management Module

LSI Logic MegaRAID Driver

LSI Logic MegaRAID SAS RAID Module

LSI MPT Fusion SAS 2.0 Device Driver

Marvell 88SE64XX/88SE94XX SAS/SATA

Microsoft Hyper-V virtual storage driver

NCR53c406a SCSI

PAS16 SCSI

PMC SIERRA Linux MaxRAID adapter

PMC-Sierra SPC 8001 SAS/SATA Based Host Adapter driver

Promise SuperTrak EX Series

QLogic ISP4XXX and ISP82XX host adapter family

QLogic QLA2XXX Fibre Channel Support

Qlogic FAS SCSI

Qlogic QLA 1240/1x80/1x160 SCSI

SYM53C8XX Version 2 SCSI

Symbios 53c416 SCSI

Tekram DC390(T) and Am53/79C974 SCSI

Tekram DC395(U/UW/F) and DC315(U) SCSI

Trantor T128/T128F/T228 SCSI

UltraStor 14F/34F

UltraStor SCSI

VMware PVSCSI driver

Workbit NinjaSCSI-32Bi/UDE

iSCSI Boot Sysfs Interface

USB support

CF/PCMCIA support for SL811HS HCD

ChipIdea Highspeed Dual Role Controller

Cypress C67x00 HCD

Datafab Compact Flash Reader

Freecom USB/ATAPI Bridge

ISD-200 USB/ATA Bridge

ISP 1760 HCD

ISP116X HCD

ISP1362 HCD

Lexar Jumpshot Compact Flash Reader

OXU210HP HCD

Olympus MAUSB-10/Fuji DPC-R1

R8A66597 HCD

SL811HS HCD

SSB usb host driver

SanDisk SDDR-09 (and other SmartMedia, including DPCM)

SanDisk SDDR-55 SmartMedia

USB 2.0

USB Mass Storage

USB Monitor

USBAT/USBAT02-based storage

xHCI HCD (USB 3.0)

Block devices

Compaq SMART2

Compaq Smart Array 5xxx

Mylex DAC960/DAC1100 PCI RAID Controller

Normal floppy disk

Promise SATA SX8

IEEE 1394 (FireWire) support

Legacy alternative FireWire driver stack

Storage devices (SBP-2 protocol)

Other devices

Microsoft Hyper-V Utilities driver

Microsoft Hyper-V client drivers

Microsoft Hyper-V virtual block driver

Microsoft Hyper-V virtual network driver

Microsoft Hyper-V virtual storage driver

3Com 3c574 PCMCIA

3Com 3c589 PCMCIA

3c501 `EtherLink`

3c503 `EtherLink II`

3c505 `EtherLink Plus`

3c507 `EtherLink 16`

3c509/3c529 (MCA)/3c579 `EtherLink III`

3c515 ISA `Fast EtherLink`

3c590/3c900 series (592/595/597) `Vortex/Boomerang`

3cr990 series `Typhoon`

AMD 8111 (new PCI LANCE)

AMD LANCE and PCnet (AT1500 and NE2100)

AMD PCnet32 PCI

AT1700/1720

Adaptec Starfire/DuraLAN

Alteon AceNIC/3Com 3C985/NetGear GA620 Gigabit

Ansel Communications EISA 3200

Apricot Xen-II on board Ethernet

Asix AX88190 PCMCIA

Atheros L1C Gigabit Ethernet

Atheros L1E Gigabit Ethernet

Atheros L2 Fast Ethernet

Atheros/Attansic L1 Gigabit Ethernet

Broadcom 440x/47xx ethernet

Broadcom CNIC

Broadcom NetXtremeII

Broadcom NetXtremeII 10Gb

Broadcom Tigon3

Brocade 1010/1020 10Gb Ethernet Driver

CS89x0

Cabletron E21xx

Chelsio 10Gb Ethernet

Chelsio Communications T3 10Gb Ethernet

Chelsio Communications T4 Ethernet

Chelsio Communications T4 Virtual Function Ethernet

Cisco VIC Ethernet NIC Support

DECchip Tulip (dc2114x) PCI

DL2000/TC902x-based Gigabit Ethernet

Dave ethernet support (DNET)

Davicom DM910x/DM980x

Early DECchip Tulip (dc2104x) PCI

EtherExpress 16

EtherExpressPro support/EtherExpress 10 (i82595)

Exar X3100 Series 10GbE PCIe Server Adapter

Exar Xframe 10Gb Ethernet Adapter

Fujitsu FMV-J18x PCMCIA

Generic DECchip & DIGITAL EtherWORKS PCI/EISA

HP 10/100VG PCLAN (ISA, EISA, PCI)

HP PCLAN (27245 and other 27xxx series)

HP PCLAN+ (27247B and 27252A)

ICL EtherTeam 16i/32

IP1000 Gigabit Ethernet

Intel(R) 10GbE PCI Express adapters

Intel(R) 82575/82576 PCI-Express Gigabit Ethernet

Intel(R) 82576 Virtual Function Ethernet

Intel(R) PRO/100+

Intel(R) PRO/1000 Gigabit Ethernet

Intel(R) PRO/1000 PCI-Express Gigabit Ethernet

Intel(R) PRO/10GbE

JMicron(R) PCI-Express Gigabit Ethernet

LP486E on board Ethernet

Marvell Yukon 2

Marvell Yukon Gigabit Ethernet

Mellanox Technologies 10Gbit Ethernet

Micrel KS8851 MLL

Micrel KSZ8841/2 PCI

Myricom Myri-10G Ethernet

Myson MTD-8xx PCI Ethernet

NE2000 compatible PCMCIA

NE2000/NE1000

NI5210

NI6510

National Semiconductor DP8381x series PCI Ethernet

National Semiconductor DP83820

NetXen Multi port (1/10) Gigabit Ethernet NIC

New Media PCMCIA

OKI SEMICONDUCTOR IOH(ML7223/ML7831) GbE

OpenCores 10/100 Mbps Ethernet MAC

PCI NE2000 and clones support (see help)

QLOGIC QLCNIC 1/10Gb Converged Ethernet NIC Support

QLogic QLA3XXX Network Driver Support

QLogic QLGE 10Gb Ethernet Driver Support

RDC R6040 Fast Ethernet Adapter

RealTek RTL-8129/8130/8139 PCI Fast Ethernet Adapter

RealTek RTL-8139 C+ PCI Fast Ethernet Adapter

Realtek 8169 gigabit ethernet

Realtek PCIe GBE Family Ethernet Adapter

SEEQ8005

SMC 9194

SMC 91Cxx PCMCIA

SMC EtherPower II

SMC Ultra

SMSC LAN9420 PCI ethernet adapter

STMicroelectronics 10/100/1000 Ethernet driver

ServerEngines' 10Gbps NIC - BladeEngine

SiS 900/7016 PCI Fast Ethernet Adapter

SiS190/SiS191 gigabit ethernet

Silan SC92031 PCI Fast Ethernet Adapter driver

Solarflare SFC4000/SFC9000-family

Sun Cassini

Sun GEM

Sun Happy Meal 10/100baseT

Sun Neptune 10Gbit Ethernet

Sundance Alta

TI ThunderLAN

Tehuti Networks 10G Ethernet

ULi M526x controller

VIA Rhine

VIA Velocity

WD80*3

Winbond W89c840 Ethernet

Xircom 16-bit PCMCIA

Zenith Z-Note

nForce Ethernet

USB Network Adapters

ASIX AX88xxx Based USB 2.0 Ethernet Adapters

CDC EEM

CDC Ethernet support (smart devices such as cable modems)

CDC NCM

Conexant CX82310 USB ethernet port

Davicom DM9601 based USB 1.1 10/100 ethernet devices

GeneSys GL620USB-A based cables

Host for RNDIS and ActiveSync devices

Intellon PLC based usb adapter

MosChip MCS7830 based Ethernet adapters

NetChip 1080 based cables (Laplink, ...)

Option USB High Speed Mobile Devices

Prolific PL-2301/2302/25A1 based cables

SMSC LAN75XX based USB 2.0 gigabit ethernet devices

SMSC LAN95XX based USB 2.0 10/100 ethernet devices

Samsung Kalmia based LTE USB modem

Sharp Zaurus (stock ROMs) and compatible

Simple USB Network Links (CDC Ethernet subset)

USB CATC NetMate-based Ethernet device

USB KLSI KL5USB101-based ethernet device

USB Pegasus/Pegasus-II based ethernet device

USB RTL8150 based ethernet device

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


R-Drive Image OEM kit

Available in the System Recovery Media Creator version.

R-Drive Image OEM kit allows system integrators, consultants, and computer assemblers to create special system recovery disks/devices and include them with their fully assembled computer systems. The license for R-Drive Image OEM kit allows its licensee to distribute unlimited number of those system recovery devices with its computers provided that a an unregistered copy of R-Drive Image OEM is pre-installed on each distributed computer and the R-Drive Image software icon is placed on the end-user desktop.

The end user of such computer systems can use those system recovery disks to restore the system files, registry keys, installed programs, etc., to a state the computer system or hardware was initially set up (a fresh setup).

R-Drive Image OEM kit is intended only to restore the original system disk configuration as part of a service or maintenance procedure. Use of this kit to install software on any other computer or system is strictly prohibited.

R-Drive Image OEM kit consists of three components:

R-Drive Image System Recovery Media Creator (R-Drive Image SRMC)

It can create a special R-Drive Image System Recovery OEM media device, that is, startup disk(s) that may be used to restore a computer system after a complete failure when it requires a complete fresh setup (system recovery disks). It may be a CD/DVD/USB disk, ZIP drive or any other removable media device.

R-Drive Image System Recovery OEM

Actually, R-Drive Image System Recovery OEM is a startup device containing a special R-Drive Image startup version with a master disk image. This R-Drive Image startup version restores data from a master image only to a hard drive or logical disk of a target system.

R-Drive Image OEM

This is a R-Drive Image version similar in its functionality to a conventional R-Drive Image.

Note: You need to obtain an OEM license to activate the OEM functionality in R-Drive Image. You may obtain a free demo key on the R-Drive Image site to test that functionality. OEM System Recovery Media created in the demo mode will perform all the required operations but without actual data recovery. If you want to disable the OEM functionality after tests, simply enter that free demo key once again. The the OEM functionality will disappear.

When you enter the OEM registration key, this message disappears and the OEM recovery system can be created.

R-Drive Image SRMC Features:

·The master image can be placed on the startup disk(s) or on a separate device.

·Flexible data restoring: R-Drive Image may automatically find the disk to restore data to, or the user can manually select places for data recovery.

Creating OEM System Recovery Media consists of two steps:

1.Creating the master image of the system

2.Creating the startup media

When the user will start the system up with such disk(s), R-Drive Image will either restore the system automatically, or ask the user to specify the source and target for system requirement, depending on the options specified during the disk creation.

The Disk Actions chapter explains disk actions such as:

·Create an Image of a partition, logical disk, or entire hard drive

·Restore Data from an Image

·Copy Disk to Disk to make an exact copy of one disk on another

·Mount an Image as a Virtual Logical Disk (read-only)

·Unmount Virtual Logical Disks

·Check an Image File to check an existing image file

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version such as:

·Create Startup Disk

·Restoring Data to a System or Other Locked Disk

·Create an Image Using the Startup Disks

·Disk to Disk Copy Using the Startup Disks

The Scheduled Actions, Command Line Operations, and Scripting chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line.

·Scheduler and Unattended Actions

·Scripting and Command Line Operations

·Rotation schemes (backup sets)

The R-Drive Image Features topic tells more about R-Drive Image.

Follow this link to obtain R-Drive Image Contact Information and Technical Support.


Create a Master Image

A master image is the image of the hard drive/logical disk or partition which you will used to restore the system.

The safest way to create a master image for a system rescue disk is to set the system up, turn it off, then start it up with the R-Drive Image startup version and write the master image file either to a network drive or to a USB disk. Please note that you have to connect the USB disk before you start up the system.

If you are going to create the master image in the same way as a regular image, it is necessary to understand how OEM System Recovery Media searches for the target drives/partitions to restore data to.

Hard drives: OEM System Recovery Media identifies drives by their identity info (vendor+model+revision). So, when creating the master image, avoid connecting the source drive to a non-standard drive controller. It may change the drive name and/or size, making it impossible for OEM System Recovery Media to identify the target drive correctly when restoring data.

Partitions: OEM System Recovery Media identifies partitions by their offset+size and, with lesser priority, by their file system information (file system type and label). if OEM System Recovery Media find one object which properties coincide with those in the master image, it believes that it has found the target partition. If there are several same partitions on different drives, OEM System Recovery Media selects the target partition by its HDD identity info.

Note: When creating the master image, specify the Image split size option on the Image Options panel according to the requirements of the target where you want to store the master image and do not pay attention to the size requirements of the media type you plan to use. When producing the startup disk, R-Drive Image will split the image accordingly.


Create Startup Media

When the master image of the system is created, you may create the startup data recovery disk(s).

To create a startup data recovery disk(s):

1 Click Create OEM System Recovery Media on the Action Selection panel
2 Select the file with the master image on the Master image file panel and click the Next button

Click the controls to learn their functions or go to the respective help pages

When you click the file, you may view its content below.

3 Select the device you want to use to create the the system recovery disks on the Create OEM System Recovery Media panel and click the Next button

If you have problems with starting the computers up from the R-Drive Image startup disks, select configure startup media troubleshooting options. Then the Startup Media Troubleshooting Options panel will appear. You may configure these options to eliminate those problems.

Those options will help you if you have problems with starting you computer up from the R-Drive Image startup disks.

Click to Expand/Collapse Startup Media Troubleshooting Options
Display kernel startup messages | if this checkbox is enabled, R-Drive Image displays all startup messages. That may be useful to locate the source of the problem when your system hangs during R-Drive Image startup.
Trace drivers loading | Select this checkbox when you want to see loading drivers to find which one may lock the system.
Disables ACPI Disables APIC | Select these checkboxes when your system detects some hardware incorrectly during R-Drive Image startup and displays messages like: hda: lost interrupt
Disables USB devices support | Select these checkbox if your system experiences problems with USB devices during R-Drive Image startup.
Disables SCSI devices support | Select these checkbox if your system experiences problems with SCSI devices during R-Drive Image startup.
Disables PATA devices support | Select these checkbox if your system experiences problems with Parallel ATA devices during R-Drive Image startup.
Disables PCMCIA devices support | Select these checkbox if your system experiences problems with PCMCIA devices during R-Drive Image startup.
Disables DMA for all IDE disk drives | Select these checkbox if your system experiences problems with IDE disks during R-Drive Image startup.
IRQ polling mode | Select this checkbox if R-Drive Image does not recognize a device although it is in the supported device list.
Default clocksource | Select this checkbox to select computer default clocksource.
PCI BIOS | Select an appropriate option if your system experiences problems with computer hardware.
ACPI OSI | An option informing the computer BIOS which OS type is going to start. Default is Linux, but it may cause the computer BIOS to drop support for some computer hardware. Change this option if the startup version cannot recognize some computer hardware, or it malfunctions.
Disable specified drivers | Enter the drivers that may cause system lock. Driver names should be separated by a space or comma.
4 Specify the options for the system recovery disks on the OEM System Recovery Media Options panel and click the Next button
Click to expand/collapse OEM System Recovery Media Options
Media: | Select.the media type you would like to have. R-Drive Image will automatically split the data accordingly.
Options
If this check box is selected |
Create media in demo mode | R-Drive Image will create a demo recovery disk. During the recovery process, it will be possible to perform all the required operations without actual data recovery. The license count will not be decremented. .
Don't copy the master image | R-Drive Image will create the startup version only without copying the master image to the media. Select this option if you want to store the master image separately from the R-Drive Image startup version. The master image may be stored on a hidden partition of the hard drive.
Client will search image on all disks | R-Drive Image will search for the master image on all disks (in their root only) in the system rather than on the startup disk only.
Disable target (and source) disk selection | the user will not be able to specify the target object to which the data will be restored if R-Drive Image could not find the target for data recovery automatically. If this option is clear, the user could click the Back button on the Confirm Operation panel and manually select the target to which the data will be restored. When this option is selected, the Disable source disk selection option will also be selected.
Disable source disk selection | the user will not be able to select the source disk/partition in the master image manually. If this option is clear, the user could click the Back button on the Confirm Operation panel and manually select the source for data recovery in the image.
Raw disk copy/restore | R-Drive Image will enforce the Raw disk copy/restore as the first option during data restoring.
Automatically reboot on successful restore | R-Drive Image will open the disk tray for the data recovery CD disc, and restart the system automatically upon data recovery.
Perform restoration without confirmation | R-Drive Image will not require action confirmation from the user. If R-Drive Image finds the drive/disk corresponding to the master image, it will start data recovery automatically. If not, either an error message will appear, or the user will be asked about the target for data recovery, depending on the Disable target disk selection option.
GUI mode | R-Drive Image will start in the following GUI mode: GUI, GUI/Safe, GUI/SVGA, TUI

If you want to start data recovery automatically, select the two last check boxes.

5 Click the Start button on the Processing panel
> R-Drive Image will start creating the startup data recovery disk(s)


BackupPar

Click to expand/collapse Backup Options

Snapshot provider

A snapshot provider is a service R-Drive Image uses to read the disk content while creating its image. R-Drive Image uses the snapshot providers in the order specified on the tab. If it fails to use the first one selected, it tries to use the second one, and so on.

Windows Volume Snapshot Service

If this check box is selected, R-Drive Image will try to use the Windows native snapshot provider. This snapshot provider is able to notify system applications that a snapshot is being taken.

If this option is selected, pagefile.sys and hibernate.sys files are excluded from the image of the system disk.

R-TT Volume Snapshot Service

If this check box is selected, R-Drive Image will try to use R-TT snapshot provider. This snapshot provider is not able to notify system applications that a snapshot is being taken.

Notify system applications

If this check box is selected, the snapshot provider, if it supports this feature, notifies system applications that a snapshot is being taken.

Limit I/O rate

Specifies the rate limits for reading/writing data from/to disks

Limit read

The rate limit for reading from the source disk

Limit write

The rate limit for writing to the destination disk

Process priority

These options specify how much computer resources R-Drive Image will consume during a backup process.

Backup Process Priority

Specifies the priority of the backup process. Similar to that specified in Windows Task Manager.

Use CPU cores

Specifies how many processor cores R-Drive Image will use for the backup process.

Ignore disk read errors (bad sectors)

If this check box is selected, R-Drive Image will ignore possible read errors when it tries to read data from bad sectors.

R-Drive Image works with disks with bad sectors in the following way:

It reads a certain part of disk (predefined by Windows) and

·If read errors are ignored, the entire part with bad sectors will be filled with zeros.

·If read errors are not ignored, R-Drive Image reads that part sector by sector and shows a warning message for every bad sector with two options: skip the sector or try to read it again. In this case only the bad sectors will be filled with zeros, but all that requires manual actions and extremely slows the imaging process.

Please note that R-Drive Image is developed for the work with normally functioning disks. If you need to image a malfunctioning disk, use R-Studio, a data recovery utility. It has more controls for imaging, and can create R-Drive Image-compatible images even in its demo mode, that is, without registering.

Backup AUX applications

R-Drive Image is able to make applications run before and after all backup operations. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.

Before

An application R-Drive Image starts before the backup operations starts. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

After

An application R-Drive Image starts after the backup operations completes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

Snapshot AUX applications

R-Drive Image is able to make applications run before and after taking the snapshot of one or several volumes. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.

Before

An application R-Drive Image starts before it takes the snapshot of one or several volumes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"

After

An application R-Drive Image starts after it takes the snapshot of one or several volumes. If you need to start several application, you may use a command file.

Example: "cmd.exe /c example.bat"


Create_File_Selected

To close this window, click this link or press the Esc key on the keyboard.

File Selection Panel

Select files you want to backup.

BACK


.topic 1861

.topic 2991

.topic 2131

.topic 281
Displays a description of the selected action
.topic 3111

.topic 2411

.topic 1431
Backup Options
.topic 2701
 Backup Options
Snapshot provider
A snapshot provider is a service R-Drive Image uses to read the disk content while creating its image. R-Drive Image uses the snapshot providers in the order specified on the tab. If it fails to use the first one selected, it tries to use the second one, and so on.
Windows Volume Snapshot Service
If this check box is selected, R-Drive Image will try to use the Windows native snapshot provider. This snapshot provider is able to notify system applications that a snapshot is being taken.
If this option is selected, pagefile.sys and hibernate.sys files are excluded from the image of the system disk.
R-TT Volume Snapshot Service
If this check box is selected, R-Drive Image will try to use R-TT snapshot provider. This snapshot provider is not able to notify system applications that a snapshot is being taken.
Notify system applications
If this check box is selected, the snapshot provider, if it supports this feature, notifies system applications that a snapshot is being taken.
Limit I/O rate
Specifies the rate limits for reading/writing data from/to disks
Limit read
The rate limit for reading from the source disk
Limit write
The rate limit for writing to the destination disk
Process priority
These options specify how much computer resources R-Drive Image will consume during a backup process.
Backup Process Priority
Specifies the priority of the backup process. Similar to that specified in Windows Task Manager.
Use CPU cores
Specifies how many processor cores R-Drive Image will use for the backup process.
Ignore disk read errors (bad sectors)
If this check box is selected, R-Drive Image will ignore possible read errors when it tries to read data from bad sectors.
R-Drive Image works with disks with bad sectors in the following way:
It reads a certain part of disk (predefined by Windows) and
If read errors are ignored, the entire part with bad sectors will be filled with zeros.
If read errors are not ignored, R-Drive Image reads that part sector by sector and shows a warning message for every bad sector with two options: skip the sector or try to read it again. In this case only the bad sectors will be filled with zeros, but all that requires manual actions and extremely slows the imaging process.
Please note that R-Drive Image is developed for the work with normally functioning disks. If you need to image a malfunctioning disk, use R-Studio, a data recovery utility. It has more controls for imaging, and can create R-Drive Image-compatible images even in its demo mode, that is, without registering.
Backup AUX applications
R-Drive Image is able to make applications run before and after all backup operations. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.
Before
An application R-Drive Image starts before the backup operations starts. If you need to start several application, you may use a command file.
Example: "cmd.exe /c example.bat"
After
An application R-Drive Image starts after the backup operations completes. If you need to start several application, you may use a command file.
Example: "cmd.exe /c example.bat"
Snapshot AUX applications
R-Drive Image is able to make applications run before and after taking the snapshot of one or several volumes. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.
Before
An application R-Drive Image starts before it takes the snapshot of one or several volumes. If you need to start several application, you may use a command file.
Example: "cmd.exe /c example.bat"
After
An application R-Drive Image starts after it takes the snapshot of one or several volumes. If you need to start several application, you may use a command file.
Example: "cmd.exe /c example.bat"
.topic 1081

.topic 421
Click this button to cancel the current disk action
.topic 291
Click this button to exit R-Drive Image
.topic 311
Select an option on the panel and click this button to go to the next panel
.topic 1071

.topic 1361

.topic 371
List of CD-R/RW devices
.topic 1301

.topic 1291

.topic 2641
Deletes all object on the selected hard drive
.topic 481
List of mounted virtual logical disks
.topic 471
Drive letter for the mounted image
.topic 1271

.topic 1251

.topic 2821

.topic 1061

.topic 2631
Deletes the selected object
.topic 1221

.topic 3151

.topic 431
Disks/folders structure. Select an image file.
.topic 321
Disks/folders structure. Select a place to which you want to save the image file. You may select an already existing image file and write the image file over it.
.topic 2021
Disk signature collision
Each initialized disk has a certain disk signature: a 32-bit unique number written in its MBR, or 16-byte disk GUID for the GPT layout. Windows and, more important, the Windows loader, use this disk signature and partition offset to recognize the disk and to find boot and system partitions. If Windows doesn’t recognize the startup disk by its signature or can't find the partition by the specified offset, it won’t be able to start.
When Windows finds two disks with the same signatures, it tries to resolve the collision. Windows XP and earlier simply changes the signature of one of the disk, while Vista and later sends one of the disk into the offline mode and doesn’t connect any partition from that disk.
.topic 2871
Wipe algorithms

.topic 1281

.topic 301
Computer's hard drive configuration
.topic 1261

.topic 1771

.topic 1201

.topic 1801

.topic 1161

.topic 1191

.topic 2011

.topic 2211

.topic 2551

You may specify multiple file names, masks, and paths.
Read more about this mode in the Batch Mode page.
.topic 331
Field for a file name of the image
.topic 2771

You may specify multiple file names, masks, and paths.
.topic 341
Field for the file type

(Only in the Corporate, Technician, and Commercial versions.
.topic 2511

(Only in the Corporate, Technician, and Commercial versions.
.topic 1331

.topic 2761
R-Drive Image may show only those disks that you  wand to see.
To hide/show disks:
1	Click the Show/hide disks button

2	Clear/select disks you want to hide/show

>	R-Drive Image will show only those disks that have been selected

.topic 2301
Dates when incremental or differential images were created.
.topic 2361
Backup options

.topic 361
Contents of the selected image file
.topic 661
Image creation date
.topic 2331
Image creation dates
.topic 351
Description of the selected image file
.topic 2681
You may also choose what image format will be created. (Only in the Corporate, Technician, and Commercial versions).
Image file format
rdr
Default. A proprietary image format. Data in the image can be compressed and password protected, although It provides a relatively moderate protection against conventional unauthorized access. The image  can be split into several files and include a short description.
vmdk
A common virtual disk format for virtual machine. Only  the Corporate, Technician, and Commercial versions support this format.
.topic 2321
Specifies how the data will be written to an existing image file.

Different: Select this option to preserve the data in the existing image file and append only changes. Appended changes will be those between the last saved changes and the current state. You may restore data as they were on each time of data imaging.

Increment: Select this option to preserve the data in the existing image file and append only changes. Appended changes will be those between the first saved full image and the current state. You may restore data as they were on each time of data imaging.

Overwrite: Select this option if you want to completely replace the data in the image file.
Minimum file sizes: If you need to keep only the latest backup instant, you may use the Ddifferentially option and delete all previous differential files. If you need to keep all instances, you may use the Incrementally option to keep overall file sizes smaller.
Data safety: If any of the differential file is damaged, data will be lost only for that backup instant. If any of the incremental file is damaged, data will be lost for all subsequent  backup instances starting from the damaged file until the next full of differential backup.
.topic 2351
Notifications options

.topic 441
Objects in the image
.topic 2341
Image options

.topic 2691
 Image options
Image compression ratio
You may compress the data in the image to save space. Please note that the smaller size you select the more time will be spent to create the image file and vise versa.
Volume size for multi-volume image
You may set this option to Automatic and let Windows decide how to split the image file. This mostly depends on the file system on the destination disk. You may also either explicitly specify the split size, or choose a preset for various devices with removable storage. Select Fixed size for that.
For the RDR format, a new partial file of the image will be started when the previous file reaches the specified file size.
For the VMDK format, a new partial file of the image will be started when the specified data volume of the source object has been processed.
Estimated size
Shows the estimated size of the image file. An actual image size depends on how much empty space is on the selected partition and what file types are there.
Password protection
You may protect your image file with a password. Note: This feature provides a relatively moderate protection against conventional unauthorized access.
Image description
You may attach a text description to the image for annotation. Maximum length of the description is 255 characters.
Validate image when completed
Select this option if your want R-Drive Image to check the newly created file image for its consistency. This may be useful for storing image files with critical data.  Please note that this operation requires additional time.
Shutdown computer when completed
If this checkbox is selected, R-Drive Image will shut your computer down when completed the task.
.topic 451
Image object parameters
.topic 3021
    Imaging Options
Differentially
Appended changes will be those between the saved full image and the current state. If there is no full image, it will be created instead. When restoring data, you will need the full image and ONLY the differential file created at the instant to which you want to restore data.
Incrementally
Appended changes will be those between the last saved changes and the current state. If there is no full image, it will be created instead. When restoring data, you will need the full image and ALL files (both incremental and differential ones) created to the instant to which you want to restore data.
Minimum file sizes: If you need to keep only the latest backup instant, you may use the Append changes differentially to the existing image option and delete all previous differential files. If you need to keep all instances, you may use the Append changes incrementally to the existing image option to keep overall file sizes smaller.
Data safety: If any of the differential file is damaged, data will be lost only for that backup instant. If any of the incremental file is damaged, data will be lost for all subsequent  backup instances starting from the damaged file until the next full of differential backup.

Full
All data in the image file will be replaced with the current one.
.topic 381
Image options
.topic 1741

.topic 1751

.topic 2431

.topic 2731
Keyboard Navigation
You may use the keyboard to navigate through and select items and objects on the panels.
If there are several objects that can be selected, a dashed frame will appear around the object that is in the current focus.

Space
Select/Deselect.
Keyboard arrows
Right / Left / Up / Down
Alt+S / Alt+D
Switch between the Source / Destination panels.
Tab/Shift-Tab
Forward / Backward
.topic 391
List of disk operations
.topic 2281

.topic 2981
Clears all logs
.topic 2951
Content of the selected log
.topic 2381

.topic 2941
List of logs
.topic 2961
Prints the selected log
.topic 2971
Saves all logs
.topic 4588
Saves the selected log
.topic 4578
Sends the selected log via email. You need a specified email client in the system.
.topic 2241

.topic 911
Mail notification and auxiliary program options
.topic 2711
 Notifications options
Execute on
You may specify the applications of the *.com, *.exe, and *.pif types, and their parameters delimited by a space.
Mail Notification
If a personal firewall is installed on your computer, you should allow the r-driveimagecl.exe application to get access to the e-mail server.
Test mail account
Click this button to test whether you entered the correct mail settings.
.topic 1091

.topic 1111

.topic 2261

.topic 2481
Partition with files to bbackup
.topic 1611
Enter topic text here.
.topic 1711

.topic 1051

.topic 2851
Select the object you want to process and click the respective icon. Or right-click the object and select the action on the shortcut menu.
.topic 2891

Processing options
Process priority
These options specify how much computer resources R-Drive Image will consume during a backup process.
Backup Process Priority
Specifies the priority of the backup process. Similar to that specified in Windows Task Manager.
Use CPU cores
Specifies how many processor cores R-Drive Image will use for the backup process.
Limit I/O rate
Specifies the rate limits for reading/writing data from/to disks
Limit read
The rate limit for reading from the source disk
Limit write
The rate limit for writing to the destination disk
Ignore disk read errors (bad sectors)
If this check box is selected, R-Drive Image will ignore possible read errors when it tries to read data from bad sectors.
R-Drive Image works with disks with bad sectors in the following way:
It reads a certain part of disk (predefined by Windows) and
If read errors are ignored, the entire part with bad sectors will be filled with zeros.
If read errors are not ignored, R-Drive Image reads that part sector by sector and shows a warning message for every bad sector with two options: skip the sector or try to read it again. In this case only the bad sectors will be filled with zeros, but all that requires manual actions and extremely slows the imaging process.
Please note that R-Drive Image is developed for the work with normally functioning disks. If you need to image a malfunctioning disk, use R-Studio, a data recovery utility. It has more controls for imaging, and can create R-Drive Image-compatible images even in its demo mode, that is, without registering.
Shutdown computer when completed
If this checkbox is selected, R-Drive Image will shut your computer down when completed the task.
.topic 2911

You may save these actions as a script
.topic 401
Progress of the current operation
.topic 1021

.topic 411
Progress of all operations
.topic 2291
A list of recently used images.
.topic 1791
Use this button to refresh your computer disk configuration. You may need to do this when you connect a USB disk, for example.
.topic 1381

.topic 1391

.topic 2651
Removes all specified disk operations
.topic 1151

.topic 1141

.topic 1181

.topic 1351

.topic 2611
Create/Restore/Modify parameters

.topic 1831
Select this option if you want to restore entire disks or partitions
.topic 2781

.topic 2671
You may format a disk if necessary. Click the Format button and select the format parameters on the Format partition panel.
Format partition options
File system
You may select the file system for the partition to be formatted.
Allocation unit size
It is the size of a disk block, that is, the minimum allocatable disk space.
Volume label
Label for this volume.
.topic 2601
Format options

.topic 2801

.topic 2751
Create/Restore/Modify parameters

.topic 2621
Create/Restore/Modify parameters

.topic 2721
You may change create/copy/modify parameters on the Create partition, Copy partition, or Modify partition panel. Click the Create / Copy Options / Modify button, respectively.
Create/Copy Partition Parameters
Partition layout
The type of partition layout. See Support for Various Disk Partition Schemes and File Systems for the list of supported partition types.
Partition type
Primary (Active)/ Primary/Logical You may specify the type of the partition to be restored. Do not change this setting unless you have serious reasons to do so.
File system
You may select the file system for the partition to be restored.
Allocation unit size
It is the size of a disk block, that is, the minimum allocatable disk space. (only on the Create partition panel.)
Volume label
Label of this volume. You can change it.
Drive letter
Select the letter that will be assigned to the partition. You may select "Do not connect" if you do not want to connect this partition to your system.
Partition size
Minimum/maximum size of the partition to be restored
Free space before
You may specify the size of free space that will be left on the hard drive before the beginning of the partition.
Partition size
You may specify the size of the partition to be restored. Should be between the minimum and maximum partition size.
Free space after
You may specify the size of free space that will be left on the hard drive after the end of the partition.

You may visually adjust the location and size of the object to be restored. All other restore options will be adjusted accordingly. Also, when you adjust one or several restore options directly, these changes will be shown visually. Green marks available space. See Support for Various Disk Partition Schemes and File Systems for the list of supported file systems.
.topic 2741
Wipe algorithms

.topic 4568
Rotation options
.topic 2271
Currently running task with its progres.
.topic 1371

.topic 2921
Click this button to save the script.
.topic 2451

You may use the specified file names as filters to see only files matching the filter.
.
.topic 2101
It may be impossible to start a Windows 8 and later certified computer with the R-Drive Image startup disk without some additional actions. This happens because any computer should use a so-called "Secure boot" procedure to comply with Windows 8 hardware certification from Microsoft. In brief, this procedure prevents computer from booting into any operating system that isn't digitally signed with an appropriate digital signature. "Secure boot" is claimed to prevent unauthorized modification of the boot sector by bootkits, viruses, trojans, and other malicious software. To the date, only Windows 8, Windows Server 2012, and selected Linux distributions support this feature. As a side effect, it also prevents most LiveCDs, rescue disks (R-Studio and R-Drive Image included), and other OS from running.
Likely enough, the other requirement of Windows 8 hardware certification is to make it possible for the user to disable the Secure boot procedure. Those settings can be done through the system BIOS under the Boot options. Generally, it's enough to enable Legacy support in those options, but sometimes it may require additional actions. Please, refer to your system documentation to learn more about disabling/enabling Secure boot.
When Secure boot is disabled, it should be possible to start the computer with the R-Drive Image startup disk.
Please note that you should enable this feature back after using the startup disks because Windows 8 or Server 2012 may not start properly without the Secure boot feature enabled.
.topic 4556
Click this button to start the listed actions
.topic 1561
Startup Media Troubleshooting Options

.topic 2901
Those options will help you if you have problems with starting you computer up from the R-Drive Image startup disks.
    Startup Media Troubleshooting Options
Display kernel startup messages
if this checkbox is enabled, R-Drive Image displays all startup messages. That may be useful to locate the source of the problem when your system hangs during R-Drive Image startup.
Trace drivers loading
Select this checkbox when you want to see loading drivers to find which one may lock the system.
Disables ACPI
Disables APIC
Select these checkboxes when your system detects some hardware incorrectly during R-Drive Image startup and displays messages like: hda: lost interrupt
Disables USB devices support
Select these checkbox if your system experiences problems with USB devices during R-Drive Image startup.
Disables SCSI devices support
Select these checkbox if your system experiences problems with SCSI devices during R-Drive Image startup.
Disables PATA devices support
Select these checkbox if your system experiences problems with Parallel ATA devices during R-Drive Image startup.
Disables PCMCIA devices support
Select these checkbox if your system experiences problems with PCMCIA devices during R-Drive Image startup.
Disables DMA for all IDE disk drives
Select these checkbox if your system experiences problems with IDE disks during R-Drive Image startup.
IRQ polling mode
Select this checkbox if R-Drive Image does not recognize a device although it is in the supported device list.
Default clocksource
Select this checkbox to select computer default clocksource.
PCI BIOS
Select an appropriate option if your system experiences problems with computer hardware.
ACPI OSI
An option informing the computer BIOS which OS type is going to start. Default is Linux, but it may cause the computer BIOS to drop support for some computer hardware. Change this option if the startup version cannot recognize some computer hardware, or it malfunctions.
Disable specified drivers
Enter the drivers that may cause system lock. Driver names should be separated by a space or comma.
.topic 581
List of supported startup devices with removable storage
.topic 1001
Name and path to the ISO image of a startup CD disc
.topic 871
Time/Event options
.topic 2371
Undo the last operations
.topic 891
A username and password for a user from the Administrators user group.
.topic 3081

.topic 151
This is a safeguard against H&M bug.


fileselfiles

To close this window, click this link or press the Esc key on the keyboard.

Choose destination on new image Panel

Select the place on the Choose destination on new image panel to which the image files will be written, specify the file name, and click the Nextbutton

BACK


fileselfilesImage

To close this window, click this link or press the Esc key on the keyboard.

Image Destination Panel

Select the place on the Image Destination panel to which the image files will be written, specify the file name, and click the Next button

BACK.


Hide_Show-Disks

R-Drive Image may show only those disks that you wand to see.

To hide/show disks:

1 Click the Show/hide disks button

2 Clear/select disks you want to hide/show

> R-Drive Image will show only those disks that have been selected


Image-Options

Click to expand/collapse Image options

Image compression ratio

You may compress the data in the image to save space. Please note that the smaller size you select the more time will be spent to create the image file and vise versa.

Volume size for multi-volume image

You may set this option to Automatic and let Windows decide how to split the image file. This mostly depends on the file system on the destination disk. You may also either explicitly specify the split size, or choose a preset for various devices with removable storage. Select Fixed size for that.

For the RDR format, a new partial file of the image will be started when the previous file reaches the specified file size.
For the VMDK format, a new partial file of the image will be started when the specified data volume of the source object has been processed.

Estimated size

Shows the estimated size of the image file. An actual image size depends on how much empty space is on the selected partition and what file types are there.

Password protection

You may protect your image file with a password. Note: This feature provides a relatively moderate protection against conventional unauthorized access.

Image description

You may attach a text description to the image for annotation. Maximum length of the description is 255 characters.

Validate image when completed

Select this option if your want R-Drive Image to check the newly created file image for its consistency. This may be useful for storing image files with critical data. Please note that this operation requires additional time.

Shutdown computer when completed

If this checkbox is selected, R-Drive Image will shut your computer down when completed the task.


ImageFormat

You may also choose what image format will be created. (Only in the Corporate, Technician, and Commercial versions).

Click to expand/collapse Image file format

rdr | Default. A proprietary image format. Data in the image can be compressed and password protected, although It provides a relatively moderate protection against conventional unauthorized access. The image can be split into several files and include a short description.
vmdk | A common virtual disk format for virtual machine. Only the Corporate, Technician, and Commercial versions support this format.


ImagingOptions

Click to expand/collapse Imaging Options

Differentially

Appended changes will be those between the saved full image and the current state. If there is no full image, it will be created instead. When restoring data, you will need the full image and ONLY the differential file created at the instant to which you want to restore data.

Incrementally

Appended changes will be those between the last saved changes and the current state. If there is no full image, it will be created instead. When restoring data, you will need the full image and ALL files (both incremental and differential ones) created to the instant to which you want to restore data.

Minimum file sizes: If you need to keep only the latest backup instant, you may use the Append changes differentially to the existing image option and delete all previous differential files. If you need to keep all instances, you may use the Append changes incrementally to the existing image option to keep overall file sizes smaller.

Data safety: If any of the differential file is damaged, data will be lost only for that backup instant. If any of the incremental file is damaged, data will be lost for all subsequent backup instances starting from the damaged file until the next full of differential backup.

Full

All data in the image file will be replaced with the current one.


Keyboard_Navigation

Click to expand/collapse Keyboard Navigation

You may use the keyboard to navigate through and select items and objects on the panels. If there are several objects that can be selected, a dashed frame will appear around the object that is in the current focus.
Space | Select/Deselect.
Keyboard arrows | Right / Left / Up / Down
Alt+S / Alt+D | Switch between the Source / Destination panels.
Tab/Shift-Tab | Forward / Backward


MailOptions

Click to expand/collapse Notifications options

Execute on

You may specify the applications of the *.com, *.exe, and *.pif types, and their parameters delimited by a space.

Mail Notification

If a personal firewall is installed on your computer, you should allow the r-driveimagecl.exe application to get access to the e-mail server.

Test mail account

Click this button to test whether you entered the correct mail settings.


Network_Drives

Attention: If you a going to use a network drive, please note that if this drive is connected under your account it will be inaccessible to the task run under the local system account unless this drive is also connected to the local system account using the same disk letter. To avoid this problem, you need either to run the task under your own account, or use a UNC path in the form: \\[[domain;]username[:password]@]hostname\share\path.


OEMImageSelection

To close this window, click this link or press the Esc key on the keyboard.

Master Image File Selection Panel (OEM version)

Select a master image for the system recovery disks and click the Next button.

BACK


OEMOpt

To close this window, click this link or press the Esc key on the keyboard.

OEM System Recovery Media Options Panel (OEM version)

Select the options for the system recovery disks and click the Next button

BACK


OEMRemSel

To close this window, click this link or press the Esc key on the keyboard.

Create OEM System Recovery Media Panel (OEM version)

Select a device to create the the system recovery disks and click the Next button

BACK


Panel: Action Selection

To close this window, click this link or press the Esc key on the keyboard.

Action Selection Panel

Select a disk action you want to perform on the Action Selection panel and click the Next button.

BACK


Panels: Copy Disk to Disk

To close this window, click this link or press the Esc key on the keyboard.

Object Selection Panel

Select the object on the Source: on the Image Object Selection panel, select a destination, and click the Next button

BACK


PanelCreateFilesDisks

To close this window, click this link or press the Esc key on the keyboard.

Partition Selection Panel

Select the objects which image you want to create. Click the HDD icon to select all objects on the hard drive.

BACK


PanelCreateImageFiles

To close this window, click this link or press the Esc key on the keyboard.

Partition Selection Panel

Select files you want to backup.

BACK


PanelDiskSignatureCollision

To close this window, click this link or press the Esc key on the keyboard.

Disk Signature Collision Panel (Copying data from one entire drive to another one)

Click this link to see the Image Object Parameters panel for copying data from one logical disk/partition to another one)

Specify copy parameters on the Restore/Copy Parameters panel and click the Next button

BACK


PanelImageDate

To close this window, click this link or press the Esc key on the keyboard.

Image Date/Time Selection

Select the image creation date on this panel and click the Next button. Click this ink if you are going to restore only individual files rather than the entire image..

BACK


Panel: Image Destination

To close this window, click this link or press the Esc key on the keyboard.

Image Destination Panel

Select the place on the Image Destination panel to which the image files will be written, specify the file name, and click the Nextbutton

BACK


Panel: Image File Selection

To close this window, click this link or press the Esc key on the keyboard.

Image File Selection Panel

Select the file with the image on the Image File Selection panel and click the Next button

BACK


Panel: Image File SelectionC

To close this window, click this link or press the Esc key on the keyboard.

Choose image to mount drive(s) from Panel

Select the file with the image on the Choose image to mount drive(s) from panel and click the Next button

BACK


Panel: Image Object (Connect)

To close this window, click this link or press the Esc key on the keyboard.

Choose image to mount Panel

Select the object in the image file on the Choose image to mount panel, select a drive letter, and click the Next button

BACK


PanelImageObjectParemetersHDD

To close this window, click this link or press the Esc key on the keyboard.

Image Object Parameters Panel (Restoring data to an entire hard drive)

Specify restore parameters on the Restore/Copy Parameters panel and click the Next button

BACK


Panel: Image Object Selection

To close this window, click this link or press the Esc key on the keyboard.

Image Object Selection Panel

Select the object in the image file on the Image Object Selection panel, select a destination place, and click the Next button

BACK


PanelImageObjF

To close this window, click this link or press the Esc key on the keyboard.

Image Object Selection Panel

Drag the image which files your are going to restore to the "Folder" place.

BACK


Panel:Image SelectionCh

To close this window, click this link or press the Esc key on the keyboard.

Choose image to check integrity Panel

Select the file with the image on the Choose image to check integrity panel and click the Next button

BACK


PanelLog

To close this window, click this link or press the Esc key on the keyboard.

Executed operation(s) log Panel

Log of all executed actions.

BACK


Panel: Partition Selection

To close this window, click this link or press the Esc key on the keyboard.

Partition Selection Panel

Select the objects which image you want to create. Click the HDD icon to select all objects on the hard drive. Right-click the selected object and select the backup type. Select Backup selected files if you want to backup only individual files.

BACK


PanelPMDiskWipe.bmp

To close this window, click this link or press the Esc key on the keyboard.

Disk Wipe Algorithm Selection Panel

Select the wiping algorithm you want to apply to the disk and click the OK button. Wipe algorithms


PanelPMSelectNextAction

To close this window, click this link or press the Esc key on the keyboard.

Image Object Selection Panel

Specify the next partition manager operation if necessary and click the Next button.

BACK


PanelPMSelectObject

To close this window, click this link or press the Esc key on the keyboard.

Object Selection Panel

Select the object you want to process and click the respective icon. Or right-click the object and select the action on the shortcut menu.

BACK


Panel: Process

To close this window, click this link or press the Esc key on the keyboard.

Processing Panel

Verify that the information on the Processing panel is correct and click the Start button. The Progress bar will show the progress of the current operation and overall process. You may cancel the current operation by clicking the Cancel button. The Operation canceled by user message will appear. You may also change some Options.

BACK


Panel: Removable Storage Device Selection

To close this window, click this link or press the Esc key on the keyboard.

Removable Storage Device Selection Panel

Select a device to create the startup disk(s) on the Create Startup Disks panel, and click the Next button

BACK


Panel: Restore/Copy Parameters

To close this window, click this link or press the Esc key on the keyboard.

Restore/Copy Parameters Panel (Copying data from one logical disk/partition to another one)

Click this link to see the Image Object Parameters panel for copying data from one entire hard drive to another one)

Specify copy parameters on the Restore/Copy Parameters panel and click the Next button

BACK


PanelRestoreCopyParametersHDD

To close this window, click this link or press the Esc key on the keyboard.

Restore/Copy Parameters Panel (Copying data from one entire drive to another one)

Click this link to see the Image Object Parameters panel for copying data from one logical disk/partition to another one)

Specify copy parameters on the Restore/Copy Parameters panel and click the Next button

BACK


PanelRestoreFiles1

To close this window, click this link or press the Esc key on the keyboard.

Image Object Selection Panel

Click the Next button to continue file restore.

BACK


Panels: Connected Virtual Logical Disks

To close this window, click this link or press the Esc key on the keyboard.

Choose drive(s) to umount them Panel

Mark the disks on the Choose drive(s) to umount them panel and click the Next button

BACK


Panels:EdTime/Event

To close this window, click this link or press the Esc key on the keyboard.

Time/Event Panel

Specify time/event options on the Task execution schedule panel and click the Next button

BACK


PanelSelectFiles

To close this window, click this link or press the Esc key on the keyboard.

Select Files to Restore Panel

Select files you want to restore on the Select Files to Restore and click the Next button

BACK


Panels:Sched Ed Image Destination

To close this window, click this link or press the Esc key on the keyboard.

Choose destination of new image Panel

Select the place on the Choose destination of new image panel to which the image files will be written, specify the file name, and click the Nextbutton

BACK


Panels:Sched Ed Imaging Mode

To close this window, click this link or press the Esc key on the keyboard.

Rotation options Panel

Select how the data will be written to an existing image file on the Rotation options panel, and click the Next button

BACK


Panels:Sched Ed Partition Selection

To close this window, click this link or press the Esc key on the keyboard.

Select disk(s) to create image Panel

Select the objects you want to backup on the Select disk(s) to create image panel and click the Next button. Click the HDD icon to select all objects on the hard drive.

BACK


Panels:Sched Image Destination

To close this window, click this link or press the Esc key on the keyboard.

Choose destination of new image Panel

Select the place on the Choose destination of new image panel to which the image files will be written, specify the file name, and click the Nextbutton

BACK


Panels:Sched Imaging Mode

To close this window, click this link or press the Esc key on the keyboard.

Rotation options Panel

Specify how the data will be written to an existing image file on the Rotation options panel, and click the Next button

BACK


Panels:Sched Partition Selection

To close this window, click this link or press the Esc key on the keyboard.

Select disk to create image Panel

Select the objects you want to backup on the Select disk to create image panel and click the Next button. Click the HDD icon to select all objects on the hard drive.

BACK


Panels:Scheduled Tasks

To close this window, click this link or press the Esc key on the keyboard.

Scheduled Tasks Panel

Click a button on the Scheduled Tasks panel for the action you want to perform

BACK


Panels:Scr Image Destination

To close this window, click this link or press the Esc key on the keyboard.

Choose destination of new image Panel

Select the place on the Choose destination of new image panel to which the image files will be written, specify the file name, and click the Nextbutton

BACK


Panels:Scr Imaging Mode

To close this window, click this link or press the Esc key on the keyboard.

Rotation options Panel

Select how the data will be written to an existing image file on the Rotation options panel, and click the Next button

BACK


Panels:Scr Partition Selection

To close this window, click this link or press the Esc key on the keyboard.

Select disk(s) to create image Panel

Select the objects you want to backup on the Select disk(s) to create image panel and click the Next button. Click the HDD icon to select all objects on the hard drive.

BACK


Panels:Time/Event

To close this window, click this link or press the Esc key on the keyboard.

Task execution schedule Panel

Specify time/event options on the Task execution schedule panel and click the Next button

BACK


ProcessOptions

Processing options

Process priority

These options specify how much computer resources R-Drive Image will consume during a backup process.

Backup Process Priority

Specifies the priority of the backup process. Similar to that specified in Windows Task Manager.

Use CPU cores

Specifies how many processor cores R-Drive Image will use for the backup process.

Limit I/O rate

Specifies the rate limits for reading/writing data from/to disks

Limit read

The rate limit for reading from the source disk

Limit write

The rate limit for writing to the destination disk

Ignore disk read errors (bad sectors)

If this check box is selected, R-Drive Image will ignore possible read errors when it tries to read data from bad sectors.

R-Drive Image works with disks with bad sectors in the following way:

It reads a certain part of disk (predefined by Windows) and

·If read errors are ignored, the entire part with bad sectors will be filled with zeros.

·If read errors are not ignored, R-Drive Image reads that part sector by sector and shows a warning message for every bad sector with two options: skip the sector or try to read it again. In this case only the bad sectors will be filled with zeros, but all that requires manual actions and extremely slows the imaging process.

Please note that R-Drive Image is developed for the work with normally functioning disks. If you need to image a malfunctioning disk, use R-Studio, a data recovery utility. It has more controls for imaging, and can create R-Drive Image-compatible images even in its demo mode, that is, without registering.

Shutdown computer when completed

If this checkbox is selected, R-Drive Image will shut your computer down when completed the task.


Registration

 Home

The trial period of R-Drive Image will start after its fresh install. The Action Selection panel will show its remaining time.

You need to obtain a registration key to activate the R-Drive Image trial version. You may obtain this key online at the R-TT web site or on the R-Drive Image Please register R-Drive Image message.

The registration keys are sent to customer e-mail boxes immediately after purchase.

With the purchase of a new R-TT software product, you receive one year of support services that includes technical support, customer support and all upgrades and new releases for your product during that term. When your 1-year support service expires, you will need to renew that support at a discounted price to continue receiving support services. The renewal support purchase will extend your support by 1-year from the date of its expiration.

More details are on the Buy On Line page at the R-TT web site.

To obtain a registration key directly from R-Drive Image,

1 Click the About button and select Register on the shortcut menu.
2 Click the Buy license online button on the Please register R-Drive Image message and follow the instructions.

To register with a registration key,

1 Click the About button and select Register on the shortcut menu.
2 Enter the registration key on the Please register R-Drive Image message and click the OK button.

The registration information will appear.

The Disk Actions chapter explains basic disk actions.

The Startup Version chapter explains how to perform disk actions using the R-Drive Image Startup Version.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Hardware Devices Supported in the Startup Mode and another useful technical information.

Follow this link to obtain R-Drive Image Contact Information and Technical Support


RestoreFiles

Enter topic text here.


Restoreforma

You may format a disk if necessary. Click the Format button and select the format parameters on the Format partition panel.

Click to expand/collapse Format partition options

File system | You may select the file system for the partition to be formatted.
Allocation unit size | It is the size of a disk block, that is, the minimum allocatable disk space.
Volume label | Label for this volume.


RestoreParameters

You may change create/copy/modify parameters on the Create partition, Copy partition, or Modify partition panel. Click the Create / Copy Options / Modify button, respectively.

Click to expand/collapse Create/Copy Partition Parameters

Partition layout | The type of partition layout. See Support for Various Disk Partition Schemes and File Systems for the list of supported partition types.
Partition type | Primary (Active)/ Primary/Logical You may specify the type of the partition to be restored. Do not change this setting unless you have serious reasons to do so.
File system | You may select the file system for the partition to be restored.
Allocation unit size | It is the size of a disk block, that is, the minimum allocatable disk space. (only on the Create partition panel.)
Volume label | Label of this volume. You can change it.
Drive letter | Select the letter that will be assigned to the partition. You may select "Do not connect" if you do not want to connect this partition to your system.
Partition size | Minimum/maximum size of the partition to be restored
Free space before | You may specify the size of free space that will be left on the hard drive before the beginning of the partition.
Partition size | You may specify the size of the partition to be restored. Should be between the minimum and maximum partition size.
Free space after | You may specify the size of free space that will be left on the hard drive after the end of the partition.
 | You may visually adjust the location and size of the object to be restored. All other restore options will be adjusted accordingly. Also, when you adjust one or several restore options directly, these changes will be shown visually. Green marks available space. See Support for Various Disk Partition Schemes and File Systems for the list of supported file systems.


Startup Media Troubleshooting Options